Introduction

Introduzione

La creazione di un sito web dalla grafica innovativa accattivante e professionale è sempre stata un'operazione lunga e laboriosa. Ora, grazie a StudioLine, esiste uno strumento completo e flessibile, in grado di garantire ai disegnatori di pagine web la massima libertà di espressione, per avere layout di pagina possibili prima solo con la stampa. Allo stesso tempo, StudioLine fornisce una vastissima gamma di effetti di testo e filtri immagine all’altezza dei migliori programmi di grafica professionale.

Il Programma

StudioLine utilizza il codice DHTML per fornire alle pagine web una flessibilità precedentemente mai vista. Il testo, le immagini e gli altri oggetti possono essere liberamente posizionati ovunque all'interno della pagina e possono essere organizzati in più livelli per rendere la grafica più dinamica. Senza alcuna conoscenza di HTML o altro linguaggio di script, anche utenti inesperti possono creare siti dall'aspetto e dalle funzionalità professionali, completamente compatibili e identici in qualsiasi browser.

Gli utenti più esperti apprezzeranno i rapidi tempi di sviluppo, possibili grazie all'esclusivo insieme di strumenti immediati, che permettono di eliminare tutti quei processi ripetitivi cui sottoporre oggetti simili. I progetti sono realizzati senza inutile dispendio di tempo e gestiti con semplicità grazie alla capacità di StudioLine di memorizzare, invertire, duplicare o trasferire un quantità qualunque d’effetti di grafica e testo.

L’Utilizzo

L'approccio cui erano solitamente costretti i disegnatori di pagine web era molto frammentario. Ogni singolo elemento di una pagina web doveva essere disegnato o programmato singolarmente, richiedendo quindi la conoscenza di molti strumenti differenti quali un programma di grafica ed un editor HTML. Solo dopo aver riunito i risultati di questi processi l'utente era in grado di vederne il risultato e individuare le modifiche necessarie. Solitamente la procedura richiedeva diverse iterazioni prima del raggiungimento del risultato finale.

StudioLine è stato progettato fin dall'inizio per permettere l'integrazione di tutti i passaggi necessari alla creazione di grafiche web. Il posizionamento di oggetti, la creazione di titoli, gli effetti fotografici, i roll-over e ogni altra funzione particolare può essere applicata direttamente dall'editore pagina. Il risultato di ogni singola scelta è immediatamente visibile nell’insieme della pagina. Il codice DHTML e gli script sono generati automaticamente nel momento in cui il sito viene pubblicato.

L'innovativa grafica per il web di StudioLine è ottenuta grazie a quattro modalità:

Modalità
Funzione
Editore Pagina

È il cuore di StudioLine. Ogni nuova pagina è basata sul “Modello Layout” predefinito per il sito. Le immagini, i testi e gli altri elementi inseriti possono essere trattati con un'ampia gamma di effetti speciali e filtri – senza modificare l'immagine originale.

StudioLine fa uso del posizionamento assoluto degli elementi. Questo significa che le spaziature relative rimarranno inalterate al variare delle dimensioni della finestra del browser. L'Editore Pagina fornisce inoltre uno speciale contenitore, il “Container” all'interno del quale l'utente può posizionare elementi e affidarne l'allineamento al programma.

Modello

Ogni pagina ha un Layout ad essa associato. Questo serve a definire impostazioni comuni quali lo sfondo, i loghi, i titoli, il container, le “Variabili di Testo”, i pulsanti di navigazioni e altri pulsanti standard. Il Layout definisce inoltre le preimpostazioni di elaborazione immagine per l'Editore Pagina. Data l'importanza dell'aspetto visivo in una presentazione web, StudioLine offre strumenti unici per la gestione di gallerie d’immagini. Ogni Layout può definire livelli aggiuntivi per costruire velocemente gallerie d'immagini con anteprime, particolari e viste a schermo intero già linkate fra loro.

Modello Layout

I “Modelli Layout” definiscono l'aspetto iniziale della nuova pagina. Quando si crea una nuova pagina, infatti, viene utilizzato il Modello Layout definito per il sito per inizializzare il Modello per la nuova pagina.

Archivio Immagini

È il “deposito” centrale per le versioni finali, ad alta risoluzione, delle immagini dell'utente, eventualmente trattate ed ottimizzate con un qualsiasi effetto immagine. Possono inoltre essere associate ad ogni immagine proprietà e “Descrizioni”. L'utilizzo dell'Archivio Immagini non è indispensabile, ma assicura un aspetto migliore e omogeneo alle immagini anche in diverse pagine o siti.


Documentazione

Per soddisfare le esigenze di utenti con diversi livelli di esperienza, la documentazione di StudioLine è organizzata nei seguenti capitoli:

Introduzione

Presentazione dei componenti chiave del prodotto attraverso una panoramica di StudioLine. Una volta intuita la filosofia del software, gli utenti saranno in grado di beneficiare completamente del suo approccio innovativo.

Installazione

Informazioni sull'installazione e l'uso di StudioLine.

Tutorial

Creare un sito d’esempio in pochi semplici passi. Consigliato anche agli utenti più esperti.

Guida Utente

Spiegazioni molto dettagliate sulle vaste possibilità offerte da StudioLine. Un valido strumento per chi sviluppa il proprio sito web.

Tips & Techniques

Trucchi per utenti più esperti che combinano assieme diverse funzionalità di StudioLine aprendo infinite possibilità.

Guida di Riferimento

Descrizioni concise dell'interfaccia grafica di StudioLine quali menu, barre degli strumenti, pannelli e menu a scelta rapida.

Appendice

Una collezione di tabelle, diagrammi, informazioni tecniche e altre informazioni di vario tipo.

Accedere alla Guida in linea

Le informazioni di riferimento e la maggior parte della documentazione di StudioLine sono accessibili tramite la “Guida” interna al programma, semplicemente premendo il tasto F1. La “Guida” in linea è sensibile al contesto; dove disponibile, aprirà un capitolo della documentazione relativo al pannello o al menu correnti.

Simboli Usati

In tutta la documentazione verranno usati dei simboli comuni per indicare rapidamente alcuni concetti o informazioni.
Lettura Consigliata

Fa riferimento ad un'altra sezione della documentazione, dove l'argomento è trattato più in dettaglio.
Sorgente trascinamento

Gli oggetti indicati come Sorgenti di trascinamento possono essere copiati o spostati semplicemente trascinandoli.
Destinazione trascinamento

Gli oggetti indicati come Destinazione trascinamento possono accogliere oggetti o impostazioni per trascinamento.

Revision Status

Questo documento è relativo alla versione di StudioLine 1.0.0.7800, del 13 Luglio 2001.


Preparazione

  • Esaminare il file README.TXT, posizionato nella directory principale del CDROM di StudioLine e nel sito di StudioLine.

  • Verificare che il proprio computer soddisfi i requisiti minimi di sistema.

  • Installare o aggiornare eventuali applicazioni necessarie.

  • Chiudere ogni altra applicazione fino a quando la barra applicazioni di Windows® non sia vuota.


Installazione del Programma

Installazione da CDROM

Inserire il CDROM di StudioLine nel drive per iniziare l'installazione. Se è stata disabilitata la funzione di Notifica inserimento automatico per il drive CDROM in uso, aprire il Pannello di Controllo a selezionare Aggiungi/Rimuovi applicazioni.

Installation of Downloaded Software

La versione di StudioLine disponibile per il download è compressa in un unico file. Individuare nel proprio sistema il file SLSetup.EXE ed eseguirlo.


Spostare StudioLine

Ci sono due modi per fare un backup o spostare siti di StudioLine su altri PC o in un altro disco rigido.

Usando la funzione Esportare

  • Esportare l'archivio immagini, il Sito e i Modelli Layout

  • Installare StudioLine nella nuova locazione

  • Importare i file di backup.

Menu File - Esportare

Usando Gestione Risorse o le Utilità di Sistema

Dei seguenti file e directory devono essere eseguiti delle copie di backup che, in seguito, devono essere copiate nella nuova installazione di StudioLine:

  • Il file RELAX.INI dalla directory d'installazione di StudioLine.

  • La sottodirectory GALLERIES. (Le cartelle con estensione ‘.stc_hm’ contengono i file della cache e verranno automaticamente ricreate se mancanti. Possono quindi essere tralasciate nel backup per risparmiare spazio.)

  • La directory utilizzata per il rendering, definita nelle “Impostazioni iniziali rendering” (Non copiando questa directory ogni sito dovrà essere ri-pubblicato nuovamente).


Disinstallazione di StudioLine

Per disinstallare StudioLine da un computer procedere in uno dei seguenti modi:

  • aprire il Pannello di Controllo e scegliere Installazione Applicazioni, oppure

  • selezionare Disinstalla StudioLine dal menu Start, oppure

  • individuare la directory di programma di StudioLine sul prorpio disco rigido e lanciare il programma “Uninstall”.

Opzioni di Disinstallazione

Disinstallare solo il programma

La disinstallazione predefinita disinstallerà soltanto il programma dal vostro disco rigido. Qualsiasi altro contenuto da voi creato, come siti, “Modelli Layout” e il contenuto dell'archivio immagini rimarranno inalterati. Scegliere questa impostazione nel caso si intenda reinstallare StudioLine in un secondo momento, per esempio in un'altra directory o in un'altro disco rigido.

Rimuovere Siti, “Modelli Layout” e Siti Pubblicati

Questa opzione rimuove, oltre al software, anche qualsiasi documento creato con StudioLine. Le versioni già pubblicate dei progetti (es.: siti, documenti HTML) non verranno alterate, ma non potranno essere modificati con StudioLine in seguito. Scegliere quest'impostazione nel caso stiate sostituendo il vostro computer, dopo aver importato tutti i vostri siti StudioLine su quello nuovo.

Rimuovere Siti Pubblicati Localmente

Quest'opzione rimuove anche le versioni dei progetti pubblicate localmente da ogni disco rigido della vostra postazione o drive di rete. I documenti HTML dei quali è già stato effettuato l'upload sul server invece, non verranno interessati. Scegliere quest'impostazione nel caso siate sicuri che nessun altro utente della postazione, rete locale o Intranet, faccia riferimento ai siti pubblicati localmente presso di voi.


Requisiti di Sistema

  • Windows® 95/98/ME, Windows NT 4.0 SP5, Windows 2000, o superiore.

  • Pentium II, 300 MHz o superiore.

  • 64 MB RAM.

  • 40 MB di spazio disponibile sul disco rigido.

Impostazioni raccomandate

Per il corretto funzionamento, StudioLine necessita della presenza di alcune applicazioni esterne. Il programma di installazione le ricorderà di installare le versioni più recenti di queste applicazioni, presenti anche nello stesso CDROM di StudioLine. È possibile effettuare il download di queste componenti software anche dal sito di StudioLine.


Requisiti Software

Per il corretto funzionamento, StudioLine necessita della presenza di alcune applicazioni esterne. Il programma di installazione le ricorderà di installare le versioni più recenti di queste applicazioni, presenti anche nello stesso CDROM di StudioLine. È possibile effettuare il download di queste componenti software anche dal sito di StudioLine.

Browser compatibile DHTML

Le pagine HTML create con StudioLine devono essere visualizzate con Browser compatibili con le specifiche del Document Object Model, Level 2, del World-Wide-Web Consortium (W3C DOM Lvl. 2). Netscape® Navigator o Internet Explorer versioni 4 o successive sono perfettamente compatibili, così come Opera versioni 5.0 o successive.

Componenti Microsoft®

  • MDAC 2.5 – L'aggiornamento di questo componente, o versioni successive, è necessario per il funzionamento del database di StudioLine. A causa di un conflitto con il setup di “MDAC”, è fondamentale che, nei sistemi in cui sono presenti contemporaneamente Windows 98 e Windows 2000, sia installata la stessa versione.

  • WordPad – Il CDROM di StudioLine e le directory del programma contengono alcuni utili documenti in formato .RTF. Per la visualizzazione di questi files è necessario utilizzare WordPad o un editore di testi similare.

WordPad è presente sia in Windows 95 che in Windows NT 4.0 e versioni successive. Se non è disponibile, è possibile installarlo dal CDROM di Windows:

  • aprire il Pannello di Controllo e scegliere Aggiungi/Rimuovi applicazioni

  • selezionare Componenti Windows, e Accessori

  • selezionare WordPad


Organizzare i Siti

StudioLine permette di gestire in modo semplice ed efficace siti web di qualsiasi dimensione. Se si è soliti lavorare su progetti di dimensioni abbastanza ridotte, non è necessaria una particolare organizzazione del sito. È sempre possibile applicare uno schema organizzativo in seguito, al crescere del sito.

Al contrario, dovendo gestire progetti di siti più estesi, contenenti diverse sezioni distinte, ognuna con centinaia o migliaia di pagine, oltre ad immagini, file multimediali ed altri file, è necessaria una certa organizzazione. Grazie a StudioLine, un'azienda di web design può gestire anche progetti molto estesi e numerosi siti di clienti, organizzando i relativi file in cartelle.

Scegliere i Nomi

Per identificare siti, pagine, immagini e cartelle vengono utilizzati nomi interni a StudioLine, che possono quindi essere costituiti da descrizioni chiare ed estese, senza le consuete limitazioni relative al numero di caratteri.

La scelta di termini appropriati e descrizioni chiare renderà più agevole la ricerca della pagina o dell’immagine desiderata grazie alla funzione di ricerca di StudioLine.

Al momento della prima pubblicazione di una pagina, viene automaticamente assegnato da StudioLine un nome valido per il riconoscimento da parte del server, molto simile al nome utilizzato da voi internamente al programma.

Il vantaggio di tenere separati i nomi interni da quelli esterni, risulta chiaro nel momento in cui il sito comincia a crescere di dimensione o a variare di struttura. Attraverso StudioLine Explorer, un webmaster può rinominare ed organizzare in cartelle gli elementi del sito, anche dopo molto tempo dalla sua creazione. I nomi utilizzati esternamente e gli indirizzi Internet (URL) non saranno influenzati da questa riorganizzazione. Il posizionamento nei motori di ricerca rimarrà inalterato e i bookmark continueranno ad essere validi.

Utilizzare le Cartelle

Le cartelle possono essere create e gestite con StudioLine Explorer e con la maggior parte dei pannelli utilizzati per creare o salvare oggetti. L’organizzazione interna della struttura può essere liberamente riprogettata o revisionata con l’utilizzo delle cartelle, senza interferire con il sito già pubblicato.

Le cartelle non faranno parte dell’indirizzo Internet esterno (URL), saranno utilizzate soltanto per organizzare meglio il lavoro all’interno di StudioLine.

Organizzazione in Cartelle

Siti

La maggior parte degli utenti lavora con un numero di siti abbastanza ristretto, non necessita quindi di organizzarli in cartelle. D’altra parte, in presenza di un gran numero di clienti, alcuni con un sito Intranet, un sito di presentazione e un sito relativo alla Produzione, può risultare utile creare una cartella per ogni cliente contenente tutti i suoi siti.

Modelli
Layout

Nel caso si dovesse gestire più di un sito, ognuno con diversi “Modelli Layout”, è consigliabile organizzare i propri particolari modelli in cartelle divise per cliente e/o per sito.

Pagine

Raggruppare pagine collegate in cartelle, può aiutare a riordinare siti molto estesi o a fare uso di “Link Automatizzati a Cartella”.

Archivio Immagini

Le cartelle dell’Archivio Immagini possono essere utilizzate per rappresentare clienti, siti, aree di interesse, applicazioni o anche periodi temporali. L’organizzazione migliore per ogni esigenza dipenderà dal tipo di immagini archiviate nel tempo.

StudioLine mette a disposizione un efficiente motore di ricerca per la ricerca di immagini nelle varie cartelle. Archiviando ogni foto con una chiara descrizione, potrete poi trovarle in un attimo.

Le cartelle per i vari tipi di oggetti sono separate le une dalle altre, è possibile quindi scegliere di utilizzare le cartelle per un tipo di oggetto e non per un altro.

Frammentare un Sito molto ampio

Siti molto ampi sono spesso gestiti da un gruppo di web master. Sezioni differenti, quali Produzione e Servizi, Assistenza Clienti o Pubbliche Relazioni, possono avere requisiti particolari o impiegare un design specifico. In StudioLine è possibile trattare ognuna delle sezioni principali come un unico sito. In questo modo ognuno può avere il proprio “Layout” predefinito e può essere tenuto aggiornato da postazioni differenti.

Esempio di Struttura

URL sul Sito
Sito StudioLine
Dir. remota

www.KingFisher.de/Products/

Sites\King Fisher\Products and Services

Products

www.KingFisher.de/Support/

Sites\King Fisher\Customer Support

Support

www.KingFisher.de/Corporate/

Sites\King Fisher\Corporate PR

Corporate

www.KingFisher.de/

Sites\King Fisher\Root

Creare un sito in una Cartella

  • Usare il pulsante “Nuova Cartella” per creare una cartella “King Fisher”, che conterrà tutti i siti StudioLine collegati al sito “www.KingFisher.de”.

  • Entrare nella cartella “Sites\King Fisher”, facendo doppio click nella finestra cartelle.

  • Inserire il nome del primo sito, “Products and Services”.

Dopo aver lavorato sul sito “Products and Services” è possibile creare uno degli altri siti all’interno della cartella “Sites\King Fisher”, se si vuole gestire quella sezione dalla propria postazione di lavoro.

Nel caso si commettessero errori in questa fase, utilizzare StudioLine Explorer per rinominare o muovere siti esistenti nella cartella corretta.

Considerazioni sulla Pubblicazione

Una volta completato, il sito deve essere pubblicato nella sottocartella appropriata del server. Questo si ottiene specificando il “Percorso Remoto” nel profilo di pubblicazione del sito.

Profilo di Pubblicazione

Implicazioni nei Link

Quando un sito viene gestito da un’unica postazione, è semplice creare collegamenti ipertestuali grazie al drag & drop. Se invece vengono utilizzate postazioni distinte per mantenere aggiornate le varie sezioni di un grosso sito, allora sarà necessario inserire manualmente gli indirizzi Internet (URL) relativi alle varie pagine contenute nei diversi siti StudioLine.


Importare ed Esportare

I “Modelli Layout”, le pagine e le immagini possono essere condivise fra utenti o copiate fra siti StudioLine. Questo consente di suddividere il lavoro fra più utenti e riutilizzare elementi grafici in diversi progetti.

StudioLine può inoltre scambiare file con altri programmi di elaborazione grafica e testo.

Modelli Layout

Scegliere “Esportare” o “Importare” dal menu “File” per trasferire “Modelli Layout”, immagini e file multimediali fra computer diversi.

Pagine

Scegliere “Esportare” o “Importare” dal menu “File” per trasferire la pagina corrente, il suo “Layout” e ogni immagine o file multimediale associato.

Per esportare un intero sito, esportare la Home Page del sito. StudioLine richiederà di esportare automaticamente tutte le pagine collegate. Nel caso un sito contenga pagine non linkate, sarà necessario esportarle una ad una.

Immagini

Le immagini possono essere esportate mediante ”l'Archivio Immagini”, “l'Editore Pagina” o l'editore “Layout” ed essere utilizzate da altre applicazioni. Sono supportati una grande varietà di formati.

  • Individuare l'immagine nell'”Editore Pagina” o “Layout”, nell'Archivio Immagini o nello StudioLine Explorer sotto la cartella Archivio Immagini.

  • Aprire lo StudioLine Explorer, “Risorse computer” e scegliere una cartella di destinazione.

  • Trascinare l'immagine nella cartella di destinazione.

Le dimensioni dell’immagine esportata in Megapixel sono regolabili dalla finestra “Impostazioni Archivio Immagini” accessibile tramite l’Archivio Immagini.

Effetti e Collage

Le potenzialità degli “Strumenti immagine” di StudioLine possono essere sfruttate anche da applicazioni esterne. Con StudioLine è infatti molto semplice creare composizioni di più immagini sfruttando le potenzialità dei suoi Strumenti Immagine. Una volta ottenuta la composizione desiderata, facendo uso ad esempio di strumenti come la “Trasparenza” e i “Bordi sfumati”, è sufficiente procedere all’esportazione con le modalità spiegate sopra. Unica differenza è che al posto di trascinare nell’Explorer una singola immagine si deve trascinare una selezione di immagini contenente tutte quelle del collage. Trascinando una selezione di più immagini verrà richiesto se esportarle come unica immagine o come file singoli. Premere il pulsante “Collage” ed, eventualmente, utilizzare un formato che supporti la Trasparenza.

Aprire l'Editore Pagina di StudioLine e comporre un collage d'immagini applicando tutti gli effetti desiderati. Selezionare l'intero collage ed esportarlo con le modalità sopra esposte. Quando richiesto, scegliere l'opzione per creare un singolo collage d'immagini.

Archivi Immagine

Gli archivi immagine sono insiemi di immagini salvate in un formato specifico di StudioLine. Oltre all'immagine originale, memorizza anche le impostazioni degli strumenti applicati e le descrizioni di ognuna.

Per creare archivi immagine di scambio, passare alla modalità Archivio Immagini, aprire una cartella o un’immagine e scegliere “Esportare” dal menu “File”. Gli archivi immagine possono essere importati da altri utenti di StudioLine.

Prestare particolare attenzione nello scambio d'immagini con altre persone, alle restrizioni imposte dai copyright e dai diritti d'autore.

Testi

I blocchi di testo possono essere trascinati direttamente nell'editore di pagina di StudioLine dalla maggior parte degli editori di testo. Nel caso questo non funzionasse, creare un nuovo oggetto di testo nella pagina e copiare e incollare il testo.

Effetti di Testo

L'Editore di pagina di StudioLine, grazie ai suoi strumenti immagine, offre grandi possibilità di creare titoli e banner. Una volta applicati gli “Strumenti Immagine” ad un oggetto di testo, questo può essere trattato come un'immagine ed esportato per l'utilizzo in altre applicazioni.

  • Progettare il banner di testo.

  • Aprire lo StudioLine Explorer e scegliere una cartella di destinazione.

  • Trascinare l'elemento di testo nella cartella di destinazione.


Editore Pagina

La modalità Editore Pagina è il “cuore” di StudioLine. Qui prendono forma la pagina, le immagini, gli effetti di testo e i Link ad altre pagine.

Per creare una nuova pagina, è possibile:

  • Scegliere “Nuova” dal menu File, oppure

  • Scegliere “Crea nuova Pagina” aprendo un sito.

L’aspetto iniziale della nuova pagina, il suo sfondo e gli elementi di base, sono definiti dal il “Modello Layout” scelto precedentemente nelle “Impostazioni Sito”. Per scegliere un aspetto differente, aprire StudioLine Explorer dal menu File, cercare un “Modello Layout” appropriato e trascinarlo nella pagina.

Allineamento della Pagina

Gran parte dei disegnatori web preferiscono impostare la larghezza di pagina ad una dimensione standard, abbastanza piccola (ad esempio 800 pixel). Questo per adattarsi agli utenti che utilizzano basse risoluzioni o che non massimizzano la finestra del browser. Per contro, quando queste pagine vengono visualizzate su finestre del browser massimizzate, la pagina appare normalmente allineata a sinistra, con un margine ampio e vuoto sulla destra.

Per cambiare il margine orizzontale e verticale della pagina, premere il pulsante “Allinea pagina orizzontalmente / verticalmente” nella barra degli strumenti.

Posizionamento Assoluto

Il contenuto può essere posizionato liberamente in ogni punto della pagina. Il posizionamento assoluto di StudioLine mantiene ogni composizione di testo ed elementi visibili, inalterata su ogni browser supportato, indipendentemente dalla dimensione di pagina usata. Inoltre è disponibile un “contenitore”, il “Container”, per l’allineamento automatico degli oggetti.


Posizionamento Manuale

Gli oggetti di testo e di grafica possono essere liberamente posizionati nella pagina, semplicemente trascinandoli nella posizione desiderata. Gli oggetti possono anche sovrapporsi.

Per facilitare l’allineamento dei vari oggetti, StudioLine mette a disposizione i margini, i righelli e le linee guida.

I Margini

I Margini sono un supporto visivo per valutare l’aspetto che avrà la pagina alle principali risoluzioni.

  • Fare click con il tasto destro del mouse su un’area vuota della pagina per aprire il menu a scelta rapida della pagina.

  • Scegliere Margini.

Guardando i margini, si è in grado di vedere come la propria pagina si adatterà ad una particolare risoluzione dello schermo. Per maggiori dettagli riguardo ai margini, vedere la Guida online o il capitolo di riferimento sui “Margini”.

Righelli e Linee Guida

I righelli forniscono un riferimento in pixel lungo i margini superiore e laterale dell’area di lavoro di StudioLine. Nell’area di lavoro possono essere utilizzate le “Linee Guida” per facilitare l’esatto allineamento degli oggetti in righe o colonne.

  • Per visualizzare i righelli, cliccare il pulsante “Righello” nel pannello degli strumenti.

  • Per inserire le “Linee Guida”, trascinarle, partendo da uno dei due righelli, nel punto della pagina desiderato.

  • Per rimuoverle, trascinarle indietro nel righello.

Scegliere “Linee Guida” dal menu a scelta rapida della pagina per regolare le impostazioni avanzate, compreso la possibilità di salvare e riutilizzare un insieme di linee guida.

Per maggiori dettagli, vedere la Guida online o il capitolo di riferimento sulle “Linee Guida”.

Indicatori di Posizione

Per sapere l’esatta posizione di una linea guida, o la distanza fra linee guida, muovere il cursore sopra di essa. Apparirà un insieme di tre numeri al massimo:

Posizione assoluta della linea guida.

Distanza dalla prossima linea guida o dal margine nella direzione della freccia.

Gli indicatori di posizione sono molto utili, nel caso sia essenziale un’accurata spaziatura fra linee guida.

Strumenti di Spaziatura e Allineamento

La barra degli strumenti offre uno strumento che permette di ottenere un perfetto allineamento e un’esatta spaziatura fra più oggetti.

  • Selezionare due o più oggetti.

  • Lo strumento “Allinea Oggetti” diventerà disponibile nella barra degli strumenti.

  • Premere il pulsante per vedere una lista di opzioni di allineamento possibili. Se la selezione comprende tre o più oggetti sarà disponibile anche lo strumento di spaziatura.

Bloccare la Posizione

Una pagina molto complessa può contenere diversi oggetti molto vicini fra loro, alcuni anche sovrapposti. È prevedibile che, prima o poi, questi possano essere spostati accidentalmente. Per evitarlo, gli oggetti possono essere bloccati nella loro posizione:

  • Selezionare un numero qualsiasi di oggetti.

  • Utilizzare il tasto destro del mouse per aprire il menu a scelta rapida dell’oggetto.

  • Scegliere “Fissare Posizione”.

Per sbloccare gli oggetti, accedere al loro menu a scelta rapida e scegliere “Ammettere Spostamenti”.


Posizionamento Automatico

StudioLine mette a disposizione numerosi strumenti per il posizionamento manuale delle immagini. Nonostante ciò, possono esserci situazioni in cui queste tecniche richiedono una grande quantità di tempo. Esempio tipico è quello di una galleria di miniature d’immagini: il loro esatto allineamento richiederebbe un lavoro considerevole. Inoltre, ogni successiva aggiunta o eliminazione annullerebbe tutto il lavoro precedente.

Container

Tutti gli oggetti inseriti all’interno del “Container” di auto-posizionamento vengono automaticamente organizzati in righe. L’utente può scegliere, oltre all’allineamento degli oggetti, la griglia orizzontale e verticale da applicare.

  • Per muovere o ridimensionare il Container (solo orizzontalmente) trascinarlo o trascinare i suoi regolatori.

  • Per modificare le impostazioni del “Container” cliccare col tasto destro del mouse un’area libera del “Container”. Si aprirà il menu a scelta rapida del “Container”.

  • Per iniziare una nuova riga di oggetti a partire dall’oggetto corrente, cliccare con il tasto destro sull’oggetto e scegliere “Interruzione Riga” dal menu a scelta rapida che si aprirà.

Ancore di Posizione

Spesso, si fa uso di un titolo da centrare ad una certa distanza sopra al “Container” o di una serie di pulsanti allineati sotto di esso. Ancorando questi oggetti al Container, manterranno le loro distanze relative, anche se il Container verrà spostato o ridimensionato.

  • Selezionare un oggetto.

  • Scegliere “Ancora di Posizione” del menu “Strumenti”.


Visualizza Stato Oggetto

Premere ripetutamente i tasti Ctrl + G per scegliere tra la modalità di visualizzazione normale, la visualizzazione dello stato di bloccaggio degli oggetti o la completa visualizzazione degli Attributi Oggetto. Queste diverse modalità sono accessibili anche selezionando “Stato Oggetto” dal menu a scelta rapida della pagina.

Icone Attributi Oggetto
Strumenti Attivi

Strumenti immagine associati all’oggetto. Aprire il menu a scelta rapida di un oggetto per lavorare con la lista degli “Strumenti Attivi”.
Link

Link associato all’oggetto. Aprire il menu a scelta rapida dell’oggetto per cambiarlo.
Ancorato

L’oggetto è ancorato ad una posizione relativa. Scegliere “Ancora di Posizione” dal menu “Strumenti” per cambiarla.
Bloccato

L’oggetto è bloccato nella posizione corrente. Non può essere spostato accidentalmente. Aprire il menu a scelta rapida dell’oggetto per sbloccarlo.
Roll-Over

Questo oggetto ha un effetto Roll-Over. Utilizzare la barra degli strumenti di StudioLine per cambiare modalità di visualizzazione alla pagina.
Posizione Puntata

A questo oggetto è stata associata un’etichetta in modo da poterlo utilizzare come destinazione di un link.


Impostare lo sfondo

Per accedere alle opzioni di Sfondo aprire il menu “Pagina” sulla barra dei menu. Scegliere un colore uniforme oppure trascinare un’immagine nella finestra “Sfondo” per creare uno sfondo modulare.

Colore uniforme vs. Sfondo modulare

Un colore uniforme, come il bianco, è spesso la scelta estetica più piacevole. Questa scelta rende inoltre più semplice la condivisione delle immagini, quando possibile.

Texture irregolari a basso contrasto possono essere adatte come immagini di sfondo se, una volta affiancate, non presentano margini visibili né diminuiscono la leggibilità del testo.

Immagini appariscenti, forti contrasti o motivi geometrici potrebbero comunque distogliere l'occhio, introducendo inoltre un gran numero di vincoli quando inserite in pagine con sfondi trasparenti.

Trasparenza e Sfondi modulari

Dove possibile, StudioLine cercherà di condividere pulsanti o altre immagini, comuni a più pagine. Questo per risparmiare tempo durante il trasferimento al server e durante la navigazione.

Quando vengono posizionate immagini trasparenti in una pagina, attraverso le zone trasparenti si vedrà l'eventuale sfondo affiancato sottostante. Durante la fase di conversione, una parte dell'immagine di sfondo verrà quindi incorporata nell'immagine utilizzata dal browser. Quello stesso file grafico dovrebbe poi essere riutilizzato per altre posizioni nello schermo, dove deve fondersi perfettamente con il motivo in quel punto.

Immagini di sfondo con motivi geometrici o modulari (come testi o loghi) potrebbero quindi non essere adatte allo scopo.

Esempio: Effetti, Dimensioni & Sfondo

Questo è un semplice carattere "at" (@), creato usando lo strumento testo e scegliendo un colore. Gli indicatori blu mostrano la massima altezza e larghezza impostabili.

Una volta applicato l’effetto “Luce e Ombra”, il testo ha dovuto essere convertito in immagine. Il carattere @ e gli effetti ad esso applicato non riempiono completamente l’area uniforme e rettangolare. In alcune zone, infatti, è visibile il colore dell’area sottostante (a causa dell’ombreggiatura, le dimensioni dell’immagine risultante sono ora maggiori sia in altezza sia in larghezza).

Facciamo ora un esempio intenzionalmente critico: uno sfondo a quadrati affiancati. StudioLine unisce porzioni dello sfondo a quadrati, all’immagine che prepara per il browser.

Se questo stesso file di grafica venisse utilizzato per altre zone della pagina, il motivo a griglia potrebbe essere interrotto.

Questo dimostra come un motivo a struttura regolare ripetuta (come i quadretti) non sia solitamente la scelta più adatta per uno sfondo.

Nel caso non si possa evitare l’uso di sfondi modulari, potrebbe essere necessario:

  • usare soltanto testo non grafico,

  • usare immagini rettangolari senza bordi sfumati e ombre, oppure

  • usare lo strumento “Sfondo Immagine” per posizionare testi e immagini sopra a rettangoli di colore uniforme, oppure

  • posizionare le immagini e i testi sopra ad immagini rettangolari non trasparenti.

Anteprima in Posizione Definitiva

La condivisione di un’unica immagine in varie parti della pagina potrebbe non essere possibile se l’immagine si trova in posizioni leggermente differenti rispetto ad uno sfondo modulare. Per non interrompere lo sfondo, StudioLine può essere forzato a generare singole versioni per ogni posizione. Calcolando la posizione definitiva dove apparirà ogni singola immagine nel browser, StudioLine incorporerà le porzioni di sfondo adeguate salvandole in un unico file di grafica.

Su pagine allineate al centro, a destra o in basso, la posizione definitiva delle immagini rispetto al motivo utilizzato come sfondo, varierà a seconda dell’altezza e della larghezza della finestra del browser. Con alcuni particolari motivi di sfondo poi, la funzione “Posizione esatta” potrebbe essere comunque inefficacie su pagine non allineate in alto a sinistra.

Copiare lo Sfondo su altre pagine

Per ottenere maggior uniformità, il colore e le immagini di sfondo dovrebbero essere definiti nel “Modello Layout” in modo da essere automaticamente applicate a tutte le pagine generate. In alcuni casi però, potrebbe esserci la necessità di copiare le impostazioni da una pagina o da un “Layout” ad un altro:

  • Aprire una pagina, un “Layout” o un “Modello Layout”.

  • Selezionare “Sfondo” dal menu “Pagina”.

  • Premere il pulsante “Blocca” nella finestra “Sfondo” per fissare le attuali impostazioni.

  • Aprire un’altra pagina, “Layout” o “Modello Layout”

  • Premere il pulsante Copia nella finestra “Sfondo” per applicare le impostazioni.

Usare singole immagini come sfondo

È possibile posizionare un’immagine direttamente sulla pagina, utilizzandola così come sfondo non affiancato.

  • Selezionare “Sfondo” dal menu “Pagina” e scegliere un unico colore.

  • Posizionare un’immagine nell’area della pagina.

  • Scegliere “Strumenti Immagine” dal menu “Strumenti” e applicare una trasparenza o altri effetti desiderati.

  • Premere il tasto destro sull’immagine e scegliere “Ordine nella Pila” – “Indietro”

  • Premere il tasto destro sull’immagine e scegliere “Fissare Posizione” per evitare spostamenti accidentali.


Editore di Ttesto

Editore di Testo

StudioLine integra un editore di testi multilingue, compatibile con molti fra i più diffusi editori di testo.

Per inserire del testo, è possibile:

  • Trascinare sulla pagina l’icona Testo dalla barra dei menu, oppure

  • Scegliere “Nuovo Oggetto di Testo” dal menu Testo, e poi cliccare col mouse sulla pagina, oppure

  • Cliccare con il tasto destro del mouse sulla pagina e scegliere “Nuovo Oggetto di Testo”, oppure

  • Evidenziare il testo in un editore di testi o in un’altra applicazione e trascinare la selezione in StudioLine, oppure

  • Aprire un’altra sessione di StudioLine e trascinare il testo da un’altra pagina.

Le impostazioni predefinite per i nuovi oggetti di testo possono essere regolate dalla finestra “Formato Carattere”, accessibile dal menu “Elaborazione Testo”.

Editare il Testo

Cliccando due volte su un oggetto di testo esistente, appariranno il righello e la barra degli strumenti testo. Sia l’uno sia l’altro possono essere spostati, se necessario. Alle estremità della finestra di testo sono presenti dei regolatori di larghezza.

Usando le normali procedure utilizzate negli editori di testo, è possibile l’inserimento, la sostituzione, la cancellazione e la selezione di testi. (Nel caso non siate famigliari con l’editing di testo in Windows, si consiglia di seguire l’esercitazione nel tutorial di StudioLine.)

Per applicare uno stile, un particolare carattere o una dimensione ad un insieme di parole è sufficiente selezionarle con il mouse (o in alternativa con i tasti sotto elencati) e premere il pulsante corrispondente nel menu immediatamente sopra all’oggetto di testo. Per selezionare un testo è sufficiente trascinare il mouse sopra al testo da selezionare tenendo premuto il tasto sinistro (se l’oggetto di testo non è attivo, cioè non si vede il cursore lampeggiante di inserimento, cliccarvi sopra una volta con il tasto sinistro del mouse).

Per impostare un colore di sfondo per gli oggetti di testo, utilizzare lo strumento “Sfondo Immagine” negli “Strumenti Immagine”.

Per chiudere l’editore di testi è sufficiente cliccare in un’altra zona della pagina.

Tasti di Scelta rapida

Inizio

Inizio riga.

Fine

Fine riga.

Ctrl + Freccia su

Inizio paragrafo.

Ctrl + Freccia giù

Inizio paragrafo successivo.

Ctrl + Inizio

Inizio primo paragrafo.

Ctrl + Fine

Fine ultimo paragrafo.

Ctrl + Sinistra

Parola precedente.

Ctrl + Destra

Inizio parola successiva.

Shift + Tasti cursore

Muove il cursore in un punto definito e seleziona tutto ciò che si trova in mezzo.

Canc

Cancella il carattere su cui si trova il cursore.

Ctrl + Canc

Cancella la parola su cui si trova il cursore.

Back

Cancella il carattere precedente.

Ctrl + Back

Cancella la parola precedente.

Ins

Passa dalla modalità inserimento alla modalità sovrascrittura.

Ctrl + B

Grassetto.

Ctrl + I

Corsivo.

Ctrl + U

Sottolineato.

Ctrl + J

Suddivide l’oggetto di testo attualmente selezionato in due oggetti di testo distinti (l’attuale posizione del cursore funge da separatore) o riunisce in un unico oggetto di testo un insieme di oggetti di testo selezionati.

Consultare l’appendice per ulteriori tasti di scelta rapida utilizzabili in tutto il sistema.

Funzioni dell’Editore Testo

La maggior parte delle funzioni dell’Editore di Testo influenzano una parte specifica del testo. Selezionare la parte di testo desiderata prima di premere uno dei tasti della barra degli strumenti testo.
Colore

Cambia il colore del testo selezionato.

Grassetto

Rende grassetto il testo selezionato.

Corsivo

Rende corsivo il testo selezionato.

Sottolineato

Sottolinea il testo selezionato.

Link ipertestuale

Collega ad un’altra pagina o ad un riferimento il testo selezionato.

Allineamento

Allinea il paragrafo a sinistra, centrato, a destra o lo giustifica ad entrambi i margini.

Elenco puntato

Inserisce un punto davanti ad ogni paragrafo selezionato e indenta il testo.

Gli attributi di carattere (tipo dimensione e colore) per il testo dell’elenco possono essere controllati paragrafo per paragrafo. Scegliendo grassetto o corsivo s’influenzeranno le impostazioni dei punti di tutto il paragrafo. Il tipo di carattere per essi è preimpostato su Symbol.

Nota: L’elenco puntato è applicabile solo ai paragrafi allineati a sinistra o giustificati.

Cercare Stringa

Ricerca il testo all’interno dell’area selezionata, nell’intero oggetto di testo o in tutti gli oggetti di testo della pagina.

Cerca e sostituisci stringa

Sostituisce il testo all’interno dell’area selezionata, nell’intero oggetto di testo o in tutti gli oggetti di testo della pagina.

Controllo ortografico

Ricerca nel testo possibili errori d’ortografia.

Lingua

Associa una lingua al testo selezionato per il controllo ortografico.

Proprietà del Paragrafo

Le proprietà generali del testo di un paragrafo (come il colore o le dimensioni del carattere) sono mantenute fino all’indicatore, invisibile, di fine paragrafo, che appare come uno spazio vuoto dopo l’ultima lettera. Queste definiscono anche l’aspetto dei punti per l'elenco puntato. Il carattere usato per i punti del paragrafo è comunque impostato su Symbol e non è possibile applicarvi la sottolineatura.

Per cambiare le impostazioni o copiare un intero paragrafo, assicurarsi di includere nella selezione anche l’indicatore invisibile di fine paragrafo.

Controllo Ortografico

Il controllo ortografico può essere eseguito in vari modi:

  • Controllo ortografico della pagina intera: scegliere “Controllo Ortografico” dal menu Testo o dal pannello strumenti Testo.

  • Controllo ortografico durante la digitazione: le parole sconosciute vengono evidenziate con una sottolineatura ondeggiata. (Questa funzione può essere disattivata.)

  • Controllo singolo vocabolo: cliccare con il pulsante destro del mouse su una parola. Nel caso non venga riconosciuta verrà proposta una lista di vocaboli alternativi.

Quando viene individuato un termine sconosciuto, si possono accettare le alternative proposte, correggere il termine manualmente, ignorarlo o aggiungerlo ad un proprio dizionario.

Lingue

Il testo può essere controllato in molte lingue. Per associare una lingua ad una parte di testo, selezionare la parte e premere il pulsante con la bandiera della lingua nella barra degli Strumenti di Testo. La lingua predefinita è determinata dal sistema operativo. Il testo copiato da un editore di testo erediterà la lingua impostata nel documento d’origine.


FontsCaratteri

Caratteri

La maggior parte degli strumenti utilizzati nella progettazione di un sito, lasciano al browser la decisione finale su come apparirà il testo. Un primo problema si presenta quando il computer di un utente non dispone di alcuni caratteri che il disegnatore ha utilizzato per il sito. Inoltre, pur disponendo di tutti i caratteri, sorge il problema che molti browser e sistemi operativi interpretano diversamente alcune impostazioni e comandi HTML. Altezza, larghezza, spaziatura e addirittura le singole lettere potrebbero essere interpretate diversamente dalle impostazioni. Di conseguenza non si può mai conoscere con esattezza l’aspetto finale della pagina.

L’editore testo di StudioLine è stato programmato con molta cura per superare la maggior parte dei problemi riguardanti quest’incompatibilità. Se necessario, StudioLine può anche generare complesse tabelle html per ottenere una spaziatura appropriata. Il testo così ottenuto ha un aspetto coerente in molti browser. Tuttavia, l’utilizzo di elementi non facilmente controllabili (complesse tabelle) potrebbe limitare l’utilità di un testo, nel momento in cui un utente provasse a copiarlo dal browser al suo editor.

Testo come Grafica

Certe scelte stilistiche comportano implicitamente la conversione del testo in grafica, ad esempio, il testo ricoperto da un’immagine parzialmente trasparente o l’applicazione di effetti speciali del pannello “Strumenti Immagine”.

StudioLine è in grado di convertire, anche su esplicita richiesta dell’utente, il testo in grafica così da eliminare ogni possibile variazione apportata dal browser o dal sistema operativo dell’utente, offrendo così reale WYSIWYG. Invece di memorizzare i dati in formato testo nel web server e delegare le impostazioni di visualizzazione al browser, StudioLine si occupa al suo interno di effettuarne la conversione per poi immagazzinare il testo sul web server come file di grafica.

Una volta convertito un oggetto di testo in un’immagine, i link possono essere definiti solo per l’intero oggetto di testo, non per singole parole o frasi.

Per convertire esplicitamente un testo in grafica, applicare uno Strumento Immagine impostando a zero l’intensità dell’effetto, es.:

  • Selezionare un oggetto di testo.

  • Aprire il pannello “Strumenti Immagine” del menu “Strumenti”.

  • Selezionare lo strumento “Trasparenza” e impostare il valore a zero.

Scelta dei caratteri

Quando un testo non viene convertito in grafica, occorre prestare molta attenzione alla scelta di caratteri ampiamente diffusi. Molti utenti del web dispongono dei caratteri forniti da Microsoft Windows. Essendo poi Microsoft Office il più popolare tra i programmi del settore, molti utenti disporranno di alcuni, se non di tutti, dei caratteri forniti con Microsoft Office.

Sistema
Caratteri disponibili
Microsoft Windows

Arial, Comic Sans MS, Courier New, Marlett, Symbol, Times New Roman, Wingdings

Per maggiori informazioni relative ai caratteri forniti con le varie applicazioni, vedere:

http://www.microsoft.com/typography/fonts/

Apple Macintosh

Chicago, Charcoal, Courier Regular, Geneva, Helvetica, Monaco, New York, Palatino, Symbol, Times
Unix

charter, clean, courier, fixed, helvetica, lucida, lucidabright, lucidatypewriter, new century schoolbook, symbol, terminal, times, utopia
Microsoft Internet Explorer

Andale Mono (precedentemente Monotype.com), Arial Black, Georgia, Impact, Trebuchet MS, Verdana, Webdings

Netscape Navigator

Bitstream Prima Serif, Bitstream Prima Sans, Bitstream Prima Sans Mono

Caratteri Generici

Nomi di carattere generici lasceranno la scelta delle impostazioni finali al browser. Il sistema dell’utente del sito sceglierà un carattere corrispondente nella classificazione dei nomi carattere generici:

Nome Carattere Esempio

Serif - Times
sans-serif - Arial or Helvetica
monospace - Courier
Cursive - Brush Script
Fantasy - Impact

Conversione caratteri

Eccezioni con i Nomi di un tipo di Carattere

Alcuni sistemi operativi fanno uso degli stessi nomi per un tipo di carattere anche se questo è in realtà differente. In alcuni casi il nome di un carattere potrebbe non essere univoco, anche nello stesso computer: lo stesso nome carattere (es., "Symbol") potrebbe essere utilizzato per caratteri generati con tecnologie diverse (TrueType, Bitmap, PostScript). In questi casi il carattere e la tecnologia realmente utilizzati varieranno in base alla dimensione, al sistema operativo e al browser. Così, la stessa lettera nel medesimo carattere, potrebbe avere aspetti differenti in sistemi diversi. Il sistema operativo Macintosh cambierà addirittura alcuni caratteri della famiglia “Symbol” in caratteri completamente diversi.

È anche possibile che lo stesso carattere sia conosciuto con nomi leggermente differenti in vari sistemi operativi e loro versioni. Per evitare potenziali equivoci, specialmente con il carattere “Symbol”, lasciare che StudioLine converta il testo in grafica.

Eccezioni con la dimensione dei caratteri

Diversi browser, loro versioni e sistemi operativi, utilizzano differenti fattori di scala per visualizzare una determinata dimensione di carattere. L’effettiva larghezza, altezza, spaziatura tra righe e numero di righe necessarie per un dato testo, sono spesso incontrollabili. Questo può portare a problemi di allineamento, nel caso un’immagine sottostante richieda che una parte di testo venga convertita in grafica. In questo caso potrebbe essere più sicuro far sì che StudioLine converta l’intero testo in grafica.

Font Smoothing

Il Font smoothing (anti-aliasing) rimuove le scalettature dai bordi dei caratteri aggiungendo livelli di grigio. Windows fa uso di 17 livelli di grigio con correzione gamma incondizionata. Questa caratteristica viene attivata nei browser a seconda del sistema operativo dell’utente.

Convertendo il testo in grafica, né il browser né il sistema operativo dell’utente influenzano la visualizzazione, è StudioLine a controllare l’aspetto finale. L’utilizzo dell’anti-aliasing viene regolato in base ai dati ricevuti da Windows relativi al carattere usato e alla sua dimensione. In pratica questo significa che lo smoothing verrà applicato a caratteri molto piccoli (es.: 6 punti) e abbastanza grandi (es.: 14 punti). StudioLine fa uso di 65 livelli di grigio, senza correzione gamma.

Le differenze fra algoritmi di smoothing diversi, dovrebbero essere visibili soltanto nel caso in cui un carattere piccolo sia usato più di una volta in una pagina – con una parte del testo convertita in grafica ed una parte No. Il testo reso come grafica potrebbe apparire con uno spessore leggermente diverso.


Aggiungere Link al Testo

L’utilizzo dei link nelle pagine web aumenta l’interazione dell’utente. Cliccando con il mouse su un link, l’utente attiva un’azione predefinita, come l’apertura di una nuova pagina o l’invio di un’E-mail. I link possono essere associati sia a un intero oggetto di testo che a frasi o a singole parole. Per attirare l’attenzione sui link, questi vengono evidenziati con colori e impostazioni di carattere specifiche, definiti nelle “Proprietà Link di Testo” del menu “Pagina”.

Aggiungere link a parole o frasi

Per aggiungere un link:

  • Aprire l’editore di testo.

  • Premere il pulsante “Link” nella barra degli strumenti di testo.

Se il testo viene convertito in grafica, i link definiti per singole parole o frasi non avranno effetto.

Aggiungere link ad un Oggetto di Testo

Se il link deve essere impostato su un intero oggetto di testo, esiste un modo più veloce:

  • Chiudere l’editor di testo, se aperto, cliccando in un altro punto della pagina.

  • Cliccare con il tasto destro sull’oggetto di testo per aprire il suo menu a scelta rapida.

  • Scegliere l’opzione “Link”.

Oppure

  • Selezionare l’oggetto di testo cliccandovi sopra una volta con il tasto destro del mouse,

  • Accedere alla finestra “Strumenti” ? “Link” dal menu principale.

I link definiti per singole parole o frasi hanno la precedenza rispetto a quelli definiti per l’intero oggetto di testo. I link relativi all’oggetto influenzano soltanto quelle parole o frasi senza altri link espliciti.

Aggiungere Link con StudioLine Explorer

StudioLine Explorer offre un metodo veloce per creare link di testo ad altre pagine:

Aggiungere link ad un Oggetto di Testo esistente

  • Aprire lo StudioLine Explorer.

  • Per linkare un altro sito, selezionare “Siti” e fare doppio click su uno dei siti in elenco.

  • Scegliere “Pagine”.

  • Individuare le pagine da linkare.

  • Trascinare la pagina su un oggetto di testo.

Aggiungere link ad un Nuovo Oggetto di Testo

  • Aprire lo StudioLine Explorer.

  • Per linkare un altro sito, selezionare Siti e fare doppio click su uno dei siti in elenco.

  • Scegliere Pagine.

  • Individuare la pagina da linkare.

  • Trascinare la pagina in uno spazio vuoto dell’area di lavoro.

  • È stato creato un nuovo oggetto di testo con un link alla pagina scelta.

  • Inserire il testo.

Seguire i Link

Se del testo è linkato ad un’altra pagina di StudioLine, si può facilmente passare ad essa.

  • Selezionare il testo su cui è definito il Link.

  • Scegliere “Seguire Link” dal menu “Navigazione“, oppure aprire il menu a scelta rapida del testo selezionato cliccandolo con il tasto destro del mouse e scegliere “Seguire Link”.


Variabili di TestoPlaceholders

Variabili di Testo

Le "Variabili di testo" possono essere usate ovunque nel testo dove dovrebbe apparire una descrizione dinamica, come in un testo della pagina o nelle descrizioni di un'immagine. Esempi di possibili descrizioni potrebbero essere il titolo di una pagina, l'etichetta di un'immagine o il nome del web master. Utilizzando una Descrizione, il testo sarà sempre aggiornato sul contenuto attuale della Descrizione.

Una lista di Descrizioni di sistema e Descrizioni di pagina validi è disponibile in appendice. Descrizioni specifiche per le immagini possono essere liberamente assegnate dall'utente.

Le variabili di testo vengono per lo più utilizzate nei "Layout" e nei "Modelli Layout". Questi fanno sì che blocchi di testo ripetuti, quali intestazioni di pagina ed etichette immagine, si adattino automaticamente ad ogni pagina. Questa caratteristica è fondamentale per l'utilizzo di alcune funzionalità avanzate di StudioLine, che permettono di generare automaticamente le pagine.

Inserire una Variabile di Testo

Racchiudere semplicemente il nome della "Descrizione" fra due doppi segni di percentuale, e farne uso ovunque in un blocco di testo.

Descrizione Variabile di Testo
TitoloPagina %%TitoloPagina%%

Se il testo contenuto in una variabile di testo risultasse più largo della colonna di testo riservatagli, andrà automaticamente a capo. Gli attributi di testo (ad esempio il colore e le impostazioni del carattere) possono essere impostati solamente per l'intera variabile di testo; non è possibile sottolinearne o renderne grassetto soltanto alcune porzioni.

Definizione delle Variabili di Testo

Le variabili di testo verranno definite nel momento in cui la pagina sarà convertita in codice HTML. Nel caso una varabile non sia unica in una pagina, verrà utilizzata l'informazione fornita dal primo oggetto. Nell'attribuzione dei valori corrispondenti alle descrizioni immagine, StudioLine ignora quelle immagini che non dipendono dal "Prototipo immagine", quali i pulsanti di navigazione, i banner e gli altri elementi appartenenti al "Layout". Nella pratica, le descrizioni immagine vengono utilizzate nella creazione delle sotto-pagine, dove il testo di ogni descrizione viene utilizzato per fornire dinamicamente i contenuti della pagina.


Lavorare con le Immagini

Tutte le immagini inserite in StudioLine vengono immagazzinate nell’Archivio Immagini centrale. L’Archivio Immagini contiene le foto originali ad alta risoluzione insieme ad altre informazioni descrittive. Le copie precedenti delle foto, a questo punto, non sono più necessarie, e possono essere spostate su un altro supporto (nastro magnetico o altri supporti rimovibili), aiutando a risparmiare spazio nel disco rigido. Se un’immagine dovesse in seguito essere necessaria per un’applicazione esterna, può essere semplicemente esportata dall’Archivio Immagini.

Le immagini aggiunte in modalità Editore Pagina vengono salvate in una particolare cartella denominata $AutoArchive$. Per inserire immagini all’interno di StudioLine è comunque preferibile entrare in modalità Archivio Immagine ed inserirle da qui tramite lo StudioLine Explorer. In questo modo, le immagini possono essere immediatamente archiviate e organizzate in cartelle, facilitandone la successiva ricerca. Per farne uso all’interno di una pagina web sarà poi sufficiente passare alla modalità Editore Pagina, aprire lo StudioLine Explorer, aprire la cartella “Archivio Immagini” e trascinarle da qui all’interno della pagina.

Vedere il capitolo “Archivio Immagini” per ulteriori informazioni.

Immagini su supporti rimovibili

Il percorso d’origine di un’immagine (es., un particolare Photo CD) viene memorizzato nell’Archivio Immagini come una “Descrizione” all’interno del campo “Source”. Il percorso d’origine può essere utile nel caso si dovesse trovare o aggiornare l’originale.

La prima volta che vengono inserite delle immagini da un CD-ROM, StudioLine richiederà di attribuire un nome al CD-ROM. (Nel caso dei Photo CD, per default viene utilizzata l’etichetta del disco.) Nel caso StudioLine dovesse ricaricare l’originale di un’immagine, chiederà che venga reinserito nuovamente lo stesso CD-ROM, chiamandolo con il nome inserito.

Inserire un’Immagine

  • Aprire lo StudioLine Explorer dal menu File e cliccare due volte su “Archivio Immagini”, “Risorse Computer” o “Periferia Rete” a seconda di dove si trova l’immagine da inserire.

  • Entrare nella cartella contenente l’immagine.

  • Trascinare l’immagine nella posizione desiderata sulla pagina.

Si può anche aprire una seconda sessione di StudioLine e trascinare l’immagine da un’altra pagina.Cliccare con il tasto destro su un’immagine per vedere il menu a scelta rapida corrispondente.

Impostazioni ereditate dal Prototipo

Il “Prototipo immagine” è definito nel “Layout” di pagina e definisce le impostazioni di default per le immagini della pagina. Ogni volta che un’immagine viene inserita in una pagina, le vengono applicati gli strumenti associati al “Prototipo”. Questo facilita l’operazione di uniformare le immagini di una pagina, grazie all’uso di effetti come bordi sfumati e ombre. Vedere il capitolo relativo ai “Layout” per informazioni aggiuntive.

La lista degli strumenti attivi può essere visualizzata e modificata dal menu a scelta rapida dell’immagine.

Separare dal Prototipo

Ogni cambiamento apportato al prototipo immagine del “Layout” verrà applicato alle immagini nella pagina. Con un’unica modifica del prototipo, è quindi possibile aggiornare tutte le immagini della pagina.

Nel caso si volessero rendere indipendenti dal prototipo alcune immagini, come pulsanti e loghi, scegliere “Indipendente dal Prototipo” dal menu a scelta rapida dell’immagine.

Ridimensionare l’Immagine

Selezionando un singolo oggetto, appariranno nella cornice di selezione gli otto regolatori. Questi possono essere usati per il ridimensionamento dello stesso.

  • Trascinare il regolatore d’angolo per ridimensionare proporzionalmente la larghezza e l’altezza.

  • Trascinare il regolatore laterale per comprimere o espandere l’oggetto in quella direzione.

Normalmente le immagini non possono essere ingrandite più dell’originale presente nell’Archivio Immagini. Premere il tasto CTRL per allargare l’immagine ulteriormente. (Questo genera una perdita di qualità nell’immagine.)

Altre funzioni per il ridimensionamento, il ritaglio e l’orientamento sono disponibili nel pannello degli “Strumenti Immagine”.

Aggiungere Informazioni di Descrizione

La maggior parte dei browser offre la possibilità di mostrare una piccola finestra a scomparsa con qualche informazione di descrizione, relativa all’immagine sopra la quale è posizionato il cursore. Questa informazione può apparire anche durante il caricamento dell’immagine. Viene letta solitamente dal cosiddetto “Testo alternativo”. Per alcune immagini questa funzione può essere necessaria, per altre invece può essere fonte di distrazione.

StudioLine genera queste descrizioni a partire dalle “Descrizioni immagine”. Per cambiare o eliminare il “Testo alternativo”:

  • Selezionare l’immagine.

  • Scegliere “Descrizione” dal menu “Strumenti”. Si aprirà la finestra di dialogo “Descrizione”.

  • Scegliere “Alternate Text” dal menu a tendina.

Se l’immagine era stata inserita dall’Archivio Immagini, potrebbe già contenere delle informazioni di descrizione. Qualsiasi cambiamento venga apportato sarà relativo alla pagina corrente, lasciando inalterate anche tutte le Descrizioni presenti in altre pagine. In particolare le modifiche non influenzeranno nemmeno le eventuali pagine appartenenti a livelli successivi a quello dove è stata apportata la modifica. Infine, le modifiche non avranno nessun effetto sulle Descrizioni presenti nell’Archivio Immagini.

Le GIF Animate

Normalmente, StudioLine salva le immagini in formato compresso. Per le GIF animate, è importante che il formato originario del file non venga invece modificato. Per evitare di perdere l’effetto di animazione, sono applicate alcune restrizioni:

  • Nessuno strumento immagine può essere applicato alle GIF animate.

  • Nessun testo o altro oggetto con aree trasparenti può andare a sovrapporsi alle GIF animate.


Strumenti Immagine

Aprire il pannello degli “Strumenti Immagine” dal menu “Strumenti”. Questo pannello mette a disposizione una serie completa di effetti, compresi ombreggiatura, rilievo e attenuazione bordi e “buttonize” (funzione per rendere un’immagine simile ad un pulsante), applicabili sia al testo che alle immagini. Gli strumenti e le loro impostazioni possono essere regolati in ogni momento, e possono essere trasferiti ad altri oggetti. Anche le altre applicazioni possono usufruire dei potenti strumenti immagine messi a disposizione da StudioLine. Vedere il capitolo Importare ed Esportare per ulteriori informazioni.

Si raccomanda la lettura del Tutorial StudioLine, per familiarizzare con gli “Strumenti Immagine” e imparare a copiare le impostazioni fra gli oggetti.

Applicare uno Strumento

  • Selezionare uno o più oggetti con le stesse impostazioni.

  • Cliccare sullo strumento desiderato del pannello “Strumenti Immagine”.

  • Scegliere le impostazioni desiderate.

Gli effetti di ogni strumento sono immediatamente visibili sulla pagina.

Trasferire le Impostazioni

  • Selezionare un oggetto con l’impostazione da copiare.

  • Aprire la lista “Strumenti Immagine Attivi” dal menu a scelta rapida dell’oggetto.

  • Cliccare sullo strumento della lista di cui si vogliono trasferire le impostazioni.

  • Trascinare il pulsante “Copia” (angolo in alto a sinistra della finestra) su ogni altro oggetto per trasferire le impostazioni relative a quello strumento.

Nel caso la lista “Strumenti Immagine Attivi” di un oggetto non contenga lo strumento copiato, questo verrà aggiunto in coda agli strumenti già applicati. Nel caso sia già presente l’effetto “Luce & Ombra”, ogni effetto verrà aggiunto appena prima di questo.

Nota: L’ordine nella lista rispecchia l’ordine di applicazione degli strumenti all’immagine.

Modificare le Impostazioni degli Strumenti

Ogni modifica o effetto applicato vengono aggiunti alla lista degli “Strumenti Immagine Attivi” dell’oggetto. La lista è accessibile dal menu a scelta rapida dell’oggetto stesso. Le impostazioni possono essere modificate, riordinate, eliminate o trasferite. Vedere la Guida online o il capitolo “Menu a Scelta Rapida Oggetto” della Guida di Riferimento per le procedure specifiche.


Ordine nella PilaStacking Order

Ordine nella Pila

In StudioLine è possibile sovrapporre più oggetti tra loro, coprendo parzialmente o completamente gli altri oggetti sottostanti. Differenti aree di un oggetto possono risultare visibili o meno a seconda delle forme e delle trasparenze degli oggetti sovrastanti.

Livelli Pagina e Livelli Layout

Le immagini di una pagina possono appartenere al “Modello Layout” o essere state aggiunte in seguito in modalità “Layout” o “Editore Pagina”. Ci sono in tutto 5 livelli, riservati rispettivamente agli oggetti appartenenti al “Layout” e a quelli appartenenti alla pagina.

Lavorare con i Livelli

L’ordine dei tre livelli destinati al “Layout” o dei due livelli destinati alla Pagina è fisso. Utilizzando il menu a scelta rapida oggetto, è possibile spostare le immagini in avanti e indietro fra i livelli. Le funzioni disponibili dipendono dalla modalità di StudioLine attiva (Editore Pagina, Layout o Modello Layout) e dall’appartenenza dell’immagine alla pagina o al “Layout”.

Modalità Editore Pagina

Sono visibili sia le immagini appartenenti al “Layout” che quelle inserite in seguito nella pagina. Queste ultime possono essere spostate liberamente all’interno e fra i due livelli, quello in primo piano e quello sullo sfondo. Le immagini appartenenti al “Layout” invece, possono essere spostate soltanto all’interno del loro livello.

Tutte le immagini inserite in questa modalità vengono posizionate nella posizione più avanzata del livello in primo piano della pagina.

“Modalità” Layout e “Modello Layout”

Le immagini possono essere spostate all’interno del loro attuale livello o possono essere assegnate a livelli differenti. Tutte le immagini inserite in questa modalità vengono posizionate nella posizione più avanzata del livello intermedio dei tre relativi al “Layout”.


Link Grafici

Alcune immagini, come i pulsanti, vengono comunemente utilizzate per far sì che gli utenti possano attivare azioni predefinite, quali aprire una nuova pagina o spedire un’E-mail.

Per aggiungervi un Link, selezionare l’immagine e scegliere Link dal menu “Strumenti” o dal menu a scelta rapida dell’immagine.

Aggiungere un Link ad una Pagina di Dettaglio

È possibile aggiungere un Link ad una piccola miniatura per collegarlo ad una pagina con la foto in risoluzione maggiore e Descrizioni relative.

  • Selezionare l’immagine.

  • Scegliere Link dal menu “Strumenti” o dal menu a scelta rapida dell’immagine.

  • Scegliere il tipo “Link a Sotto-Pagina”.

  • Passare alla modalità “Layout”.

  • Confermare che il “Layout” è costituito da più di un livello.

Per ulteriori informazioni, vedere il capitolo sui “Layout”, in particolare la sezione dedicata alle “Sottopagine Automatiche”.

Aggiungere Link con StudioLine Explorer.

Lo StudioLine Explorer offre un metodo veloce per definire sulle immagini link ad altre pagine:

  • Aprire lo StudioLine Explorer.

  • Per aggiungere un Link interno al sito, selezionare “Pagine.” Per link esterni al sito, selezionare “Siti” e fare doppio click su uno dei siti in elenco.

  • Individuare la pagina da linkare.

  • Trascinare la pagina selezionata su un’immagine della pagina corrente.

  • L’immagine è ora linkata alla pagina desiderata.

Fornire suggerimenti visivi

È importante fornire agli utenti indicazioni chiare su eventuali link presenti su un’immagine. Una tecnica efficace, è quella di dare all’immagine l’aspetto di un pulsante:

  • Selezionare l’immagine.

  • Aprire il pannello “Strumenti Immagine” dal menu “Strumenti”.

  • Scegliere l’effetto “Luce e Ombra”.

Seguire i Link

Se un’immagine è linkata ad un’altra pagina di StudioLine, si può facilmente passare a quella pagina cliccando due volte sull’immagine, oppure:

  • Selezionare un’immagine con un link.

  • Scegliere indifferentemente "Seguire Link” dal menu “Navigazione”, o aprire il menu a scelta rapida dell’immagine con il pulsante destro del mouse e scegliere “Seguire Link”.


Roll-Over Effects

Effetto Roll-Over

I siti con effetti Roll-Over sono molto graditi, in quanto aggiungono dinamicità alla pagina. Quando il cursore del mouse scorre ad un'immagine, questa cambia colori, ombre, trasparenza o altre impostazioni del suo aspetto.

Gli effetti Roll-over sono spesso usati come indizi per i Link grafici. Rappresentano anche un modo molto efficace per attirare l'attenzione su informazioni in sequenza, che diventano visibili solo nel momento in cui il mouse scorre su un'area della pagina.

Tecnica a Immagine singola

Con questa tecnica, viene variato l'aspetto di una singola immagine, al passaggio del mouse sopra di essa.

  • Collocare un'immagine sulla pagina e aprire la finestra "Strumenti Immagine" per scegliere un effetto da applicare nel Roll-over.

  • Premere il pulsante "Modalità Roll-Over" nella barra degli strumenti. Il cursore del mouse diventerà rosso.

  • Aprire la lista degli "Strumenti Immagine Attivi" dal menu a scelta rapida dell'immagine.

  • Regolare o aggiungere altri strumenti da applicare in modalità Roll-over, ad esempio "Colorare" l'immagine o convertirla in bianco e nero.

  • Premere ripetutamente il pulsante "Modalità Roll-Over" nella barra degli strumenti per avere un'anteprima dell'effetto.


Layout e Modelli Layout

Per ottenere un aspetto omogeneo e semplificare la navigazione, i siti web solitamente mantengono tratti stilistici comuni in diverse pagine. In StudioLine, i “Modelli Layout” e i “Layout” definiscono elementi stilistici comuni come lo sfondo, i loghi, le intestazioni di pagina e i pulsanti di navigazione. Controllano inoltre alcuni processi standard automatizzati, come la creazione di sotto-pagine automatiche e il trattamento dell’immagine.

La principale differenza fra “Layout” e “Modelli Layout” è che, mentre questi ultimi sono appunto dei modelli, completamente indipendenti da una pagina, applicabili in ogni momento ad essa; il “Layout” è invece un altro modo di vedere la singola pagina: una visualizzazione che permette di organizzare e definire eventuali caratteristiche standard da attribuire agli oggetti in essa contenuti.

Modelli Layout vs. Layout

Il seguente diagramma chiarisce le differenze tra Modelli e “Layout”, in termini del loro scopo, delle modalità di utilizzo e delle loro interazioni.

Effetto
Modello Layout
Layout
Scopo

Influenza tutte le nuove pagine di un sito, e le loro sottopagine (se presenti)

Influenza la singola pagina e le sue sotto pagine automaticamente generate (se presenti)

Temporale

Unica associazione temporale –quando viene creata la pagina o quando il “Modello Layout” viene manualmente applicato ad una pagina esistente.

Associazione temporale continua – un “Layout” è parte integrante di una pagina.

Interazione

Può essere definito come preimpostato per il sito.

Può essere applicato manualmente alla singola pagina esistente.

Può essere salvato come nuovo “Modello Layout”.

Nel caso debbano essere condivisi elementi stilistici o impostazioni tra pagine diverse, posizionarli in un “Modello Layout”. Per utilizzarle in un’unica pagina, e nelle relative sottopagine generate in automatico, posizionarli in un “Layout”. Se gli elementi stilistici sono propri di un’unica pagina, posizionarli direttamente in essa con l’Editore Pagina.

Applicare un Modello Layout

Quando viene creata una pagina, per inizializzarla viene sempre utilizzato il “Modello Layout” definito nelle “Impostazioni Sito”.

Per applicare un “Modello Layout” differente:

  • Aprire la pagina,

  • Aprire lo StudioLine Explorer,

  • Scegliere “Modelli Layout”,

  • Individuare il “Modello Layout” adatto e trascinarlo nell’area di lavoro.

Nota: Una volta applicato un diverso “Modello Layout” alla pagina, quest’operazione non potrà essere annullata con la funzione “Undo”. Le precedenti personalizzazioni, preimpostazioni e regolazioni relative alle immagini contenute in essa e nei livelli successivi, andranno perse definitivamente.


Modello Layout

Le modalità “Layout” e “Modello Layout” sono un’estensione dell’editore pagina ed offrono funzioni per la maggior parte identiche. Si può pensare al “Layout” come ad un livello di controllo per la pagina e al “Modello Layout” come al suo progetti iniziale.

Per visualizzare e personalizzare il layout di una pagina specifica:

  • Aprire la pagina in modalità “Editore Pagina”.

  • Passare alla modalità “Layout”.

Per vedere e personalizzare un “Modello Layout”:

  • Passare alla modalità “Modello Layout”.

  • Selezionare un “Modello Layout”.

Oggetti comuni

Gli elementi utilizzati in un “Modello Layout” o in un “Layout” appariranno su tutte le pagine derivate da essi:

Elementi Grafici

Aggiungendo loghi, sfondi e altri elementi stilistici comuni, si otterrà uno stile di pagina uniforme e si potrà assicurarsi che gli oggetti si troveranno sempre nelle giuste posizioni.

Le immagini vengono inserite nei Modelli o nei “Layout” senza particolari preimpostazioni, elaborazioni o link. Dovranno essere ridimensionate manualmente e gli dovranno essere applicati gli “Strumenti Immagine” appropriati.

Elementi di Testo

Fare uso, dove possibile, delle “Variabili di Testo” per elementi di testo comuni come titoli, autore o informazioni di Copyright. Questo fa sì che il “Modello Layout” o il “Layout” si adatti automaticamente a qualsiasi pagina, semplicemente recuperando le descrizioni di sistema, di pagina o d’immagine adatti.

Link

Utilizzare oggetti di testo o immagini appropriati per rappresentare i link standard, quali il link alla Home Page, alla pagina dei contatti o per spedire E-mail. Premere il tasto destro del mouse su ogni oggetto e scegliere Link dal relativo menu a scelta rapida.


Prototipo Immagine

L’immagine “Prototipo” è una rappresentazione visiva di tutte le proprietà e gli strumenti standard applicati in questo “Layout”: non apparirà effettivamente nella pagina.

Spesso, i disegnatori di siti web definiscono un metodo standard d’elaborazione per le immagini, come bordi sfumati, ombreggiature e dimensioni massime.

In StudioLine, il “Prototipo Immagine” controlla le impostazioni standard per le immagini aggiunte in modalità Editore Pagina. Le immagini rimangono associate al prototipo! Qualsiasi modifica apportata al Prototipo nel “Layout” di una pagina, si rifletterà su tutte le immagini della pagina. È quindi possibile applicare una serie di “Strumenti Immagine” al “Prototipo” per modificare di conseguenza tutte le immagini della pagina. Volendo invece modificare un’immagine indipendentemente dal “Prototipo” è sufficiente scegliere “Slegare dal prototipo” dal menu a scelta rapida dell’immagine.

Impostare gli Standard Immagine

  • Aprire un “Layout” o un “Modello Layout”.

  • Selezionare il prototipo immagine.

  • Usare il menu “Strumenti” per applicare un qualsiasi “Strumento Immagine”, o premere il tasto destro del mouse sul prototipo per accedere al suo menu a scelta rapida.

Rendere l’Immagine Indipendente

  • Selezionare l’immagine in modalità Editore Pagina,

  • Premere il tasto destro del mouse sull’immagine per accedere al suo menu a scelta rapida.

  • Selezionare “Slegare dal Prototipo”.

Lo stesso menu può essere utilizzato per associare nuovamente l’immagine al prototipo.

Una volta che l’immagine è indipendente dal Prototipo, le sue “Descrizioni” verranno ignorate al momento di definire le variabili di testo utilizzate nella pagina. Inoltre non le saranno applicati gli strumenti definiti sul “Prototipo”.


Link Automatizzati a Cartella

Vi è spesso la necessità di suddividere un documento - uno Slide Show o una guida passo-passo - in più pagine. StudioLine può generare automaticamente una pagina Index e i Link fra le pagine contenute in una cartella.

Questa funzione interessa diverse componenti:

  • Una pagina Index, facoltativa, che può contenere le anteprime o i link di testo alla pagine di una sotto-cartella.

  • Una cartella, che conterrà una serie di pagine.

  • Un “Modello Layout”, facoltativo, che conterrà pulsanti di navigazione comuni e altri elementi di design.

  • Link di navigazione generici, per consentire agli utenti di accedere alle pagine contenute nella cartella o tornare alla pagina index.

  • Impostazioni relative alla cartella, che regolano la sequenza in cui mostrare le pagine.

  • Le singole pagine all’interno della cartella.

Realizzazione

  • Aprire la sezione Pagine dello StudioLine Explorer. Creare una nuova cartella.

  • Passare alla modalità Layout e disegnare un layout di pagina. Aggiungere pulsanti di navigazione comuni e link generici (es.: alla prima pagina, alla pagina precedente, alla pagina successiva, alla Home Page del sito).

  • Per creare una presentazione ad avanzamento automatico, scegliere “Avanti Automatico” dal menu “Pagina” e impostare il link di navigazione su “Pagina Seguente”.

  • Salvare il “Layout” come “Modello Layout”.

  • Cambiare le Impostazioni del Sito in modo da utilizzare il nuovo “Modello Layout” come predefinito per le nuove pagine. Annotare il “Modello Layout” che si stava utilizzando.

  • Aprire il menu “File”.

  • Creare (o inserire se già disponibili) tutte le pagine necessarie all’interno della nuova cartella. Ogni pagina erediterà i link generici impostati nel “Modello Layout”.

  • Rimettere nelle “Impostazioni Sito” il “Modello Layout” utilizzato originariamente.

  • Facoltativamente, creare una pagina indice (index) o utilizzare una pagina esistente. Questa pagina potrà essere collegata ad alcune, a tutte le pagine della cartella o solamente alla prima pagina. Una pagina può venir utilizzata come indice per diverse cartelle.

  • Dallo StudioLine Explorer, cliccare con il tasto destro sopra alla nuova cartella. Scegliere “Link Automatizzati a Cartella” dal menu a scelta rapida della cartella.

Per escludere delle pagine dalla funzione “Link Automatizzati a Cartella” è sufficiente spostarle in un’altra cartella, in una sottocartella o utilizzare l’opzione “Escludere pagina corrente da&ldots;” nel Menu “Pubblicare”.

Tips & Techniques: Slide Show

Seguire i Link

Se ad un oggetto è associato un link di tipo “a cartella”, si può facilmente passare alla prima pagina della sequenza.

  • Selezionare l’oggetto.

  • Scegliere “Seguire Link” dal menu di Navigazione, oppure aprire il menu a scelta rapida dell’oggetto con il tasto destro del mouse e scegliere “Seguire Link”.

Dall’interno di una pagina della serie, usare il menu di Navigazione per passare alle altre pagine della serie.


Sottopagine Automatiche

Le vere potenzialità di “Modelli” e “Layout” vengono alla luce quando si definisce più di un livello di pagina. I “Layout” multi-livello, infatti, generano automaticamente sottopagine già linkate fra loro con elementi stilistici comuni, pulsanti di navigazione e testi generati automaticamente dalle descrizioni d’immagine e di pagina.

La dimensione del prototipo immagine determina la grandezza dell’immagine utilizzata in quel particolare livello. Solitamente, la dimensione del “Prototipo” immagine per il livello principale è abbastanza piccola. Ne risulta una pagina principale costituita da una galleria di miniature delle immagini inserite nella pagina. Il prototipo immagine per i livelli successivi può essere definito in modo da risultare sempre più grande. Le sottopagine risultanti mostreranno soltanto un’immagine per ognuna – ma con livello di dettaglio sempre maggiore. L’utente del sito potrà quindi semplicemente cliccare su un’immagine per vederne una versione ingrandita, o usare un link di navigazione per scorrere le pagine dettagliate.

Applicazioni

Questa caratteristica permette di risparmiare diverso tempo nella creazione di una galleria d’immagini con un’interfaccia amichevole. Per un catalogo di prodotti, le pagine di listino possono contenere dei piccoli preview di ogni codice – mentre la pagina dettagliata con vista completa è accessibile con un semplice click del mouse.

I fotografi possono realizzare ampie gallerie immagini veloci da caricare, lasciando comunque la possibilità all’utente di accedere alle versioni a dimensione naturale. Aggiungendo un comando di “Avanti Automatico” dal menu “Pagina”, è anche possibile creare uno Slide-Show ad avanzamento automatico.

Layout Multi-Livello

L’aspetto di ogni sotto-pagina dipende dallo stile impostato per il particolare livello a cui appartiene.

Per disegnare un livello di pagina specifico:

  • Aprire il “Layout” o il “Modello Layout”.

  • Selezionare un livello già esistente dalla finestra “Livello”, o premere il pulsante “Nuovo Livello”.

Ovunque possibile, fare uso delle variabili di testo invece del testo statico. In questo modo, il testo sarà automaticamente sostituito in relazione alle “Descrizioni Immagine”, di pagina e di sistema.

Disabilitazione pulsanti di navigazione

Creare Sottopagine

Non tutte le immagini presenti in una pagina devono possedere le relative sottopagine associate. I pulsanti, i banner e i loghi devono essere solitamente esclusi.

Per generare le sottopagine di una singola immagine:

  • Premere il tasto destro del mouse su un’immagine.

  • Scegliere “Link” dal menu a scelta rapida dell’oggetto.

  • Scegliere “Link a Sottopagina” nella finestra “Link”.

Per generare sottopagine per tutte le immagini di una pagina:

  • Aprire un “Layout” o un “Modello Layout”.

  • Premere il tasto destro del mouse sul Prototipo Immagine.

  • Scegliere “Link” dal menu a scelta rapida dell’oggetto.

  • Scegliere “Link a Sottopagina” nella finestra “Link”.

Per non generare le sottopagine relative ad una singola immagine, o per eliminare singole sottopagine, è sufficiente cambiare le impostazioni dei suoi link su “Nessun Link”.

Seguire i Link

Se un oggetto è linkato ad una sotto-pagina, si può facilmente passare a quella pagina.

  • Selezionare l’oggetto.

  • Scegliere indifferentemente “Seguire Link” dal menu Navigazione, o aprire il menu a scelta rapida dell’oggetto con il pulsante destro del mouse e scegliere “Seguire Link”.

  • Dalla sotto-pagina, usare il menu di Navigazione per passare ad altre pagine.


Archivio Immagini

L’Archivio Immagini è un fattore chiave per la produttività di StudioLine. Pur non essendo indispensabile, il suo utilizzo è di valore inestimabile nella creazione degli attuali siti, così ricchi di estensioni multimediali. Invece di obbligare un web master a tenere traccia delle svariate versioni della stessa immagine, StudioLine si occuperà di conservare gli originali nel suo database immagini. La possibilità di organizzare la struttura in cartelle e la potente funzione di ricerca, permetteranno un facile rintracciamento e riutilizzo delle stesse.

Le correzioni base apportate alle immagini, come ritaglio, allineamento e bilanciamento colori possono essere apportate un’unica volta. Quando un’immagine viene posizionata e personalizzata in una pagina web, l’originale presente nell’Archivio Immagini rimane inalterato. Al contrario, modificando Nome, Descrizioni o altre informazioni all’interno dell’Archivio Immagini, i cambiamenti andranno a influenzare tutte le immagini presenti in ogni sito.

Il pannello Cartelle

Il pannello delle cartelle permette di organizzare le immagini originali in cartelle:

  • Per localizzare un’immagine, premere il pulsante “Cerca”.

  • Per visualizzare il contenuto di una cartella, premere una volta il tasto sinistro del mouse sull’icona della cartella.

  • Per visualizzare una lista di sotto-cartelle, premere due volte il tasto sinistro del mouse sull’icona della cartella.

  • Per aggiungere una cartella, premere il pulsante “Nuova Cartella”.

  • Per cancellare o rinominare una cartella, accedere al suo menu a scelta rapida cliccando con il tasto destro del mouse sul nome della cartella.

La cartella $AutoArchive$

La directory di sistema $AutoArchive$ contiene tutte quelle immagini che sono state copiate da una sorgente esterna direttamente su una pagina, senza essere state prima aggiunte all’Archivio Immagini.

La cartella $AutoArchive$ è organizzata a siti, Modelli e Pagine, in base a dove è stata utilizzata l’immagine per la prima volta. Inserendo un’immagine per la seconda volta da una percorso esterno, StudioLine riutilizzerà la stessa copia presente nell’Archivio Immagini (a meno che non sia stata modificata in seguito). Per questo motivo, il nome e la posizione originari dell’immagine nell’Archivio Immagini non verrà modificato, anche nel caso in cui la prima pagina che faceva uso di quell’immagine venisse spostata, rinominata o cancellata.

Se invece un’immagine dell’$AutoArchive$ non viene più utilizzata, verrà automaticamente rimossa. Per evitarlo spostare l’immagine dalla struttura a cartelle dell’$AutoArchive$ a una cartella utente.

L’Area di lavoro

L’area di lavoro mostra le miniature delle immagini contenute nell’attuale cartella dell’Archivio Immagini. Le opzioni di visualizzazione come la disposizione, la dimensione e l’ordine delle miniature possono essere definite per ogni cartella. Per accedere alle regolazioni aprire il menu a scelta rapida Archivio Immagini cliccando il tasto destro del mouse su una zona libera dell’area di lavoro.

Per regolare alcune impostazioni di default, selezionare “Impostazioni”, dalla barra dei menu e scegliere “Archivio Immagini”.

Aggiungere Nuove Immagini

  • Aprire lo StudioLine Explorer o l’Explorer di Windows.

  • Individuare le immagini nel disco rigido locale o nel drive di rete.

  • Selezionare una o più immagini e trascinarle nell’area di lavoro dell’Archivio Immagini o in una cartella nel pannello cartelle.

L’Archivio Immagini salverà le immagini alla massima qualità disponibile, osservando i limiti impostati nel menu Preferenze.

Muovere le Immagini

Per spostare le immagini tra le varie cartelle dell’archivio, aprire lo StudioLine Explorer e/o un’altra finestra dell’Archivio Immagini. Trascinare ora le immagini fra le cartelle.

Ordinare le Immagini

  • Premere il tasto destro del mouse su un’area vuota dell’Archivio Immagini.

  • Scegliere Ordina dal menu a scelta rapida che verrà visualizzato.

  • Scegliere la “Descrizione” secondo cui ordinare le immagini della cartella corrente.

Accedere velocemente all’Archivio Immagini

Dalle modalità Editore pagina, Layout o “Modello Layout”, usare il menu di scelta rapida dell’immagine per aprire un’immagine nell’Archivio Immagini.


Descrizioni Immagine

Al momento di inserire le immagini nell’Archivio Immagini è consigliabile aggiungere sempre delle informazioni descrittive. I browser possono farne uso per visualizzare informazioni alternative, o in sostituzione ad immagini lente a caricarsi. Nelle sottopagine generate automaticamente, i campi “Descrizione” vengono utilizzati per la compilazione automatica delle “Variabili di testo”, come, ad esempio, i titoli delle immagini, le etichette e le informazioni di copyright. Inoltre, le “Descrizioni”, costituiscono un aiuto per funzionalità di ricerca nel localizzare le immagini.

Nel momento in cui una raccolta di immagini si espande rapidamente, diventa sempre più difficile localizzare le immagini, anche se organizzate in una buona struttura di directory. L'utilizzo delle “Descrizioni” permette di ordinare, catalogare e cercare le immagini mediante qualsiasi tipo di informazione, compresa la posizione, l'avvenimento particolare, il soggetto o il fotografo –per citarne alcuni.

Per aggiungere una “Descrizione”:

  • Scegliere “Descrizione” dal menu “Strumenti”.

  • Selezionare e compilare le descrizioni già esistenti, ad esempio, il nome, la data e la descrizione.

  • Usare il pulsante “Aggiungere” per inserire altri campi di descrizione.

Come tutte le altre impostazioni, le descrizioni possono essere applicate alle altre immagini trascinando il pulsante”Copia”.

Rimozione totale del testo alternativo


Elaborazione di grandi quantità d'Immagini

Quando s’importano una serie di foto scattate nelle stesse condizioni o un rullino di diapositive, è probabile che la maggior parte, se non tutte, le immagini necessitino delle stesse regolazioni (ad esempio, correzioni di colore, contrasto, eliminazioni di macchie). Le immagini provenienti dai Photo CD ad esempio, hanno spesso un margine nero da ritagliare. Diapositive o lucidi potrebbero essere stati scansionati al contrario per errore, invertendo così l'immagine. Alcune foto potrebbero essere in formato ritratto, richiedendo così di essere ruotate di 90°.

Per questo StudioLine fornisce la possibilità di trattare grandi quantità d'immagini in pochi minuti.

In qualsiasi operazione richieda la selezione di più di un oggetto, è molto comodo e veloce scorrere gli oggetti della selezione utilizzando le due frecce che si trovano a lato o sotto l’immagine. Questa funzione è disponibile in ogni “Strumento Immagine” e permette di elaborare insiemi di immagini in serie, senza perdere tempo a selezionare le immagini una ad una.

Passo 1: Aggiungere immagini all'Archivio Immagini

  • Nel caso sia richiesto un formato o una risoluzione unica, regolare le “Impostazioni” dell'Archivio Immagini.

  • Aprire lo StudioLine Explorer e creare una nuova cartella nell’Archivio.

  • Trascinare le proprie immagini nella cartella.

Passo 2: Pre-elaborazione di Allineamento

Nell’Archivio Immagini, gli strumenti di allineamento e ritaglio sono disponibili anche come pre-elaborazioni. Questo risulta molto utile per rimuovere i bordi dalle foto scansionate o provenienti da un Photo CD e per orientare correttamente le immagini scattate in modalità ritratto.

Le loro impostazioni non saranno visibili negli “Strumenti Immagine Attivi”. Questo impedisce che qualcuno, in seguito, possa accidentalmente rimuovere le modifiche accuratamente apportate. Le pre-elaborazioni permettono inoltre di applicare vari effetti e miglioramenti a una serie completa di immagini – fatta eccezione per la rotazione, da utilizzare soltanto con le immagini in formato ritratto.

  • Premere il pulsante “Seleziona Tutto” nella barra degli strumenti.

  • Scegliere "Pre-elaborazione Immagine" dal menu “Strumenti”.

  • Ritagliare dove necessario.

  • Premere il pulsante “Copia” della finestra "Pre-elaborazione Immagine",

  • Selezionare un’immagine orientata verticalmente (lati corti orizzontali).

  • Scegliere “Pre-elaborazione immagine” dal menu Strumenti.

  • Ruotare l'immagine di 90°. Usare la funzione “Specchiare immagine” nel caso sia stata invertita durante il processo di scansione.

  • Trascinare il pulsante “Copia” della finestra “Pre-elaborazione” ? “Allineamento Immagine” su tutte le immagini che richiedono un’elaborazione simile.

Ricorda, è possibile selezionare più di un'immagine tenendo premuto il tasto Ctrl.

Passo 3: Descrivere e Catalogare le Immagini

Alcune “Descrizioni” potrebbero essere comuni a tutte le immagini. Caso tipico è quando una serie di foto sono state scattate tutte allo stesso evento o nella stessa occasione, solitamente dallo stesso fotografo e nella stessa data. È possibile applicare la maggior parte delle impostazioni comuni a tutte le immagini della serie.

  • Premere il pulsante “Seleziona Tutto” nella barra degli strumenti . Tutte le immagini della cartella corrente verranno selezionate.

  • Scegliere “Descrizione” dal menu “Strumenti”.

  • Selezionare una Descrizione ed inserire l'informazione comune a tutte le immagini. Il pulsante Copia del pannello “Descrizione Immagine” diventerà rosso.

  • Premerlo in modo che l'informazione venga copiata a tutte le immagini della cartella.

  • Selezionare un'altra “Descrizione” e ripetere il procedimento tutte le volte necessarie.

Passo 4: Migliorare l'Immagine

  • Selezionare un'immagine tipo.

  • Scegliere “Strumenti Immagine” dal menu “Strumenti”.

  • Utilizzare “Tono colore” e “Ottimizzazione Immagine” per migliorare il contrasto e la saturazione.

  • Per effettuare correzioni cromatiche, fare uso dello strumento “Impostazioni Colore”.

  • Per eliminare invece eventuali granulosità far uso dello strumento “Spolverizzare”

Questa è solo una lista indicativa delle correzioni più comuni. Le proprie immagini potrebbero richiedere un numero maggiore o minore di correzioni.

Passo 5: Copiare i miglioramenti alle altre immagini

  • Premere il tasto destro del mouse sull'immagine appena ritoccata. Si aprirà il menu di scelta rapida relativo.

  • Scegliere “Strumenti Immagine Attivi” per vedere la lista degli strumenti applicati.

  • Premere il pulsante “Seleziona Tutto” nella barra degli strumenti: verranno selezionate tutte le immagini dell'attuale cartella.

  • Premere il pulsante Copia del pannello degli “Strumenti Immagine”.

A questo punto, StudioLine applicherà gli stessi effetti a tutta la serie d’immagini selezionate. Nel caso siano varie centinaia, il processo potrebbe richiedere vari minuti o anche ore. In ogni caso, è comunque più veloce di trattare ogni immagine singolarmente – e si svolge in modo del tutto automatico, lasciandovi liberi per altro.

Passo 6: Regolare le singole immagini

Arrivati a questo punto, le immagini in formato ritratto sono state ruotate e a tutte le immagini sono state attribuite le stesse descrizioni. Gli stessi miglioramenti sono stati applicati a tutta la selezione.

Per regolare le immagini singolarmente, usare il tasto destro del mouse per aprire il menu di scelta rapida dell’immagine, accedere quindi alle “Descrizioni” o agli strumenti applicati.

Passo 7: Creare una Galleria Immagini per Internet

StudioLine può generare automaticamente Gallerie Immagini per Internet.

  • Passare alla modalità “Editore Pagina” e aprire o creare la pagina che conterrà le miniature della galleria.

  • Entrare in modalità “Layout” e verificare che il “Layout” corrente contenga almeno due livelli (“Livello principale” e “Livello 1”) Nel caso non li contenga aggiungere un livello o aprire lo StudioLine Explorer e applicare un “Modello Layout” a più livelli.

  • Personalizzare il “Prototipo Immagine” Questo rappresenta proprio la miniatura che apparirà nella pagina iniziale della galleria. Per il “Livello principale” ridimensionare il “Prototipo” per renderlo sufficientemente piccolo e applicargli un effetto pulsante.

  • Selezionare il livello successivo nella lista dei livelli e regolare, se necessario, il “Prototipo”. Questa volta il prototipo rappresenta la singola immagine che l'utente vedrà cliccando sulla miniatura.

  • Tornare alla modalità “Editore Pagina” e aprire lo StudioLine Explorer.

  • Selezionare la cartella dell'Archivio Immagini.

  • Premere Ctrl+A per selezionare tutte le immagini della cartella.

  • Trascinarle dall'Explorer al Container dell'Editore Pagina.

A questo punto StudioLine si occuperà della creazione di tutte le miniature delle immagini della cartella e della loro disposizione all'interno del “Container”. Ogni miniatura verrà linkata alla relativa pagina di dettaglio con una versione più grande dell'immagine. Gli utenti potranno così usare i pulsanti di navigazione per scorrere le varie foto.


Pubblicazione su più Server

In alcuni casi, l’aggiornamento di un sito necessita di essere testato o di un benestare ufficiale, prima di essere reso pubblico. In questo caso il sito viene prima caricato su un’area ristretta o su un server da cui possa essere testato e mostrato in anteprima. Una volta testato e revisionato, il sito viene pubblicato sul server definitivo.

Per bilanciare meglio gli accessi e migliorare i tempi di risposta in diversi continenti, è possibile effettuare l’uploading su diversi server “mirror”.

StudioLine permette di creare tutti i profili di pubblicazione necessari. Per ogni profilo si occuperà quindi di mantenere una lista dei file pubblicati. Così facendo potrà sempre sapere quali file devono ancora essere aggiornati.


Pubblicazione

Prima di poter essere visualizzate con un browser, le pagine e i loro contenuti devono essere convertite in un formato compatibile e trasferite ad un web server. Le pagine vengono convertite utilizzando il linguaggio HTML, CSS e JavaScript, le immagini vengono convertite in formato JPEG. StudioLine, quando possibile, evita di utilizzare file in formato GIF. Questo formato infatti, impone limitazioni alla tavolozza dei colori utilizzabile che mal si adattano alle attuali schede video e standard grafici.

Gestione delle Modifiche

StudioLine determina automaticamente quali file devono essere pubblicati. Per i siti già pubblicati trasferirà sul server soltanto i dati nuovi o modificati, velocizzando il processo di pubblicazione. Le vecchie informazioni verranno rimosse dal server, liberando spazio sul disco e assicurando che le informazioni indesiderate non siano più accessibili.

Per determinare se una pagina necessiti di pubblicazione, StudioLine considera diversi fattori:

  • La precedente pubblicazione della pagina.

  • Eventuali modifiche dopo l'ultima pubblicazione.

  • Eventuali modifiche alle immagini dell'Archivio (ad esempio con strumenti immagine o descrizioni.)

  • Eventuali modifiche alla struttura del sito che richiedano link di navigazione differenti.

File Condivisi

Per risparmiare spazio sul server e per velocizzare la navigazione, StudioLine tenta di condividere le immagini utilizzate più di una volta in un sito. Per far ciò deve verificarsi una delle seguenti condizioni:

  • L'immagine proviene da un “Modello Layout”. Le immagini relative ad un “Modello Layout” vengono salvate in una directory comune sul server e vengono condivise nelle pagine derivate da esso.

  • L'immagine compare più di una volta sulla stessa pagina. Le immagini posizionate su una pagina vengono salvate in un'unica cartella. Quelle presenti più di una volta vengono condivise.

  • L'immagine appare su più livelli dello stesso layout. La pagina index e tutte le sottopagine generate automaticamente condividono fra loro le immagini.

È importante notare come, per condividere un’immagine, la combinazione degli strumenti e le loro impostazioni debbano essere identiche. È quindi necessario ritagliare, ridimensionare e applicare ogni strumento all'immagine prima di copiarla su altre pagine. Anche regolazioni leggermente differenti di un'impostazione porteranno alla creazione di immagini diverse.

Altri fattori potrebbero ostacolare la condivisione delle immagini, compreso l’uso di uno sfondo differente o l’uso dell’immagine in una composizione. In questi casi, parti dell’immagine potrebbero risultare fuse o sovrapposte da altri oggetti grafici.

Profilo di Pubblicazione

Per la gestione dei file sul server, StudioLine fa uso dello standard File Transfer Protocol (FTP). Questo standard permette a StudioLine di verificare i dati del web server e poi effettuare l'upload, la sostituzione o l'eventuale cancellazione. Una procedura di pubblicazione intelligente verifica l'esistenza di una versione nuova o aggiornata, con tutti i dati relativi, sul server, prima che la pagina sia resa disponibile in rete. Ogni file incompleto o mancante verrà automaticamente aggiornato. Questo fa sì che i tempi di inattività siano minimi.

Prima di poter comunicare con il web server, StudioLine necessita di alcune informazioni per il “Profilo” di pubblicazione.

  • Scegliere “Profilo” dal menu “Pubblicare”.

  • Scegliere “Modifica” per controllare le impostazioni di pubblicazione.

  • Contattare la propria società di web hosting per ottenere le impostazioni FTP corrette.

  • Premere il pulsante “Testare” per controllare le impostazioni.

Consultare la Guida di Riferimento per ulteriori informazioni sul profilo di pubblicazione.

Testare il Profilo

StudioLine evidenzierà lo stato di avanzamento di ogni passo del test FTP. Nel caso ci fosse qualche problema, un messaggio di errore identificherà il problema specifico.

Passo 1: Connessione FTP

Messaggio: “Connessione al server: Nessun collegamento alla porta disponibile”

StudioLine ha provato a stabilire una connessione con il server FTP alla porta specificata.

  • Controllare nuovamente le impostazioni relative a “Server FTP” e “Porta”.

  • Assicurarsi che la postazione sia attualmente collegata alla rete, attraverso una LAN o una connessione dial-up via modem. Provare ad aprire il browser e assicurarsi di poter stabilire una connessione con il server del proprio provider.

  • Provare a collegarsi con il server FTP usando gli strumenti forniti con il proprio sistema operativo. In Windows, aprire una “Riga di comando” e digitare “ftp” seguito dal nome del proprio server FTP e premere Invio. Nel caso non si riesca a stabilire una connessione, il nome del server o la porta sono errati, oppure il server potrebbe essere spento in questo momento.

Messaggio: "Login e/o password non valida !"

StudioLine ha potuto collegarsi al server FTP, ma la login era errata.

  • Ricontrollare le impostazioni di "Login" e "Password".

  • Molti server fanno distinzione fra lettere maiuscole e minuscole nel convalidare Login e Password. Assicurarsi di digitare correttamente maiuscole e minuscole.

  • Dopo diversi tentativi di collegamento, molti server rifiutano la connessione per un periodo di tempo prolungato. Pur essendo certi di ricordare correttamente la login, potreste dover attendere qualche ora prima di riprovare.

Passo 2: Accesso al percorso di pubblicazione FTP

Messaggio: “Impossibile accedere al percorso di pubblicazione”

Una volta connessi, StudioLine ha cercato di accedere o creare una nuova cartella senza successo.

  • Ricontrollare le impostazioni di “Percorso Remoto”.

  • Alcuni server FTP accedono automaticamente alla giusta cartella appena connessi. Se l'impostazione di “Percorso Remoto” è la stessa di “Login”, provare a lasciare vuoto il campo “Percorso Remoto”.

  • Se l'impostazione di “Percorso Remoto” è soltanto una singola barra “\” o una barra rovescia “\”, provare a lasciare vuoto il campo.

Messaggio: “Impossibile scrivere nel Percorso Remoto”

Una volta connessi, StudioLine ha cercato creare una nuova cartella o di accedervi senza successo.

  • Ricontrollare le impostazioni di “Percorso Remoto”.

  • Alcuni server FTP accedono automaticamente alla giusta cartella appena connessi. Se l'impostazione di “Percorso Remoto” è la stessa di “Login”, provare a lasciare vuoto il campo “Percorso Remoto”.

  • Se l'impostazione di “Percorso Remoto” è soltanto una singola barra “\” o una barra rovescia “\”, provare a lasciare vuoto il campo.

Passo 3: Accesso al Web Server

Messaggio: “URL della radice del sito non valida”

StudioLine ha cercato di effettuare l'upload di un file di test nel percorso remoto e ha poi cercato di accedervi attraverso il percorso del sito web.

  • Copiare la “URL della radice del sito” nel browser alla casella indirizzo. Se il browser riporta un messaggio tipo "DNS error" o "technical difficulties with the web site", è consigliabile contattare il proprio ISP (Internet Service Provider).

  • (Nota: non essendo ancora stato pubblicato niente il browser avrebbe dovuto visualizzare un messaggio indicante che la pagina richiesta non è stata trovata.)

  • Ricontrollare le impostazioni di “Percorso Remoto” e “URL della radice del sito”.

  • Alcuni server FTP accedono automaticamente alla giusta cartella appena connessi. Se l'impostazione per “Percorso Remoto” è la stessa di “Login”, provare a lasciare vuoto il campo “Percorso Remoto”.

  • Se l'impostazione per “Percorso Remoto” è soltanto una singola barra “\” o una barra rovescia “\”, provare a lasciare vuoto il campo.

Step 4: Documento di Default del Web Server

Messaggio: “Nome del documento di default del server non valido”

StudioLine ha effettuato l’upload di un file nel percorso remoto del server FTP, usando il nome di default specificato nel profilo di pubblicazione. Non è stato poi in grado di accedervi utilizzando la URL senza specificare il nome del documento.

Il test è stato ripetuto senza successo con una serie di tipici nomi di default (default.htm, default.html, index.htm, index.html).

  • Ricontrollare le impostazioni del "Documento Standard" nel profilo di pubblicazione.

  • Contattare il proprio server administrator per ottenere le impostazioni corrette.

Nel caso in cui StudioLine riuscisse a determinare automaticamente il nome di default esatto, aggiornerà il profilo di pubblicazione di conseguenza.

FTP Log File

StudioLine genera log file dettagliati delle connessioni FTP giornaliere. Questi vengono salvati nella cartella “Logs” della directory di StudioLine nel proprio disco rigido. I tecnici potrebbero richiedere questi file per analizzare meglio eventuali problemi con il profilo di pubblicazione.

Pubblicare un Sito

Una volta impostato e testato con successo un profilo di pubblicazione, il sito potrà essere pubblicato sul server.

  • Selezionare “Anteprima” dal menu “Pubblicare”. StudioLine opererà la conversione del sito corrente nel disco rigido. Questa operazione potrebbe richiedere diversi minuti, a seconda del numero e del grado di complessità delle pagine.

  • Selezionare “Trasferire sul server” dal menu “Pubblicare”. StudioLine effettuerà l’upload dei documenti convertiti sul server.

  • Selezionare “Anteprima nel Browser” per aprire la pagina corrente nel proprio browser.

Grazie all’architettura di StudioLine, che permette di gestire più processi in multitasking, è possibile continuare a lavorare su altri siti durante la fase di conversione. È comunque consigliabile prestare attenzione a non salvare gli stessi oggetti in fase di conversione.

I nuovi documenti non vengono visualizzati

Se un sito appena pubblicato non viene visualizzato nel browser, provare a:

  • Controllare le Impostazioni del sito per accertarsi di aver selezionato una home page.

  • Premere il pulsante “Aggiorna” o “Refresh” del proprio browser.

  • Verificare l’eventuale presenza di un ritardo nella visualizzazione delle pagine caricate nel web server.


Testo sfocato

Invertendo l’ordine standard di applicazione degli strumenti immagine, è possibile sfocare il testo dei titoli, degli sfondi e quello sovrapposto alle immagini.

  • Inserire un nuovo elemento di testo, scegliere una dimensione carattere ampia e lo stile grassetto.

  • Digitare il testo desiderato.

  • Aprire la finestra “Strumenti Immagine” dal menu Impostazioni.

  • Applicare l’effetto”Luce & Ombra”.

  • Impostare la direzione della luce proveniente dall’alto, escludendo l’effetto “Luce” e impostando una distanza dell’ombra superiore all’altezza dell’elemento di testo. Scegliere una lieve attenuazione.

  • L’ombra apparirà come un elemento separato, sotto all’attuale oggetto di testo.

  • Applicare lo strumento “Allineamento Immagine”.

  • Aprire il menu a scelta rapida del testo e selezionare “Strumenti Immagine Attivi”.

  • Trascinare l’effetto ”Luce & Ombra” nella prima posizione della lista.

  • Nello strumento “Allineamento Immagine” scegliere un’area di ritaglio che contenga soltanto il testo sfocato.


Salvare Testi nell’Archivio Immagini

Testi e simboli possono essere utilizzati per creare titoli, banner, pulsanti e altri elementi di layout particolarmente elaborati.

  • Aprire l’Editore Pagina.

  • Aprire l’Editore Testo e selezionare un carattere per il testo o simbolico.

  • Digitare la frase o creare il simbolo.

  • Applicare i vari “Strumenti Immagine” come ad esempio “Luce & Ombra”, “Ruotare”, “Colorare”, etc.

  • Selezionare l’oggetto e premere il pulsante “Copia” nella barra degli strumenti per copiarlo negli Appunti di Windows.

  • Passare alla modalità Archivio Immagini.

  • Premere “Incolla” nella barra degli strumenti per salvare l’oggetto nell’Archivio Immagini. L’immagine sarà salvata su sfondo trasparente in modo da poter essere utilizzata su qualsiasi pagina.


Caratteri come Sfondo

Per disegnare sfondi particolari, si possono utilizzare testi, singole lettere o altri caratteri.

  • Utilizzare l’Editore di Testo per inserire oggetti di testo su una pagina vuota dell’Editore Pagina.

  • Applicare gli “Strumenti Immagine”, ad esempio “Colorare” o “Ruotare”.

  • Scegliere un fattore di trasparenza piuttosto alto, ed esempio 70% o superiore.

  • Selezionare gli oggetti e premere il pulsante “Copia” nella barra degli strumenti per copiarli negli Appunti di Windows.

  • Passare alla modalità Archivio Immagini.

  • Premere “Incolla” nella barra degli strumenti per salvare l’oggetto nell’Archivio Immagini. È stata creata un’immagine comprendente tutti i vari oggetti di testo selezionati, utilizzabile come sfondo per una qualunque altra pagina.

Impostare lo sfondo


Unire oggetti in un Collage

Talvolta, può essere utile combinare assieme più immagini o fondere del testo con un logo.

  • Aprire l’Editore Pagina.

  • Creare il collage disponendo i vari oggetti sulla pagina.

  • Applicare i vari effetti “Ritaglio”, “Colorare”, “Ridimensionare”, “Bordo attenuato” e “Trasparenza”. (Nota che alcuni effetti, come “Luce & Ombra”, danno risultati migliori se applicati alla fine del processo.)

  • Conclusa la composizione, selezionare gli oggetti.

  • Premere il pulsante “Copia” nella barra degli strumenti per copiarli negli Appunti di Windows

  • Passare alla modalità Archivio Immagini.

  • Premere “Incolla” nella barra degli strumenti per salvare l’immagine composta nell’Archivio Immagini.

  • Applicare eventuali effetti, come “Luce & Ombra”, all’immagine completa. (Questi effetti possono essere aggiunti anche dopo che il collage è stato inserito in una pagina.)


Rimuovere completamente ogni Testo Alternativo

Vari elementi del design di pagina, come linee laterali e loghi non devono visualizzare nessun testo alternativo nel browser, quando il cursore del mouse è posizionato sopra di essi. Potrebbe, infatti, distrarre l’attenzione dal contenuto primario del sito.

  • Aprire una pagina, un “Layout” o un “Modello Layout”.

  • Selezionare tutte le immagini della pagina che non dovranno avere testo alternativo. (I tasti Ctrl e Shift sono utili per selezionare più oggetti.)

  • Scegliere “Descrizione” dal menu “Strumenti”.

  • Selezionare il campo “Testo alternativo” e usare il tasto Canc per cancellare ogni testo.

  • Premere il pulsante Copia della finestra Descrizione.


Pannello di Navigazione

La facilità di navigazione è un fattore importante per convincere i visitatori a tornare. Per questo, obiettivo fondamentale dei web designer è disegnare pannelli di navigazione funzionali e appariscenti.

Prima dell’uscita di StudioLine, un pannello di navigazione e i relativi pulsanti venivano progettati con uno strumento di grafica. Per ottenere effetti Roll-over, dovevano essere previsti più layer o differenti versioni dei pulsanti. Il risultato finale doveva essere suddiviso in più immagini minori inserite in tabelle HTML progettate con cura o in frame. Qualsiasi modifica richiedeva la ripetizione della maggior parte di questi passaggi. Le mappe immagine richiedevano meno lavoro, ma non permettevano di ottenere l’effetto Roll-over.

Con StudioLine, nell’Editore Pagina è possibile creare bellissimi pannelli di navigazione:

  • Posizionare i pulsanti di navigazione sulla pagina o sul bordo.

  • Utilizzare, se necessario, la funzione “Allinea Oggetti” della barra degli strumenti, per allinearli correttamente.

  • Selezionare un pulsante di navigazione e aprire la finestra “Strumenti Immagine” per applicarle degli effetti.

  • Premere il pulsante “Roll-Over Mode” nella barra degli strumenti a scegliere eventuali effetti di Roll-over. Premere più volte il tasto “Roll-Over Mode” per controllare il risultato.

  • Trascinare il pulsante “Copia” della finestra degli Strumenti per applicare gli stessi effetti ad altri pulsanti di navigazione.

Se il pannello di navigazione viene creato in un “Modello Layout”, verrà automaticamente applicato a tutte le pagine derivate da esso.

Effetti Roll-Over


Pulsanti di Navigazione inattivi

StudioLine genera automaticamente i link di navigazione per i layout multi-livello e per i “Link a cartella”. Se un link non è attivabile da una sottopagina (ad esempio, il pulsante “Next” dell’ultima pagina di una serie), il pulsante corrispondente può essere visualizzato con un fattore di trasparenza.

Per ragioni estetiche si potrebbe anche scegliere di visualizzare una versione del pulsante, che indichi che è disabilitato:

  • Aprire il livello appropriato del layout.

  • Selezionare il pulsante di navigazione.

  • Selezionare “Link” dal menu a scelta rapida del pulsante e impostare la trasparenza per i pulsanti inattivi al 100%.

  • Creare una copia del pulsante.

  • Applicare alla copia degli effetti che evidenzino che il pulsante è disabilitato. Si può ad esempio rimuovere ogni ombra o effetto pulsante o convertire il pulsante in bianco e nero.

  • Trascinare il pulsante “disabilitato” sopra al pulsante esistente sul layout. (Per allinearlo perfettamente, renderlo trasparente fino ad allineamento raggiunto.)

  • Selezionare “Link” dal menu a scelta rapida del pulsante e impostare “Nessun Link”.

  • Selezionare “Ordine nella pila” dal menu a scelta rapida e scegliere “Indietro” per nascondere il pulsante “disabilitato” dietro a quello normale.

Quando il tasto standard di navigazione sarà disabilitato, diventerà visibile lo speciale pulsante “disabilitato”.


Slide Show

Una sequenza di finestre può essere molto utile per trasmettere un messaggio che richieda una serie di immagini o informazioni successive.

  • Per ottenere continuità, creare un “Modello Layout” per le pagine della sequenza.

  • Per automatizzare la creazione dei link, utilizzare i “Link a Cartella”. Per automatizzare la creazione delle pagine e anche dei link, utilizzare un Layout multi-livello. Passare al secondo livello del Layout. (Per informazioni, fare riferimento alle relative sezioni della Guida Utente.)

  • Impostare margini e linee guida, in modo che i contenuti si possano, in seguito, adattare a finestre ridotte.

  • Selezionare “Avanti automatico” dal menu “Pagina”.

  • Scegliere “Link di Navigazione” come tipo di link e impostarlo alla “Pagina seguente”.

  • Regolare il tempo di attesa in base ai contenuti esposti.

  • Salvare il Modello Layout e utilizzarlo per creare le singole pagine dello slide show. Nel caso dei Layout multi-livello, le pagine vengono create automaticamente nel momento in cui s’inseriscono le immagini nella pagina index.

  • Aprire la pagina index o quella che conterrà il link alla prima pagina dello Slide Show. Nella finestra “Link”, scegliere “Aprire una nuova finestra del browser”.

  • Su “Opzioni” selezionare una dimensione della finestra appropriata ed eliminare ogni strumento o barra dei menu non richiesta.

Link Automatizzati a Cartella


Immagini Semitrasparenti

Le immagini semitrasparenti sono oggetti grafici su sfondo trasparente. Vengono chiamate anche immagini con “canale-alfa” o una “maschera di trasparenza”. Tra i formati generici che supportano queste tecniche (interamente o in parte) ci sono TIFF, PNG e GIF, oltre a molti formati caratteristici di altri programmi.

Importare Immagini Semitrasparenti

Le immagini semitrasparenti sono in vendita in raccolte. Sono inoltre disponibili molti strumenti grafici, compresi Adobe PhotoShop e Corel Draw, che permettono la creazione d’immagini semitrasparenti. Consultare la documentazione del proprio programma di grafica, per informazioni su come applicare maschere ad un’immagine o sull’utilizzo di particolari strumenti per individuare il contorno degli oggetti. Una volta isolato, l’oggetto deve generalmente essere copiato su uno sfondo trasparente. Utilizzare, se disponibile, un trattamento di anti-aliasing per ammorbidire i contorni dell’oggetto.

Esportare l’immagine ottenuta in un formato che supporti le trasparenze e importarla in StudioLine.

Creare Immagini Semitrasparenti con StudioLine

Le immagini create con StudioLine possono essere sempre utilizzate come oggetti semitrasparenti.

  • Aprire l’Editore Pagina.

  • Creare un collage di testo, forme geometriche semplici o qualsiasi altra grafica.

  • Utilizzare strumenti immagine come “Luce & Ombra”, “Bordo attenuato” o “Ruotare” che richiedono una trasparenza parziale.

  • Selezionare l’intera composizione, premere il pulsante Copia per copiarla negli Appunti di Windows.

  • Passare alla modalità Archivio Immagini.

  • Premere “Incolla” nella barra degli strumenti per salvare il collage come immagine semitrasparente nell’Archivio Immagine.

  • Esportare, se necessario, l’immagine per farne uso in altre applicazioni.


Menu «File»

StudioLine Explorer

Lo StudioLine Explorer permette di accedere sia a siti, pagine con relativi oggetti, e Archivio Immagini sia ai file del computer o della rete locale.

Finestra Explorer di StudioLine

Sottomenu Inserisci

Permette di inserire gli oggetti nella pagina e visualizza un pannello con brevi consigli. Se non dovessero apparire consigli, selezionare “Mostra tutti i consigli” dal menu “Guida”.

Immagine da Risorse Computer

Apre lo StudioLine Explorer. Individuare l’immagine sul proprio computer e trascinarla sulla pagina.

Immagine dall’Archivio Immagini StudioLine

Apre lo StudioLine Explorer. Individuare l’immagine nell’Archivio Immagini e trascinarla sulla pagina.

Nuovo Oggetto di Testo

Premere un tasto del mouse ovunque nella pagina per aprire l’Editore di Testo.

Nuovo Oggetto HTML

Premere un tasto del mouse ovunque nella pagina per aprire l’Editore di codice HTML.

Nuovo

Crea un nuovo documento StudioLine

I documenti possono essere organizzati creando Cartelle.

Organizzare i Siti

Aprire

Apre un documento esistente.

Un messaggio avvertirà, nel caso i cambiamenti apportati al documento corrente non siano stati salvati.

Ultime Pagine

Visualizza una lista dei documenti aperti più di recente nella modalità corrente. Per aprirne uno, selezionarlo dalla lista cliccandovi sopra con il mouse.

Salvare

Salva il documento sul disco.

In modalità “Editore Pagina”, StudioLine salva il lavoro ogni due minuti. In caso d’interruzione anomala, sarà chiesto all’utente se tornare all’ultima versione salvata del documento.

Ctrl+S

Salvare Pagine con Nome

Salva il documento su disco sotto nuovo nome.

Sottomenu “Sito”

Nuovo o Creare

Passa ad un altro sito di StudioLine.

Impostazioni

Pannello Impostazioni Sito

Sottomenu Importare / Esportare

Importare Archivio Immagini

Esportare Archivio Immagini

In modalità “Archivio Immagini”, permette di scambiare immagini fra postazioni StudioLine differenti. I file di scambio validi hanno estensione “.sli” e contengono tutte le immagini selezionate.

Nota: Utilizzare la funzione “Esportare Immagine in file” per esportare oggetti da usare in altre applicazioni.

Modelli Layout

Permette di condividere “Modelli Layout” fra utenti StudioLine. I file di scambio validi hanno estensione “.sld” e includono tutte le immagini utilizzate.

Pagine

Permette di condividere una pagina fra siti o utenti. Il file esportato ha un’estensione “.slg” nel caso di pagina singola o “.slx” nel caso di un insieme di pagine. Include i “Layout” associati e tutte le immagini utilizzate.

Guida Utente: Importare ed Esportare

Esporta Oggetti su File
Esporta Immagini su File

Nuova Sessione

Apre un’altra sessione di StudioLine.

Permette di lavorare parallelamente su più documenti e oggetti, con la possibilità di usare la tecnica “drag & drop” fra differenti modalità StudioLine o siti.

Le operazioni di rinomina effettuate in una sessione potrebbero non essere visibili dall’altra fino a quando il documento non sarà salvato o chiuso.


Menu «Strumenti»

Menu «Strumenti »

Questo menu contiene funzioni specifiche relative agli oggetti.

Pre-elaborazione di Allineamento

Questa funzione è limitata all’Archivio Immagini e permette di ritagliare e ruotare un’immagine. Le sue impostazioni sono permanenti e non compaiono nella lista “Strumenti Immagine Attivi” del menu di scelta rapida di un’immagine. Questo ad evitare che altre immagini siano ritagliate e ruotate, quando viene copiata la “Lista Strumenti Attivi”.

Dopo aver ritagliato l’immagine, il pulsante “Ricaricare” proverà a ricaricare l’originale e a salvare l’area ritagliata nella massima risoluzione permessa dalle ”Impostazioni” ? “Archivio Immagini”. Nel caso dei Photo CD Kodak, verrà utilizzata la risoluzione più adatta.

Per ulteriori informazioni sull’utilizzo della Pre-elaborazione di allineamento, fare riferimento alle istruzioni relative allo strumento di Allineamento Immagine.

Guida Utente: Pre-elaborazione Immagini

Strumenti Immagine

Una collezione di effetti di ritocco ed effetti speciali.

Finestra “Strumenti Immagine”

Selezionare Colore

Imposta un colore per gli elementi selezionati o gli strumenti.
Finestra “Selezionare Colore”

Link

Definisce un link per gli oggetti selezionati.

Finestra “Link a Oggetti”

Qualità immagine

Imposta la qualità dell’immagine e la dimensione del file relativo regolandone la compressione.

Finestra Qualità immagine

Descrizione

Assegna delle descrizioni agli oggetti selezionati.

Finestra “Descrizione”

Ancora di Posizione

Cambia il punto di riferimento dell'oggetto selezionato nel Container.

Finestra "Ancora di Posizione"

Questa funzione è disabilitata quando nella pagina non è presente il Container.

Visualizzare/Nascondere Container

Mostra o nasconde il Container.

Impostazioni Container

Finestra Impostazioni Container


Menu «Pagina»

Questo menu raggruppa le impostazioni specifiche di un’intera pagina o di un “Layout”. Per i “Layout” multi-livello, ogni livello mantiene le proprie impostazioni. Le modifiche apportate ad un qualsiasi livello (compreso il “Livello Principale”) non influenzeranno gli altri livelli.

Sfondo

Riempie lo sfondo con un colore uniforme o affiancando un’immagine.

Finestra Sfondo

Proprietà Link di Testo

Imposta il colore e il tipo di carattere per i link di testo.

  • Link: Ogni link contenuto nel testo.

  • Link visitato: Link a pagine precedentemente visitate.

  • Link attivo: Link a pagina attualmente aperta in un’altra finestra del browser.

  • Rollover Link: Link sopra ai quali si trova il puntatore del mouse.

Avanti Automatico

Imposta l’avanzamento automatico ad un’altra pagina. La pagina corrente viene visualizzata per un intervallo di tempo selezionato, prima che l’utente venga indirizzato su un’altra pagina.

Questa funzione può risultare utile per una presentazione ad avanzamento automatico o dopo la riorganizzazione dei contenuti di un sito. I motori di ricerca, infatti, potrebbero aver memorizzato le vecchie URL o gli utenti avrebbero potuto aggiungerle fra i loro Bookmark. Al posto di cancellarle, impostare un avanzamento automatico al nuovo indirizzo.

Applicare un altro modello Layout

Apre lo StudioLine Explorer. Trascinare un “Modello Layout” sull’area di lavoro per applicarlo alla pagina corrente.

Descrizione Pagina

Finestra Descrizione pagina

Includere File HTML

Durante la fase di Pubblicazione, StudioLine genera tutto il codice necessario alla visualizzazione della pagina corrente. In alcuni casi però devono essere aggiunti dei server side script o del particolare codice aggiuntivo.

Creare un file in formato HTML, contenente tutto il codice necessario.

Specificare il nome del file HTML da includere.

Durante la Pubblicazione, StudioLine unirà il contenuto del file HTML incluso, con il codice HTML da lui generato. Per la sezione <HEAD>, il codice incluso verrà aggiunto appena prima del tag di chiusura. Per la sezione <BODY> invece, il codice verrà inserito subito dopo il tag di apertura.

Impostazioni Barra Scorrimento

Quest’impostazione regola la visualizzazione o meno delle barre di scorrimento orizzontali e verticali del browser.

Mostrare, se necessario

Mostra le barre di scorrimento se l’altezza o la larghezza del documento sono più larghe della finestra del browser.

Mostrare sempre

Mostra le barre di scorrimento, anche se il documento è contenuto completamente nella finestra del browser.

Non mostrare mai

Non mostra le barre di scorrimento, anche se il documento non è contenuto interamente nella finestra del browser.

Predisposto dal browser

Con quest’opzione, StudioLine non imposta nessun’opzione relativa alle barre di scorrimento. La visualizzazione o meno delle barre sarà controllata dalle impostazioni di default del browser o da uno script.

URL della Pagina

Normalmente StudioLine crea automaticamente un indirizzo valido per la pagina a partire dal nome usato internamente.

In alcuni casi, potrebbe essere necessario utilizzare una URL specifica per adattare la pagina ad una struttura di sito già esistente o per sostituire pagine precedentemente create con altri programmi. Riutilizzare le stesse URL è utile per mantenere validi i link dei motori di ricerca e i bookmark degli utenti.

Nell’inserire le URL, omettere il nome del server e specificare soltanto il percorso assoluto a partire dalla root del server specificata nel profilo di pubblicazione. Se la URL inserita non specifica un nome di documento, sarà utilizzato quello di default impostato nel profilo di pubblicazione.

Margini

Finestra Margini

Linee Guida

Finestra Linee Guida


Menu «Elaborazione Testo»

Nuovo oggetto di testo

Crea un nuovo oggetto di testo.

Selezionando questa funzione il cursore diventerà un cursore d’inserimento testo.

  • Cliccare su un’area utile della pagina per aprire l’editore di testo in quella posizione, fuori dell’area utile invece per cancellare l’operazione d’inserimento.

  • Trascinare la voce di menu su un punto della pagina per aprire un editore di testo in quella posizione.

Formato Carattere

Imposta le proprietà per il testo selezionato all’interno di un oggetto di testo.

Finestra Formato Carattere

Creando un oggetto di testo finché è aperta la finestra “Formato Carattere” questo avrà come impostazioni del carattere quelle attualmente selezionate nella finestra.

Larghezza Testo

Cambia la larghezza (in pixel) dell’elemento di testo selezionato. Utile nel caso si selezionino più oggetti di testo e si voglia regolarli alla stessa larghezza.

La larghezza di un oggetto di testo può essere regolata anche selezionandolo e trascinando i regolatori laterali.

Cerca

Cerca un testo nell’area selezionata, nella finestra attualmente aperta o in tutti gli oggetti di testo della pagina.

Cerca e sostituisci

Sostituisce un testo nell’area selezionata, nella finestra attualmente aperta o in tutti gli oggetti di testo della pagina.

Controllo Ortografico

Controlla la presenza di eventuali errori ortografici nella finestra di testo attualmente in uso o in tutti gli oggetti di testo della pagina.

Guida Utente: Editore di Testo


Menu «Applicare Layout»

I contenuti e l’aspetto di una nuova pagina derivano dal suo Layout. Le scelte stilistiche, gli elementi e le collocazioni impostate dal “Layout” possono essere personalizzati per ogni singola pagina usando l’”Editore Pagina”. Successive modifiche apportate al “Layout” non influenzeranno tutti gli altri elementi non appartenenti ad esso.

Con questo menu, è possibile riapplicare il “Layout” alle pagine da esso derivate. Le scelte stilistiche, gli elementi e le collocazioni derivate dal “Layout” precedente andranno perse.

Applicare livelli attivi alle pagine

Applica il “Layout” a tutte le pagine derivate dal livello attualmente in uso nell’editore “Layout”.

Applicare tutti i livelli alle pagine

In un “Layout” con più livelli, sarà applicato alle pagine derivate da tutti i livelli.

(In un “Layout” con un unico livello, questa funzione è identica ad “Applicare livelli attivi alle pagine”).

Guida Utente: Layout e Modelli Layout


Menu «Pubblicare»

Prima di essere visualizzato da un browser, il contenuto di un sito StudioLine deve essere convertito in un formato compatibile e trasferito al web server.

Anteprima

Converte il sito in documenti HTML compatibili con il browser, inclusi la grafica e i file multimediali, memorizzandolo su disco per visualizzarne un’anteprima. Scegliendo questa funzione si aprirà una finestra di dialogo chiedendo se convertire tutte le pagine modificate e dando la possibilità di aggiungerne delle altre manualmente.

Durante il processo di conversione, una barra di progressione mostrerà una stima del tempo rimanente, basata sul numero e la dimensione delle pagine e degli oggetti.

Trasferire a server remoto

Copia le pagine convertite dal disco rigido locale al web server.

StudioLine aprirà la finestra di dialogo “Pagine nel sito attuale”, che permetterà di scegliere le pagine nuove o aggiornate da trasferire al server remoto.
Tramite questa finestra di dialogo è possibile modificare la lista delle pagine da trasferire.

Nel caso una pagina sia stata eliminata dal sito, sarà rimossa anche dal server assieme ai relativi file.

Nota: Questa funzione richiede la presenza di una connessione al server, ad esempio via Internet o Rete Locale (LAN).

Profilo

Gestisce i profili di pubblicazione e permette di selezionare il profilo da utilizzare per le funzioni “Trasferire a remote server” e “Cancellare pagina dal web”.

Finestra Profilo di Pubblicazione

Escludere Pagina Corrente…

Una pagina può venir esclusa sia da ogni profilo di pubblicazione, che da quello attualmente in uso. Questa opzione è relativa ad ogni singola pagina. Non è applicabile alla pagina “Home” del sito.

Quando una pagina viene esclusa, non sarà generata la sua anteprima e/o non verrà pubblicata. Nel caso la pagina fosse stata precedentemente pubblicata, verrà cancellata dal server. Eventuali Link a pagina escluse verranno interpretati come se non fosse impostato “Nessun Link”. I Link di navigazione generati automaticamente, come “pagina precedente” e “pagina seguente”, salteranno semplicemente ogni pagina esclusa. Se le pagine a cui questi link fanno riferimento fossero già presenti nel server, verranno automaticamente aggiornate.

Utilizzare quest’opzione per escludere dalla pubblicazione nuove pagine non ancora terminate. Escludendo una pagina soltanto dal profilo corrente, è, ad esempio, possibile escludere una pagina dal server finale, ma renderla però disponibile su un server di prova per averne un’anteprima.

Un altro possibile utilizzo può essere quello di bozza per un progetto. Escludendo una pagina da ogni profilo di pubblicazione, questa sarà accessibile soltanto all’utente di StudioLine ma non ai normali visitatori del sito. Una pagina così “interna” può essere utilizzata per raccogliere appunti, contatti, liste di cose da fare, promemoria, immagini, esempi di caratteri e altre informazioni relative al sito attuale.

Aprire l’ultima anteprima nel Browser

Apre il browser per mostrare l’anteprima del sito convertito in HTML sul disco rigido.

Aprire dal Web Server “…” nel Browser

Apre il browser per visualizzare la versione presente sul web server della pagina attualmente in uso.

Guida Utente: Pubblicazione


Menu «Navigazione»

Cliccando su di un elemento dalla finestra del browser si aziona il suo link, visualizzando così la pagina collegata. In StudioLine invece, cliccando un oggetto, lo si seleziona, in modo da poterlo poi modificare.

Il menu di navigazione apre le pagine linkate alla pagina corrente.

Seguire Link

Selezionare un oggetto della pagina su cui è definito un collegamento ipertestuale, o cliccarlo due volte, per aprire la pagina corrispondente.

Menu di scelta rapida Oggetto

Homepage

Apre la Homepage definita per il sito.

Finestra Impostazioni Sito

Indice

Per quelle pagine che fanno parte di una struttura di pagine create automaticamente, questa funzione aprirà la pagina al livello più alto della struttura.

Un livello su

Per le pagine di una struttura generata automaticamente, questa funzione aprirà la pagina index al livello principale della struttura.

Pagina Precedente / Seguente

Per quelle pagine che fanno parte di una struttura di pagine create automaticamente, questa funzione aprirà la pagina precedente o successiva allo stesso livello della struttura.

Prima / Ultima Pagina

Per quelle pagine che fanno parte di una struttura di pagine create automaticamente, questa funzione aprirà la prima o l’ultima pagina allo stesso livello della struttura.

Avanti automatico

In una pagina con l’avanti automatico, questa funzione aprirà la pagina definita come successiva.

Posizioni puntate su questa pagina

Passa ad una delle posizioni puntate definite per la pagina.


Menu «Impostazioni»

Archivio Immagini

Regola le pre-impostazioni delle nuove immagini da inserire nell’Archivio Immagini.

Finestra Impostazioni Archivio Immagini

Carattere

Definisce il carattere di default per gli oggetti di testo.

Guida utente: Caratteri

Generare Immagine

Definisce l’impostazione di default per la qualità di immagini e testo convertito in grafica.

Finestra impostazioni iniziali rendering


Help Menu

Menu «Guida»

Guida

Apre la Guida di StudioLine.

Mostra tutti i suggerimenti

Alcuni suggerimenti possono essere nascosti dall’utente. Utilizzare questa funzione per visualizzare nuovamente tutti i suggerimenti.

Informazioni su StudioLine

Visualizza il banner di StudioLine.

Versione

Visualizza la versione e il numero di serie del prodotto, oltre al percorso del file di log di StudioLine. Queste informazioni potrebbero essere richieste dal personale tecnico di supporto al prodotto.


Menu a scelta rapida «Pagina»

Il menu a scelta rapida della Pagina compare premendo il tasto destro del mouse sullo sfondo della pagina o del “Layout”.

I menu a scelta rapida mostrano varie scelte, secondo le particolari circostanze. Solo alcune delle seguenti voci di menu saranno sempre visualizzate.

Incolla

Incolla il contenuto degli Appunti di sistema.

Sottomenu “Inserire”

Permette di inserire gli oggetti nella pagina e visualizza un pannello con rapidi consigli. Se i consigli non dovessero apparire, selezionare “Mostra tutti i consigli” dal menu “Guida”.

Immagine da Risorse Computer

Apre lo StudioLine Explorer. Individuare l’immagine sul proprio computer e trascinarla sulla pagina.

Immagine dal Archivio Immagini StudioLine

Apre lo StudioLine Explorer. Individuare l’immagine nell’Archivio Immagini e trascinarla sulla pagina.

Nuovo Oggetto di Testo

Premere un tasto del mouse ovunque nella pagina per aprire l’Editore di Testo.

Nuovo Oggetto HTML

Premere un tasto del mouse ovunque nella pagina per aprire l’Editore di codice HTML.

Margini

Finestra Margini

Linee Guida

Finestra Linee Guida

Nascondi Perimetro di Selezione

Regola la visualizzazione del perimetro di selezione attorno agli oggetti selezionati.

Il perimetro di selezione riapparirà non appena verranno selezionati degli altri oggetti.

Ctrl+H

Stato Oggetto

Regola la visualizzazione delle icone che rappresentano lo stato dell’oggetto.

Icone Stato Oggetto

Ctrl+G


Menu a scelta rapida «Container»Container Context Menu

Menu a scelta rapida «Container»

Container

Finestra Impostazioni Container

Nota: Questa voce di menu compare soltanto cliccando col tasto destro del mouse all’interno dell’area del Container.

Nascondi Container

Nasconde il Container.

Per visualizzare nuovamente il Container selezionare “Visualizza Container” dal menu “Strumenti”.


Menu a scelta rapida Oggetto

Menu a scelta rapida «Oggetto»

Il menu a scelta rapida di un Oggetto compare premendo il tasto destro del mouse su un oggetto, o selezionando un oggetto e premendo Alt+Invio oppure premendo il tasto “Proprietà” nelle tastiere specifiche per Windows.

I menu a scelta rapida mostrano varie scelte, secondo le particolari circostanze. Solo alcune delle seguenti voci di menu verranno sempre visualizzate.

Strumenti Immagine attivi

Mostra una lista degli strumenti immagine applicati all’oggetto selezionato, se presenti.

  • Selezionare uno strumento della lista per visualizzarne le impostazioni relative.

  • Trascinare un elemento della lista per variare la sequenza in cui applicare gli strumenti.

  • Trascinare uno strumento della lista sul Cestino per rimuoverlo dall’oggetto selezionato.

  • Aprire il menu “Strumenti Immagine” per applicare altri strumenti.

  • Usare il pulsante Copia per applicare le stesse impostazioni ad altri oggetti.

  • Trascinare il pulsante Copia sul Cestino per eliminare tutti gli strumenti applicati all’oggetto selezionato.

Modalità Roll-Over

Ogni oggetto può avere una seconda, distinta lista di strumenti attivi. Questa seconda lista viene utilizzata in modalità Roll-over. Usare il tasto Rollover “Roll-over Mode” per passare dalla visualizzazione di pagina normale a quella Rollover e viceversa.

Taglia

Sposta l’attuale selezione sugli appunti di sistema.

Ctrl+X

Copia

Copia l’attuale selezione sugli appunti di sistema.

Ctrl+C

Incolla

Incolla l’attuale selezione sugli appunti di sistema.

Ctrl+V

Unisci Oggetti di Testo

Suddivide in due l’oggetto di testo attivo utilizzando la posizione del cursore come punto di separazione, o riunisce più oggetti di testo selezionati in un unico oggetto di testo.

Ctrl+J

Selezione

Mostra la lista di tutti gli oggetti selezionati, se più di uno. Usare il tasto sinistro del mouse per selezionare alternativamente gli oggetti della lista.

  • Cliccare su una voce per selezionare l’oggetto corrispondente.

  • Premere Ctrl + tasto sinistro per attivare o no la selezione.

  • Fare doppio click sulla voce corrispondente ad un oggetto di testo per aprire l’editore di testi.

  • Premere con il tasto destro una voce del menu per visualizzare il menu a scelta rapida corrispondente.

La lista di selezione può essere utile per selezionare un particolare oggetto di una composizione tra gli altri della pila.

Descrizione

Finestra Descrizione

Cancellare Roll-Over Mode

Sostituisce gli “Strumenti immagine attivi” della lista usata per la modalità Rollover con gli strumenti della lista standard. Quando la pagina verrà convertita, non verrà generato il codice per l’effetto Rollover.

Guida Utente: Effetto Roll-Over

Slegare dal Prototipo

Quando un’immagine viene inserita in una pagina, le viene automaticamente applicato un insieme di strumenti. Questi strumenti sono definiti sul “Prototipo Immagine” del “Layout”. Se viene assegnato un nuovo “Layout” alla pagina o vengono modificate le impostazioni relative al prototipo, il nuovo processo di elaborazione immagine può essere applicato a tutte le immagini delle pagine.

  • per ignorare ogni futuro cambiamento del layout.

  • Deselezionare questa opzione per applicare future modifiche del “Layout”.

Fissare Posizione / Ammettere Spostamenti

Una volta fissata la posizione di un elemento, questo non potrà essere spostato accidentalmente in un’altra posizione. Copiando un oggetto avente posizione bloccata in un’altra pagina, questo sarà inserito nella stessa posizione.

Sottomenu “Ordine nella pila”

In avanti / Indietro

Muove l’immagine selezionata nella prima o nell’ultima posizione dell’attuale livello della pila.

Un livello avanti / Un livello indietro

Muove l’immagine selezionata nel livello precedente o successivo della pila.

Sempre&ldots;Sopra/Sotto/In Mezzo

Quest’opzione è disponibile soltanto in modalità “Layout” o “Modello Layout”. L’immagine viene posizionata in uno dei tre livelli della pila.

Ordine nella Pila (Guida Utente)

Interruzione Pagina

Nel Container, gli oggetti vengono allineati in righe, fino al raggiungimento della larghezza del Container. Scegliere “Interruzione Riga” per iniziare una nuova riga a partire dall’oggetto selezionato.

Link

Finestra Proprietà Link

Segui Link

Se l’elemento selezionato ha un link ad una pagina del sito corrente, verrà aperta quella pagina nell’”Editore Pagina”.

Creare posizione puntata

Assegna un’etichetta all’oggetto selezionato. Quest’etichetta può essere utilizzata come destinazione di un link, facendo sì che il browser scorra la pagina direttamente fino all’oggetto.

Ogni pagina ha delle posizioni puntate predefinite in cima e in fondo alla pagina.

Finestra Proprietà Link

Ricaricare immagine d’origine

Ricarica il file inizialmente importato in StudioLine. StudioLine inizierà la ricerca dalla posizione originale del file. Nel caso non lo trovasse e sia selezionata una sola immagine, verrà proposto all’utente di ricercarlo manualmente.

Questa funzione può risultare utile per migliorare la definizione nel caso una piccola porzione d’immagine sia stata ritagliata e in seguito ingrandita. La funzione “Ricaricare immagine d’origine” recupera il file grafico iniziale e memorizza l’area ritagliata nella risoluzione più alta permessa delle “Impostazioni Archivio Immagini”. Nel caso dei Photo CD Kodak, verrà utilizzata la risoluzione più adatta.

Ricaricare un’immagine può servire anche a ripristinare un’immagine andata persa. Le immagini in qualche modo smarrite all’interno di StudioLine vengono indicate con una speciale icona al posto dell’immagine. La funzione “Ricaricare immagine d’origine” serve appunto in questa situazione.

Visualizzare Originale

Mostra l’originale dell’immagine selezionata presente nell’Archivio Immagini.

Nascondi Perimetro di Selezione

Regola la visualizzazione del perimetro di selezione attorno agli oggetti selezionati.

Il perimetro di selezione riapparirà non appena verranno selezionati degli altri oggetti.

Aprire nell’Archivio Immagini

Apre l’immagine nell’Archivio Immagini.


Menu a scelta rapida «Oggetto codice HTML»HTML Object Context Menu

Menu a scelta rapida «Oggetto codice HTML»

Modificare codice HTML

Apre l’Editore di codice HTML.

Editore di Codice HTML

Fissare Posizione

Una volta fissata la posizione di un elemento, questo non potrà essere spostato accidentalmente in un’altra posizione. Copiando un oggetto avente posizione bloccata in un’altra pagina, questo verrà inserito nella stessa posizione.

HTML Proprietà

Proprietà Oggetto HTML


Menu a scelta rapida Archivio Immagini

Menu a scelta rapida «Archivio Immagini»

Il menu a scelta rapida compare premendo il tasto destro del mouse sull’area libera da immagini dell’Archivio.

Inserire Immagine da “Risorse Computer”

Apre lo StudioLine Explorer. Individuare l’immagine sul proprio computer e trascinarla sulla pagina.

Ordinare

Le immagini possono essere ordinate secondo una delle descrizioni assegnate. Le “Variabili di testo” verranno definite prima dell’ordinamento.

Scegliere “Descrizione” dal menu “Strumenti” per compilare i campi descrizione di un’immagine.

Opzioni disposizione

Controlla la spaziatura e l’allineamento delle anteprime nella pagina.

Dimensioni Anteprima

Regola la massima altezza e larghezza con cui visualizzare le immagini dell’attuale cartella. Le immagini con dimensione minore verranno visualizzate alla grandezza originale.


StudioLine Explorer

L’Explorer permette di accedere ai file del proprio computer o rete locale come agli oggetti interni a StudioLine. Per alcuni oggetti, premendovi sopra il tasto destro del mouse, verrà visualizzata un’anteprima o una lista di azioni possibili per quell’oggetto. Trascinare un oggetto sul cestino per eliminarlo. È possibile aprire contemporaneamente varie finestre dell’Explorer, permettendo di spostare, con “drag & drop”, ogni tipo di oggetto fra di esse.

Pannelli Cartelle e Contenuti

L’Explorer è suddiviso in due pannelli. Utilizzare il pannello Cartelle per navigare, ricercare, accedere, rinominare e cancellare le cartelle.

  • Per visualizzare il contenuto di una cartella, premere una volta il tasto sinistro del mouse sull’icona della cartella.

  • Per visualizzare una lista di sotto-cartelle, premere due volte il tasto sinistro del mouse sull’icona della cartella.

  • Per accedere alla lista di funzioni disponibili, premere il tasto destro del mouse sul nome della cartella.

  • Per cancellare una cartella, trascinarla nel cestino.

Il pannello dei contenuti visualizza gli oggetti presenti nell’attuale cartella in una delle tre modalità:

  • Modalità Testo: una lista di nomi degli oggetti contenuti

  • Anteprima Immagine: miniature delle immagini e icone

  • Modalità Combinata: una lista di miniature o icone, loro nome e, se disponibili, alcune proprietà dell’oggetto.

Risorse Computer / Periferia Rete

Visualizza i file del computer o della rete locale.

Importare Immagini in StudioLine

Trascinare un file di grafica nell’area di lavoro: l’immagine verrà pre-elaborata come definito in “Impostazioni” ? “Generare immagine”. In base alla modalità attualmente attiva in StudioLine, l’immagine verrà poi aggiunta alla pagina corrente, al “Layout” o all’Archivio Immagini.

Finestra impostazioni iniziali rendering

Nota: In alternativa può essere utilizzato “Esplora Risorse” di Windows.

Inserire File Multimediali in StudioLine

Trascinare un file sull’area di lavoro per aggiungere un oggetto HTML adatto al tipo di file inserito. Personalizzare il codice HTML in base alle proprie necessità.

File Multimediali

Nota: In alternativa può essere utilizzato “Esplora Risorse” di Windows.

Esportare in altre applicazioni

Per far apparire il dialogo “Esporta oggetti con Nome&ldots;” trascinare un’immagine o un elemento di testo dall’area di lavoro alla cartella desiderata dello StudioLine Explorer.

Esporta oggetti con Nome

Archivio Immagini

Mostra le immagini contenute nell’Archivio Immagini.

  • Fare doppio - click su un’immagine per vederne l’originale.

  • In modalità Editore Pagina, “Layout” o “Modello Layout”, trascinare un’immagine sull’area di lavoro per aggiungerla alla pagina.

  • In modalità Archivio Immagini, trascinare un’immagine nell’area di lavoro per spostarla nella cartella corrente.

  • Per aggiungere un file di grafica all’Archivio Immagini, trascinarlo dalla finestra dell’Explorer.

  • Per spostare una cartella, trascinarla in una diversa posizione sempre nella finestra dell’Archivio Immagini.

  • Trascinare un’immagine sul cestino per eliminarla.

  • Premere il tasto destro del mouse su una cartella, creata dall’utente, per rinominarla o cancellarla.

Nota: La cartella $AutoArchive$ contiene quelle immagini utilizzate nel sito corrente non ancora organizzate in cartelle permanenti dell’Archivio Immagini. Queste immagini verranno eliminate nel caso non vengano più utilizzate.

Siti

Visualizza i vari siti, le loro impostazioni e le pagine relative.

  • Nel pannello cartelle, fare doppio click su un sito per visualizzare una lista di oggetti collegati. Ogni tipo di oggetto ha poi una serie di funzioni disponibili.

  • Trascinare un sito su di una pagina in uso nell’area di lavoro per creare un collegamento ipertestuale al sito.

  • Trascinare un sito sul cestino per eliminarlo. Verrà chiesto se rimuovere il sito anche dal web server.

  • Nel pannello contenuti, sulla destra, premere il tasto destro del mouse su un sito per visualizzare le sue impostazioni, rinominarlo oppure cancellarlo.

  • Per spostare una cartella, trascinarla in una nuova posizione della stessa o di un’altra sessione dell’Explorer.

  • Premere il tasto destro del mouse su una cartella per rinominarla, rimuoverla o cancellarla.

Pagine

Visualizza le pagine del sito attualmente selezionato.

  • Trascinare una pagina sull’area di lavoro per creare un link ad essa.

  • Trascinare una pagina nel cestino per eliminarla.

  • Premere con il tasto destro del mouse su un file per visualizzarne un’anteprima, rinominarlo, editarlo oppure aprirlo.

  • Per spostare una cartella, trascinarla in una nuova posizione della stessa o di un’altra finestra dell’Explorer.

  • Premere il tasto destro del mouse su una cartella per rinominarla o rimuoverla.

Modelli Layout

Mostra i “Modelli Layout”disponibili.

  • Trascinare un Modello sulla pagina corrente per utilizzarlo come layout di pagina.

  • Trascinare un Modello nel cestino per eliminarlo dal sistema.

  • Premere con il tasto destro del mouse su un file per visualizzarne un’anteprima o rinominarlo.

Nota: Quando un nuovo “Modello Layout” viene assegnato ad una pagina, le nuove impostazioni immagine verranno applicate a tutte le immagini della pagina. Per impedire che le impostazioni di un’immagine vengano alterate, selezionare “Indipendente dal prototipo” dal menu a scelta rapida oggetto.

Profili Pubblicazione

Mostra i profili di pubblicazione disponibili per il sito attualmente in uso.

  • Fare doppio click su un profilo per editarlo.

  • Premere il tasto destro del mouse su di un profilo per editarlo o eliminarlo.


Esporta oggetti con Nome

Specifica le opzioni per la condivisione di oggetti con altre applicazioni.

Collage /
File Singoli

Un insieme di immagini possono essere esportate come unico file di grafica nella loro disposizione (un collage), o come file singoli.

Nota: Disponibile soltanto esportando dalle modalità “Editore Pagina” o “Layout”.

Immagini Rollover

Nell’esportazione, le immagini verranno salvate, a seconda che sia attivata o no la modalità Rollover dalla barra degli strumenti, in una delle due versioni. Attivando quest’opzione verranno salvate entrambe le versioni.

Nota: Disponibile soltanto esportando dalle modalità “Editore Pagina” o “Layout”.

Includi tutti i livelli

Una pagina può contenere miniature di immagini linkate a pagine con versioni più grandi dell’immagine stessa. Scegliere quest’opzione per esportare tutte le versioni dell’immagine ai vari livelli.

Nota: Disponibile soltanto esportando dalle modalità “Editore Pagina” o “Layout”.

Image Size

Le immagini esportate saranno ridimensionate fino a queste dimensioni massime.

Nota: Disponibile soltanto esportando dalle modalità “Editore Pagina”.

Format

Scegliere un formato supportato dalle altre applicazioni da utilizzare. Gli oggetti di testo possono essere esportati sia in formato grafico che in diversi formati testuali.

Impostazioni

Alcuni formati immagine offrono impostazioni addizionali, come la regolazione della qualità.

Con Trasparenza

Alcuni formati immagine permettono di salvare l’immagine esportata su uno sfondo trasparente.

Nome File

Inserire un nome file per identificare il file esportato. StudioLine aggiungerà al nome un numero progressivo nel caso debbano essere esportate più versioni.

Nota: Non specificare un percorso o un’estensione per il file. Il percorso è determinato dall’attuale cartella dello StudioLine Explorer, l’estensione dal formato immagine selezionato.


Impostazioni Sito

Nome

Nome del sito.
Utilizzato solo all’interno di StudioLine, non visibile nel sito pubblicato sul web.

Home Page

Selezionare la pagina da visualizzare quando il browser richiede l’accesso alla directory principale del sito.

Modello Layout Standard

Selezionare il “Modello Layout”utilizzato per creare ogni nuova pagina del sito.

Profilo di pubblicazione

Selezionare il profilo di pubblicazione utilizzato per trasferire questo sito al server.


Descrizioni Pagina

Ad ogni pagina può venire associata una descrizione. Le descrizioni vengono utilizzate dei browser, dai motori di ricerca e internamente da StudioLine. Tutte le descrizioni possono venire poi utilizzate nelle “Variabili di testo”.

Descrizioni Specifiche della Pagina
Titolo Pagina

Questo è il testo visualizzato nella barra del titolo del browser e mostrato dai motori di ricerca.

Default: %%PageTitle%%

Autore

Nome della persona che ha sviluppato la pagina.

Default: %%RegisteredUser%%

Descrizione

Descrizione discorsiva dei contenuti della pagina, utilizzata inizialmente dai motori di ricerca. Dovrebbe essere limitata a 200 caratteri.

Parole chiave

Una lista di parole chiave e frasi, separate da virgole, che compaiono nella pagina o pertinenti al contesto. Le parole chiave vengono utilizzate dai motori di ricerca. Dovrebbe essere limitata a 1000 caratteri e inserita a lettere minuscole.

Copyright

Indicazioni relative al Copyright.

Esempio:

Title

StudioLine – Caratteristiche e Pregi

Author

Jim Smith

Description

StudioLine consente una gran libertà nella creazione del layout delle pagine web. Inoltre integra tutti gli strumenti di ritocco fotografico direttamente nell’editore di pagina. Non è necessaria la conoscenza di HTML o alcun linguaggio di scripting.

Keywords

studioline, h&m, software, web, sito, pagina, editor, veloce, facile, creativo, attractive, imaginative, layout, appearance, modello, assoluta, posizione, dinamico, html, dhtml, http, script, codice, immagine, photo, grafica, editing, filtro, speciale, effetto, anteprima, gallerie, livello, jpg, gif, jpeg, compressione, superiore, qualità, roll-over, pulsanti, placative, banner, browser, server, ftp, pubblicare, esportare, importare, links

Copyright

2001, H&M Systems Software, Inc.


Margini

StudioLine fa uso del posizionamento assoluto degli oggetti, inserendo gli elementi della pagina in posizioni predefinite. Di conseguenza, la grandezza di una finestra del browser non influenzerà l’aspetto della pagina riallineandone il contenuto.

Il disegnatore del sito può far uso dei margini per valutare l’aspetto della pagina alle varie risoluzioni standard. Ogni sito StudioLine può avere impostazioni per i margini diverse dagli altri.

Mostra

Mostra o nasconde il margine sinistro, destro o la linea al centro della pagina.

Ottimizzare per...

Selezionabile fra le risoluzioni più comuni (dimensioni indicate in pixel). I margini evidenziano l’area massima approssimativamente disponibile in una finestra massimizzata del browser.

Margini in avanti

Porta i margini sopra ad ogni altro elemento grafico.

Nota: Utilizzare i tasti “Allineamento Pagina” della barra degli strumenti, per controllare l’allineamento dell’intera pagina all’interno della finestra del browser.


Linee Guida

Le Linee Guida possono essere utilizzate per il corretto allineamento degli elementi sulla pagina.

Selezione attuale

Visualizza il nome del set di linee guida attualmente in uso. Utilizzare i tasti “Salva” e “Apri” per salvare, riutilizzare o eliminare un set di linee guida.

Salva

Salva l’attuale set di linee guida.

Le linee guida salvate saranno disponibili all’interno di ogni sito o pagina di StudioLine.

Cancella

Elimina tutte le linee guida dal set dalla pagina corrente.

Apri

Riutilizza un set di linee guida precedentemente salvato.

Magnetico

Attivando quest’opzione, gli oggetti trascinati in prossimità di una linea guida verranno attirati ad essa.

Colore

Permette di scegliere un colore, in contrasto con lo sfondo, o altri colori predominanti rispetto a quelli della pagina.

Trasparenza

Impostando la trasparenza al 100% si nasconderà la guida.

Creare linee guida

Utilizzare il pulsante “Righello” della barra degli strumenti per visualizzare il righello.

Cliccare sul righello orizzontale o verticale e trascinarlo nella pagina.

Nel caso le linee guida non siano visibili regolare le impostazioni di colore e trasparenza.


Impostazioni del Container

Posizionamento automatico

Il Container e i suoi elementi sono allineati dall’Editore Pagina in base a queste impostazioni.

Posizione

Angolo in alto a sinistra del Container.

Nota: il bordo del Container.

Larghezza

Larghezza dell’area di autoposizionamento.

Nota: Regolabile anche trascinando i regolatori laterali del Container.

Spazio

Spaziatura degli elementi all’interno del Container.

Allineamento

Allineamento degli elementi all’interno del Container.


Sfondo

Lo sfondo può essere costituito da un colore uniforme o da un’immagine affiancata. In una nuova pagina lo sfondo è determinato dal Layout. Dall’Editore Pagina può essere definito uno sfondo specifico per ogni pagina.

Anteprima

Trascinare un’immagine nell’area d’anteprima. Questa verrà affiancata per creare lo sfondo.

Nel caso l’immagine selezionata contenga delle aree trasparenti, scegliere uno sfondo uniforme prima di inserire l’immagine.

Impostare lo sfondo

Colore Unico

Imposta un colore uniforme.

Posizione Esatta

Quest’opzione si riferisce soltanto agli sfondi costituiti da un’immagine affiancata, forzando StudioLine a convertire le immagini nell’esatta posizione dello sfondo dove apparirà nel browser.

La scelta di quest’opzione potrebbe essere necessaria per alcuni motivi utilizzati per lo sfondo. Per contro, potrebbe portare ad un grande utilizzo di spazio su disco, tempi di pubblicazione e caricamento delle pagine più lunghi.

Impostare lo sfondo

Non è possibile eliminare tutte le impostazioni per lo sfondo. Ogni pagina deve avere o uno sfondo uniforme o un’immagine.


Profilo di Pubblicazione

Il profilo di pubblicazione contiene informazioni relative al computer sul quale verrà pubblicato il sito. Il web master può accedere a queste informazioni presso il proprio provider o ISP.

Dopo aver impostato il “Profilo di Pubblicazione”, utilizzare il tasto “Test” per testare le impostazioni.

Nome Profilo

Per alcuni siti, potrebbe essere vantaggioso definire diversi profili. Un profilo di “verifica” può essere utilizzato per pubblicare il sito su un server dedicato ai test, mentre un profilo “definitivo” può essere utilizzato una volta testato e approvato il sito.
Documento Standard

Nome del documento visualizzato automaticamente quando il browser non specifica un nome per il documento nella URL. Talvolta viene anche indicato come documento ”index”.

Tipici nomi usati di Default

Microsoft IIS Default.htm

UNIX / Apache Index.html

Altri Server Windows Index.htm

Questo campo può essere lasciato bianco nella maggior parte dei casi. Sarà compilato da StudioLine una volta premuto il tasto “Test”.

Numero massimo di collegamenti

StudioLine utilizza varie connessioni contemporanee al server FTP per ridurre i tempi complessivi di trasferimento. Alcuni server però pongono un limite al numero massimo di connessioni stabilibili contemporaneamente. Per evitare di impedire l’accesso ad altri utenti allo stesso server, può essere impostato un numero massimo di connessioni.

Passive Mode

L’accesso ai server FTP può essere effettuato in modalità attiva o passiva. Se un firewall impedisce l’accesso al server FTP, potrebbe essere necessario passare ad una connessione in ”Modalità passiva”.

Server FTP

Il nome o l’indirizzo IP del server FTP.

Esempio: Publish.ArgosWeb.net or 127.0.0.1

Porta

La porta FTP su quel server.

Default: 21

Login

La User ID per l’FTP assegnata dal provider.

Password

La password relativa alla User ID assegnata dal provider.

Server Proxy

Il nome o l’indirizzo IP del server proxy.

Questo campo va lasciato vuoto per la maggior parte dei computer collegati ad Internet via telefono o cavo.

Alcune grosse aziende fanno uso di server proxy per rendere sicure o interporre un buffer ad alcuni collegamenti Internet. Contattare l’amministratore di rete per ottenere le informazioni necessarie.

Default: - vuoto -

Percorso Remoto

È la directory sul server FTP dove andrà pubblicato il sito. La pagina definita come Home Page per il sito sarà caricata sul server come documento di default per questa directory.

Normalmente, la root del server FTP è anche la root del web server. In questo caso, il campo “Percorso Remoto” può essere lasciato vuoto.

Alcuni server FTP utilizzano una sottodirectory chiamata "httpd", "wwwroot", "web" o "pages" come root per il web server. Altri invece utilizzano come sottodirectory la UserID, ad esempio "~username". Il nome della sottodirectory appropriata, se presente, deve essere specificato come “Percorso Remoto”.

Default: - vuoto - (la directory di "login")

URL della radice del sito

È l’indirizzo Internet (URL) che il navigatore deve inserire per raggiungere la root (radice) del sito pubblicato. Se viene utilizzato StudioLine per la creazione della Home Page di un sito, inserire la URL del sito.

A pubblicazione effettuata con successo, StudioLine aprirà automaticamente una finestra del browser per questo indirizzo.

Utilizzare per i link a questo sito

I Link da altri siti StudioLine faranno uso di questo profilo per determinare l’URL da utilizzare (Un sito può avere più profili di pubblicazione).

Esempi di “Percorsi Remoti” e URL relative

Nei seguenti scenari d’esempio si assume che StudioLine venga utilizzato per la creazione di pagine destinate al sito

www.ACME.WebLobby.com.

1. | La directory root del sito web coincide con la directory di login del server FTP. Il sito StudioLine rappresenta tutto il sito pubblicato. “Percorso Remoto” = - vuoto - ”URL della radice del sito” = http://www.ACME.WebLobby.com/
2. | La directory root (principale, la radice) del sito web coincide con la directory di login del server FTP. Il sito StudioLine contiene una galleria immagini, aggiunta ad un sito già esistente. L’autore del sito ha preferito riservare una cartella specifica per la galleria immagini, in modo da non interferire con il sito esistente. “Percorso Remoto” = Gallery/ ”URL della radice del sito” = http://www.ACME.WebLobby.com/Gallery/
3. | La root del sito corrisponde alla directory “httpd” del server FTP. Il sito StudioLine rappresenta tutto il sito pubblicato. “Percorso Remoto”= httpd/ ”URL della radice del sito” = http://www.ACME.WebLobby.com/
4. | La root del sito corrisponde alla directory “httpd” del server FTP. Il sito StudioLine contiene una galleria immagini, aggiunta ad un sito già esistente. L’autore del sito ha preferito riservare una cartella specifica per la galleria immagini, in modo da non interferire con i restanti documenti sito. “Percorso Remoto”= httpd/Gallery/ ”URL della radice del sito” = http://www.ACME.WebLobby.com/Gallery/
5. | La UserID assegnata al web master è, ad esempio, “John” e viene utilizzata come cartella dal server FTP. Dopo essersi collegati al server come “John”, la radice del sito web si trova nella cartella “httpd”. Il sito StudioLine rappresenta tutto il sito pubblicato. “Percorso Remoto”= httpd/ ”URL della radice del sito”= http://www.WebLobby.com/~John/


Descrizioni Oggetto

Ad ogni oggetto possono essere associate delle descrizioni, utilizzabili poi dalle “Variabili di Testo”. I campi descrizione attualmente compilati sono contrassegnati da un segno di spunta verde.

I Descrittori di sistema vengono utilizzati internamente a StudioLine. Quelli specifici per il Layout, usati assieme a dei Layout multi-livello, possono permettere di risparmiare molto tempo. È possibile definire un qualsiasi numero di descrizioni aggiuntive.

Descrizioni relative alle Immagini
Alternate Text

È il testo visualizzato al posto di un’immagine, quando un visitatore del sito ha disabilitato la visualizzazione delle immagini. Molti browser visualizzano il testo alternativo anche quando il cursore viene posizionato sopra all’immagine.

Default: %%Name%%

Name

È il nome dell’immagine nell’Archivio Immagini.

Source

Percorso per il file d’immagine sul computer o sulla rete locale.

Default: Path the image was originally imported from.

Descrizioni relative ai Layout
Header

Titolo dell’immagine. Viene normalmente visualizzato come un titolo sopra all’immagine.

Description

Legenda o informazioni descrittive relative all’immagine. Viene normalmente visualizzata come un commento appena sotto all’immagine.

Descrizioni definite dall’utente
Add

Associa alle immagini un nuovo campo di descrizione.

Le descrizioni possono contenere soltanto i principali caratteri alfanumerici, non saranno accettati caratteri particolari di una lingua.

Le descrizioni inserite attraverso l’Archivio Immagini saranno disponibili in ogni modalità. Quelle inserite in modalità “Editore Pagina” o “Layout” saranno soltanto disponibili in quella particolare pagina. Le descrizioni inserite in modalità “Modello Layout” saranno disponibili soltanto nelle pagine derivate da esso.

Delete

Elimina questo campo di descrizione da tutte le immagini.

Nel caso l’attuale selezione contenga più di un oggetto, utilizzare i pulsanti di navigazione per spostarsi avanti e indietro fra gli oggetti selezionati.


Strumenti Immagine

La finestra “Strumenti Immagine”contiene una raccolta completa di strumenti professionali. Cliccare con il mouse su un’icona per aprire le impostazione dello strumento corrispondente, trascinare l’icona su un’immagine o una lista “Strumenti Immagine Attivi” per applicarvi lo strumento e aprire la relativa finestra delle impostazioni.

Allineamento Immagine

Ruota e ritaglia l’immagine in modo che una particolare linea scelta sull’immagine sia orizzontale o verticale.

  1. Muovere i due regolatori della linea di riferimento in modo che questa si allinei perfettamente ad un riferimento orizzontale o verticale della pagina.

  2. Premere il pulsante “Specchiare orizzontalmente” per specchiare l’immagine orizzontalmente, o premere uno dei pulsanti di rotazione per ruotare l’immagine di 90° o 180°.

  3. Utilizzare gli indicatori di ritaglio laterali o angolari per ridefinire l’area rettangolare dell’immagine. Tenere premuto il tasto Shift per spostare contemporaneamente i due indicatori di ritaglio.

Nota: Questo strumento viene applicato ad una singola immagine per volta. Utilizzare i tasti freccia per passare alle altre immagini della selezione.

Ruotare

Ruota l’immagine dell’angolo selezionato, oppure di 45° a destra o a sinistra, premendo rispettivamente il tasto destro o sinistro del mouse sul pulsante “Ruotare 45°”

Premere il tasto “Specchiare” per specchiare l’immagine orizzontalmente.

Ritagliare

Utilizzare gli indicatori di ritaglio laterali o angolari per ridefinire l’area rettangolare dell’immagine. Il pulsante “Fisso” mantiene fissa la proporzione fra i lati, impostabile in “Proporzione Lati”.

Tenere premuto il tasto Shift per spostare contemporaneamente i due indicatori di ritaglio.

Premere all’interno dell’area ritagliata e trascinare il cursore, diventato ora una mano, per spostare l’area di ritaglio senza modificarne le dimensioni.

Nota: Questo strumento viene applicato ad una singola immagine per volta. Utilizzare i tasti freccia per passare alle altre immagini della selezione.

Scalare

Adatta un’immagine alle dimensioni massime specificate. Il ridimensionamento può essere controllato numericamente o trascinando gli indicatori di regolazione nel perimetro di selezione.

Selezionando “Mantenere Proporzioni”, una delle due dimensioni può essere inferiore alla massima ammessa. Non selezionando quest’opzione l’immagine potrebbe venire distorta.

Se le dimensioni dell’immagine originale fossero inferiori ad entrambe quelle massime consentite, l’immagine non verrà allargata per non diminuirne la qualità. Per ignorare questa limitazione, scegliere “Permesso Ingrandimento” o tenere premuto il tasto Ctrl mentre si trascinano gli indicatori di regolazione. Nonostante StudioLine utilizzi un algoritmo bi-cubico, la perdita di qualità risulterà comunque visibile. Controllare sempre l’immagine ingrandita per determinare se la qualità è accettabile.

Scalare (Percentuale)

Adatta un’immagine alle dimensioni massime, specificate in percentuale rispetto alla dimensione attuale.

Selezionando “Mantenere Proporzioni”, una delle due dimensioni può essere inferiore alla massima ammessa. Non selezionando quest’opzione l’immagine potrebbe venire distorta.

Se le dimensioni dell’immagine originale fossero inferiori ad entrambe quelle massime consentite, l’immagine non verrà allargata per non diminuirne la qualità.

Lo strumento “Scalare” offre comunque la possibilità di ridimensionare l’immagine ignorando queste limitazioni.

Ottimizzazione Immagine

I tre regolatori di “Luminosità”, “Contrasto” e “Saturazione” sono simili a quelli disponibili su una televisione a colori. Influenza tutto lo spettro dei colori.

Tono colore, saturazione, luminosità

Il “Tono colore” serve a scambiare i colori. Se applicato ad un unico colore, permette di ricolorare le aree contenenti quel colore.

L’effetto delle regolazioni della “Saturazione” è lo stesso degli altri strumenti “Saturazione” presenti nel pannello.

Le regolazioni di “Luminosità” effettuate con questo strumento, mantengono costanti i valori di tono e saturazione, permettendo di ottenere effetti diversi da quelli di altre regolazioni di “Luminosità” nel pannello.

Note: L’asterisco di fianco ad un colore sta a indicare che le sue impostazioni sono state modificate.

Impostazione Colore

Equalizzatore di colore, serve a modificare la saturazione dei vari colori già esistenti sull’immagine.

Utile specialmente per rimuovere alterazioni nel colore dovute a errori di scansione o a materiale difettoso.

Tonalità

Aumenta il contrasto ottimizzando i livelli di sfumatura di luce nelle aree chiare e scure di un’immagine, e applicando una correzione gamma ai mezzi toni.

Utile per immagini sovra- o sotto-esposte o per bilanciare l’effetto della luce diffusa da un gran numero di lenti (ad esempio nelle fotocamere digitali).

Utilizzare i regolatori “Luci” e “Ombre” per impostare manualmente il livello che definisce le aree più chiare e più scure dell’immagine. Il pulsante “Contrasto Automatico” analizzerà l’immagine per determinare i valori ottimali.

Utilizzare il regolatore “Mezzitoni” per selezionare manualmente un valore di riferimento per i mezzitoni. Il pulsante “Tonalità Automatica” analizzerà l’immagine per determinare i valori ottimali.

Dopo aver impostato il contrasto e la tonalità automatiche, utilizzare i regolatori per migliorarne ulteriormente le impostazioni.

Colore

Colorare o ricolorare le immagini.

Questo strumento può essere utilizzato per aggiungere colore alle immagini grigie. Per correggere invece problemi di colore nelle immagini fotografiche è consigliabile utilizzare gli strumenti “Impostazione colore” o “Tono colore, saturazione, luminosità”.

Colorare

Questo strumento può essere utilizzato per sostituire colori di un’immagine con un nuovo colore. La regolazione d’intensità definisce il grado in cui applicare la sostituzione. Se necessario, verrà ridotto il contrasto per ottenere il colore medio selezionato.

Bi-Colore

Applica due colori all’immagine: uno per le zone chiare e uno per le zone scure. Questo strumento è studiato appositamente per ottenere un effetto uniforme su una serie di immagini a due colori.

Bianco e Nero

Rimuove la saturazione di tutti I colori, correggendo anche le differenze di luminosità, ad esempio, le tonalità sul giallo appariranno più chiare di quelle sul blu.

L’effetto è influenzato da eventuali altre regolazioni apportate da altri strumenti.

Inversione Immagine

Crea un negativo dell’immagine sostituendo i vari colori con il loro complemento (effettuato sulle componenti espresse in RGB) e invertendo la luminosità. La saturazione viene lasciata inalterata.

Nota: Questa funzione può essere utilizzata per convertire il negativo di un’immagine nel suo “positivo”. Non può però essere utilizzata con i negativi di immagini a colori perché fa uso di una maschera arancione.

Spolverizzare

Elimina eventuali lievi impurità che potrebbero essere state introdotte dallo scanner.

Mettere a fuoco

Migliora la nitidezza dell’immagine.

Sfocare

Sfoca l’immagine.

Trovare Contorni

Trova i contorni di un’immagine e li evidenzia.

Rilievo

Applica un effetto di rilievo.

Bordo attenuato

Ammorbidisce il bordo estero delle immagini rettangolari.

Trasparenza

Modifica l’opacità di un’immagine da completamente opaca a completamente trasparente.

Nota: Per selezionare un’immagine completamente trasparente, trascinare il perimetro di selezione in modo da ricoprire tutto lo spazio utile dello schermo.

Luce & Ombra

Può essere utilizzato per aggiungere un effetto tridimensionale utilizzando bordi chiari e ombre.

  1. Scegliere la direzione della sorgente luminosa.

  2. Utilizzare “Effetto Luce” per controllare i bordi chiari e scuri dell’immagine.

  3. Utilizzare “Ombra” per controllare la morbidezza, il colore e la distanza dell’ombra dall’immagine.

Spostamento

Sposta leggermente l’immagine.

Utilizzare questo strumento per spostare leggermente un pulsante in modalità Rollover. Si otterrà un effetto più realistico della pressione di un tasto quando il cursore del mouse passerà sopra all’immagine.

Sfondo Immagine

Applica un colore di sfondo dietro a un’immagine trasparente o ad un oggetto di testo.

Passe-partout

Applica un colore di sfondo dietro a un’immagine trasparente o ad un oggetto di testo.

Lo sfondo può essere esteso più dell’area dell’immagine e può avere gli angoli smussati, dando così l’impressione di una cornice.


Qualità Immagine

La dimensione dell’immagine influenza in modo diretto la quantità di tempo e memoria necessarie al processo di elaborazione e trasmissione. I disegnatori di siti web dedicano spesso diverso tempo a trovare un buon compromesso fra qualità dell’immagine e tempo di caricamento. StudioLine è stato progettato in modo da automatizzare ed ottimizzare il processo di elaborazione.

Dimensione Originale

Anteprima e dimensioni dell’immagine originale in formato non compresso.

Dimensione Compressa

Anteprima e dimensioni dell’immagine compressa.

Navigazione

Pulsanti di navigazione, attivi se la selezione contiene più immagini.

Qualità

Regolazione del livello di compressione JPEG. Immagini di qualità maggiore avranno tempi di caricamento più lunghi; qualità minori potrebbero portare a un aspetto scadente.

Impostazioni maggiori dell’ 80% permettono di evitare ogni compressione della risoluzione di colore.

Impostazioni Rendering Immagini

Stessa qualità per tutte le immagini

Questo pulsante appare quando si stanno esportando più immagini.

Quando selezionato, verrà impostata la stessa qualità per tutte le immagini. Quando disabilitato è possibile regolare singolarmente le impostazioni per ogni immagine utilizzando i pulsanti di navigazione.


Impostazioni Carattere

Carattere

Scegliere fra i tipi disponibili.
Guida Utente: Caratteri

Dimensione

Dimensione in punti del carattere.

Colore

Apre la finestra “Selezionare colore…”.

Stile

Permette di scegliere fra corsivo, grassetto o sottolineato.


Selezione Colore

Selezionare Colore

Vecchio / Nuovo

Mostra il colore selezionato attualmente a fianco del nuovo.

Nota: un arcobaleno sta ad indicare che la selezione contiene più di un colore.

Saturazione / Luminosità

Nell’area quadrata al centro, trascinare il selezionatore orizzontalmente per regolare la saturazione, verticalmente per regolare la luminosità.

Tonalità colore

Muovere il regolatore su e giù per cambiare la tonalità del colore.

Rosso, Verde, Blu

Visualizza i valori attuali delle componenti RGB. Può essere usato per impostare un valore specifico.

Colori Sito

Per riutilizzare in seguito un colore, trascinare il tasto copia (in alto a sinistra sulla finestra) nella tavolozza sulla parte bassa della finestra stessa.

Per usare un colore salvato, trascinarlo dalla tavolozza.

Raccogliere colore

Permette di raccogliere le tonalità di un colore ovunque nello schermo.

Zona per raccogliere

Dimensioni dell’area nella quale il raccoglitore colore calcolerà la media delle componenti RGB.


Finestra Ancora di Posizione

Normalmente, il punto di riferimento per gli oggetti è l’angolo in alto a sinistra della pagina.

È anche possibile allineare gli oggetti rispetto a vari punti di riferimento del Container. Anche spostando in seguito il Container, questi verranno spostati rispettando l’allineamento stabilito.

Ancorare oggetti ad un punto di riferimento del Container

Selezionando quest’opzione l’oggetto verrà ancorato al Container.

Non selezionandola, l’oggetto verrà ancorato al lato superiore sinistro della pagina.

Selezionare il punto di riferimento…

Permette di selezionare come riferimento i quattro angoli, i quattro punti medi dei lati o il centro del Container.

Se il punto di riferimento stabilito cambierà posizione, l’oggetto verrà spostato di conseguenza.

“Aggiustare… orizzontale”

Se il punto di riferimento stabilito cambierà la sua posizione orizzontale, l’oggetto ancorato verrà spostato di conseguenza. Uno spostamento verticale non avrà effetti.

“Aggiustare… verticale”

Se il punto di riferimento stabilito cambierà la sua posizione verticale, l’oggetto ancorato verrà spostato di conseguenza. Uno spostamento orizzontale non avrà effetti.


Finestra Proprietà Link

I collegamenti ipertestuali, nel momento in cui un utente del sito clicca un oggetto su cui è definito un link, indirizzano il browser su un’altra pagina o compiono azioni.

StudioLine mette a disposizione anche una serie di link generici (ad esempio “Home” o “Pagina Seguente”). L’indirizzo effettivo di un link generico viene determinato o aggiornato automaticamente, al momento della pubblicazione del sito.

Link a pagina o sito

Crea un collegamento ipertestuale ad altre pagine interne a StudioLine.

Utilizzare il pulsante “Sfoglia” per selezionare la pagina o il sito di destinazione.

Se la pagina linkata è stata esclusa dalla pubblicazione, verrà impostato su “Nessun Link”.

Link di navigazione

Questi link generici vengono utilizzati nelle pagine di una sottocartella o nei livelli inferiori di un Layout multi-livello. Permettono all’utente del sito di navigare all’interno dei documenti di una cartella o dello stesso livello, di tornare al livello precedente o al livello principale (index), o di visualizzare l’Home Page del sito.

I link di navigazione non saranno attivi in tutte le pagina (ad esempio, dal livello principale non si potrà salire “Un livello in su”). I link non attivabili rimarranno inattivi e potranno essere contraddistinti da una certa trasparenza.
Guida Utente: Layout e Modelli Layout

Link a URL

Crea un collegamento ipertestuale a pagine di altri siti o ad altre risorse.

Esempi di URL

Sito Web http://www.StudioLine.net/

Sito FTP ftp://ftp.hm-software.com/

Newsgroup news://News.HM-Software.com/HM.Public.Support
Link a Sottopagina

Questo link, di tipo generico, viene utilizzato nei layout multi-livello. Crea un link al livello inferiore di dettaglio (generato automaticamente) per quest’elemento.

Sottopagine automaticamente generate

Link alla posizione puntata

Crea un collegamento ad una posizione puntata all’interno di una pagina StudioLine. Indica al browser di aprire la pagina specificata e scorrerne il contenuto fino a quando non sia visibile l’elemento puntato.

Trascinare, se possibile, il pulsante sull’oggetto della pagina di destinazione. Si definirà così sia la pagina che la posizione.

Utilizzare il tasto Pagina per impostare manualmente il sito o la pagina di destinazione e la posizione da puntare.

Menu a scelta rapida Oggetto – Posizione Puntata

Link di Azione

Servono a controllare le azioni del browser, come aprire o chiudere il browser stesso, stampare la pagina, accedere alla Cronologia o alla lista dei “Preferiti”.

Nessun Link

Elimina ogni collegamento.

Link Email

Questo link fa sì che si apra il programma di posta elettronica dell’utente. Inserire l’indirizzo del destinatario ed un oggetto.

Aprire una nuova finestra del Browser

Di solito le pagine vengono visualizzate nella stessa finestra del browser.

Nella finestra di dialogo “Opzioni per una nuova finestra del browser”, inserire un nome qualsiasi per far sì che la pagina linkata venga aperta in una nuova finestra del browser. Utilizzare lo stesso nome inserito per altri link per condividere la stessa finestra.

Le opzioni avanzate potrebbero produrre risultati differenti a seconda del browser utilizzato. Netscape definisce la dimensione della finestra soltanto come l’area utile per la pagina. Internet Explorer include anche il perimetro della finestra, la barra del titolo e altri elementi di controllo.


Proprietà Oggetto HTMLHTML Object Properties Panel

Proprietà Oggetto HTML

Head

Il codice HTML verrà posizionato alla fine dell’elemento <HEAD>

Div

Il codice HTML verrà posizionato all’interno di un elemento <DIV >

Body

Il codice HTML verrà posizionato all’inizio dell’elemento <BODY>

Media File

Selezionare un file multimediale da includere nella pubblicazione, ad esempio un file .WAV come musica di sottofondo.

Editore Codice HTML


Finestra Impostazioni Archivio Immagini

Le impostazioni dell’Archivio Immagini regolano il salvataggio delle nuove immagini, sia di quelle inserite nell’archivio che di quelle posizionate direttamente sulla pagina.

Nota: La modifica delle impostazioni non influenza le immagini già esistenti.

Dimensione massima dell’immagine
(in Megapixels)

StudioLine archivia le immagini alla maggiore risoluzione possibile. Le immagini con risoluzione adatta alla stampa richiedono però molto spazio su disco e rallentano significativamente il processo di elaborazione. Dal momento che la maggior parte delle pagine web sono disegnate per adattarsi a schermi con risoluzioni limitate, non c’è gran beneficio nell’archiviarle con risoluzioni inutilmente alte.

Quest’impostazione regola la massima dimensione in pixel di un’immagine. Le immagini di dimensioni maggiori verranno ridimensionate di conseguenza. Quelle più piccole rimarranno inalterate.

Queste impostazioni vengono applicate anche alle immagini esportate.

Nota: Le immagini copiate dagli Appunti di sistema non verranno ridimensionate, per evitare di perdere in dettaglio negli screen shot. I file in formato PhotoShop non verranno alterati, per non ridimensionare in modo differente i vari layer.

Tolleranza (in %)

Se un’immagine rientra nella tolleranza specificata rispetto alla “Dimensione massima dell’immagine”, non verrà ridimensionata, in modo da evitare l’inutile creazione di immagini JPEG.

Se il formato immagine è fuori tolleranza, un messaggio chiederà all’utente se permettere il ridimensionamento automatico o mantenere la dimensione originale.

Dimensione massima anteprima

Quando un’immagine viene inserita nell’Archivio Immagini, ne viene creata un’anteprima con dimensioni minori.

Quest’impostazione definisce la massima altezza e larghezza di default con cui visualizzare l’anteprima in modalità Archivio Immagini. Le immagini più piccole verranno visualizzate nella dimensione originale. Le dimensioni delle anteprime non influenzeranno l’elaborazione delle immagini inserite in pagine o Layout.


Finestra Impostazioni Iniziali Rendering

Qualità Immagine

Rappresenta l’impostazione iniziale per la qualità delle immagini inserite in una pagina o in un layout.

Impostazioni maggiori dell’ 80% permettono di evitare ogni compressione della risoluzione di colore. Questo è di particolare importanza quando si converte un testo in grafica.

Il pulsante “Valori Standard” reimposta la qualità immagine ad 80.

Qualità del Testo Grafico

Rappresenta l’impostazione iniziale per la qualità del testo convertito in grafica.

Il pulsante “Valori Standard” reimposta la qualità su 80.


Ricerca nell’Archivio Immagini

Questa funzione ricerca parole o frasi all’interno delle Descrizioni immagine.

Ricerca Standard

Cercare parola

Inserire la parola o la frase da cercare.

Cercare in

Inserire la cartella in cui cercare.

Incluso sottocartelle

Effettua la ricerca nella cartella selezionata e in tutte le sottocartelle.

Ricerca Avanzata

Apre una finestra per l’inserimento di campi di ricerca avanzati.

Ricerca Avanzata

Questa funzione permette di specificare criteri avanzati di ricerca. Inserendo più di un criterio, verrà ricercato ogni oggetto che li verifica tutti.

Tutte queste parole devono esserci

Inserire un numero qualsiasi di termini, separati da uno spazio.

Perché un oggetto venga riconosciuto, ogni termine inserito dovrà apparire all’interno di una delle sue Descrizioni. Non è necessario che i termini appaiano insieme o nello stesso ordine.

Una di queste parole deve esserci

Inserire un numero qualsiasi di termini, separati da uno spazio.

Perché un oggetto venga riconosciuto, almeno uno dei termini dovrà apparire in una delle sue Descrizioni.

Questa sequenza di caratteri deve esserci

Inserire una frase o una stringa di caratteri.

Perché un oggetto venga riconosciuto, dovrà apparire in una delle Descrizioni la frase o la stringa esatta.

Queste parole non devono esserci

Inserire un numero qualsiasi di termini, separati da uno spazio.

Perché un oggetto venga riconosciuto, nessuno dei termini inseriti deve apparire nelle Descrizioni.

Cercare in

Inserire la cartella in cui cercare.

Incluso Sottocartelle

Effettua la ricerca nella cartella selezionata e in tutte le sottocartelle.


Cerca / Cerca e Sostituisci

Cerca
Cerca e Sostituisci

Cercare per

Inserire la lettera (e), parola o frase da ricercare.

Sostituire con

Inserire la nuova lettera (e), parola o frase da sostituire.

Area di ricerca

Cercare nel testo selezionato

Cerca soltanto il testo selezionato.

Cercare nel testo attuale

Cerca all’interno dell’intero oggetto di testo.

Cerca all’interno di tutti gli oggetti di testo della pagina.

Solo parole intere

Attivando quest’opzione, la ricerca presenterà soltanto parole o frasi completamente corrispondenti. Se la stessa combinazione di lettere appare all’interno di una parola, questa sarà ignorata.

Attenzione a Maiuscolo / Minuscolo

Con quest’opzione, la ricerca presenterà esclusivamente parole con la stessa combinazione di lettere maiuscole e minuscole utilizzata nel campo “Cercare per”.

Cercare in avanti

Prosegue la ricerca nel testo.

Cercare indietro

Ricerca all’indietro nel testo.

(Questa funzione non è disponibile nella finestra “Cerca e Sostituisci”.)

Sostituire

Sostituisce soltanto la corrispondenza corrente.

Sostituire tutto

Sostituisce tutte le corrispondenze presenti nel testo.


Controllo Ortografico

I termini non presenti nel vocabolario di sistema o dell’utente verranno evidenziati uno ad uno. Se disponibile, verrà suggerita una serie di termini simili. L’utente potrà scegliere se ignorare la segnalazione, sostituire il termine, ricercarlo in un’altra lingua o aggiungere il termine segnalato al vocabolario utente.

Inizio / Avanti

Inizia o continua il controllo ortografico del documento.

Ignora

Ignora la segnalazione e prosegue il controllo ortografico. La parola segnalata rimarrà inalterata.

Ignora Sempre

Ignora la segnalazione ogni volta che verrà incontrato questo termine nel testo. In seguito non verrà più segnalato il termine nel documento corrente.

Cambia

Sostituisce il termine segnalato con il suggerimento selezionato e continua il controllo ortografico. Un suggerimento può essere accettato cliccandolo due volte dalla lista.

Cambia Sempre

Sostituisce ovunque nel testo il termine segnalato con il suggerimento selezionato.

Aggiungi

Aggiunge il termine segnalato al dizionario utente. Non verrà più segnalato il termine nella lingua corrente.

Dizionario

Visualizza una finestra per la gestione, l’importazione e l’esportazione di dizionari personalizzati per ogni lingua.

Lingua

Cerca il termine nel dizionario di un’altra lingua. La scelta della lingua verrà associata a questo termine.

Opzioni

Opzioni Controllo Ortografico


Opzioni Controllo Ortografico

Controllo ortografico durante la scrittura

Effettua il controllo ortografico durante la digitazione di ogni parola nell’Editore Testi. I termini inesatti verranno evidenziati con una sottolineatura ondulata.

Ignorare parole scritte in maiuscolo

Le parole con iniziali maiuscole non verranno controllate.

Ignorare le parole scritte completamente in maiuscolo

Le parole a lettere tutte maiuscole non verranno controllate. Molti termini scritti a lettere maiuscole sono abbreviazioni, che il controllo ortografico non riconoscerebbe.

Ignorare parole con numeri

Le parole contenenti numeri non verranno controllate. Molti termini contenenti numeri, infatti, sono marchi o termini tecnici che il controllo ortografico non riconoscerebbe.

Ignorare parole scritte in maniera mista

Le parole contenenti lettere maiuscole non verranno controllate. Molti termini contenenti numeri, infatti, sono marchi o termini tecnici che il controllo ortografico non riconoscerebbe.

Ignorare nomi di domini

Le parole riconosciute come domini Internet non verranno controllate.

Attenzione a scrittura in maiuscolo / minuscolo

Il controllo ortografico non riconoscerà come validi i termini che potrebbero essere stati resi maiuscoli per errore.


Image in Use Message BoxImmagine già in uso

Immagine già in uso

Motivo:

Questo messaggio appare ogni volta che l’utente cerca di eliminare un oggetto ancora in uso. Verrà visualizzata una lista contenente le pagine e i “Modelli Layout” che verrebbero modificate.

Azioni:

  • Cliccare due volte una voce della lista per visualizzare quella data pagina o “Modello Layout”.

  • Premere il pulsante “No”, se non si desidera eliminare l’oggetto.

  • Premere il pulsante “Cancella” per annullare l’eliminazione della serie di oggetti.

  • Premere “Si” per cancellare l’oggetto. Tutte le pagine ad esso collegate dovranno essere riviste e ripubblicate.


Active Links Message BoxLink Attivi

Link Attivi

Motivo:

Questo messaggio appare ogni volta che l’utente cerca di eliminare una pagina a cui fanno riferimento altri link. Verrà visualizzata una lista contenente le pagine che verrebbero modificate.

Azioni:

  • Cliccare due volte una voce della lista per visualizzare quella data pagina.

  • Premere il pulsante “No”, se non si desidera eliminare la pagina.

  • Premere “Si” per cancellare la pagina. Tutte le pagine ad esso collegate dovranno essere riviste e ripubblicate.


Tasti di Scelta rapida

I tasti di scelta rapida dell’Editore Testi sono spiegati nella Guida Utente.

Tasti di scelta rapida generici e relativi all’area di lavoro

F1

Richiesta d’informazioni (sensibili al contesto) relative all’oggetto attuale del programma. Se non è attivo nessun oggetto particolare sarà visualizzato l’indice degli argomenti.

Ctrl + S

Salva la pagina corrente.

Alt + F4

Esce dal programma.

Tab /
Shift + Tab

Passa all’oggetto precedente o successivo nella pagina. (l’elaborazione di Roll-Over è trattata come un elemento separato.)

F5

Nello StudioLine Explorer, aggiorna la schermata.

Alt + Enter

Visualizza il menu a scelta rapida relativo alla selezione (Nelle tastiere disegnate per Windows, è attivabile anche con l’apposito tasto.)

Canc

Elimina l’attuale selezione.

Ctrl + A

Seleziona tutti gli oggetti.

Ctrl + Click del Mouse

Seleziona/Deseleziona l’oggetto.

(L’oggetto viene aggiunto o rimosso dalla selezione.)

Shift + Click del Mouse

Aggiunge l’oggetto alla selezione.

Ctrl + C

Copia l’attuale selezione negli Appunti di sistema(Copia).

Ctrl + X

Muove l’attuale selezione negli Appunti di sistema(Taglia).

Ctrl + V

Incolla l’attuale selezione negli Appunti di sistema(Incolla).

Ctrl + Z

Annulla

Ctrl + Y

Ripristina

Ctrl + J

Unisce più oggetti di testo in un unico oggetto di testo.

Ctrl + H

Regola la visualizzazione del perimetro di selezione.

Ctrl + G

Regola la visualizzazione delle icone relative allo stato dell’oggetto.
Stato Oggetto

Ctrl + N

Visualizza o nasconde il Container.

Arrow Keys

Sposta l’attuale selezione di un pixel per volta in direzione della freccia. (Mantenere premuto il tasto Shift per spostare la selezione di 10 pixel.)

Tasti di scelta rapida per Finestre

Esc

Utilizzato nei campi di testo: ripristina il testo contenuto precedentemente nel campo ed esce.

Utilizzato su una finestra d’avviso: è equivalente alla pressione del pulsante “Cancel”

Shift + Esc

Utilizzato nelle finestre con campi di testo. Ripristina il testo contenuto precedentemente nel campo.

Tab /
Shift + Tab

Passa al campo successivo o precedente.

Tasti di scelta rapida per Liste

Tasto cursore Su / Giù

Scorre la lista di una sola voce.

Pagina Su / Pagina Giù

Scorre una pagina intera.

[tasto lettera]

Scorre la lista fino alla prima voce che ha per iniziale la lettera inserita.

Invio

All’interno di una struttura gerarchica, apre il livello successivo (dove possibile).

Backspace

All’interno di una struttura gerarchica, apre il livello precedente (dove possibile).


Controlli Finestre

La finestra principale di StudioLine e le finestre interne al programma offrono tutti i controlli tipici per le finestre. In aggiunta, alcune finestre offrono funzioni intelligenti, caratteristiche di StudioLine, che permettono di velocizzare notevolmente il lavoro.
Massimizza

Estende la finestra su tutto lo spazio disponibile.
Minimizza

Riduce la finestra ad icona.
Ripristina

Ripristina la grandezza normale della finestra.
Chiudi

Chiude la finestra.
Ridimensiona

Ridimensiona la finestra.
Copia

Selezionare un insieme qualsiasi di oggetti. Se tutti gli oggetti presentano le stesse impostazioni, il pulsante “Copia” sarà di colore verde. Trascinare il pulsante su altri oggetti per attribuirgli le proprietà definite in questa finestra.

Nota: Trascinare il pulsante nel cestino per rimuovere la funzione della finestra corrente, o per resettare le sue impostazioni.
Sostituisci

Selezionare un insieme qualsiasi di oggetti. Se gli oggetti presentano impostazioni differenti all’interno della stessa finestra, il tasto “Copia” sarà di colore rosso. Premere il tasto per attribuire le impostazioni correnti a tutti gli oggetti della selezione. Trascinare il pulsante su altri oggetti per aggiungervi le impostazioni di questa finestra.

Nota: Trascinare il pulsante nel cestino per rimuovere le funzione della finestra corrente, o per resettare le sue impostazioni.
Blocca

Blocca le impostazioni della finestra.

Dopo aver bloccato le impostazioni, possono essere selezionati altri oggetti mantenendo le attuali impostazioni. Questo permette di applicare le impostazioni bloccate a molti altri oggetti.


Barra degli Strumenti
Nascondi / Visualizza Righello

Nasconde o visualizza i righelli per la pagina.
Menu a scelta rapida Pagina - Finestra “Linee Guida” Panel

Taglia

Sposta la selezione negli appunti di sistema.
Copia

Copia l’attuale selezione negli appunti di sistema.
Incolla

Incolla il contenuto degli appunti.
Seleziona Tutto

Seleziona tutti gli oggetti.
Annulla

Annulla l’ultima azione compiuta.

La memoria di questa funzione ricorda ogni azione compiuta nella modalità StudioLine corrente dall’ultimo salvataggio su disco.
Ripristina

Ripristina l’azione precedentemente annullata con il tasto “Annulla”.
Allinea pagina orizzontalmente

Centra o allinea la pagina orizzontalmente a uno dei lati della finestra del browser.
Allinea pagina verticalmente

Centra o allinea la pagina verticalmente in alto o in basso nella finestra del browser.
Roll-Over Mode

Passa / esce dalla modalità Roll-Over.
Allinea Oggetti

Allineamento

Selezionare due o più oggetti. Premere il pulsante “Allinea Oggetti”: scegliere l’allineamento desiderato (centrale o laterale) dal menu a tendina.

Spaziatura

Selezionare tre o più oggetti. Premere il pulsante appropriato per distanziarli uniformemente in orizzontale o in verticale.

La Barra Strumenti Testo viene esaminata in dettaglio nella Guida Utente.


Descrizioni

Descrizioni di Sistema

RegisteredUser

Nome della persona che ha effettuato la registrazione di StudioLine durante l’installazione.

SLGVersion

Versione del software.

Descrizioni di Pagina

SiteName

Nome del sito corrente.

PageName

Nome della pagina corrente.

Page_Title

Titolo HTML della pagina corrente.

Page_Description

Contenuto del meta tag HTML descrizione.

Page_Keywords

Contenuto del meta tag HTML parole chiave.

Page_Author

Contenuto del meta tag HTML autore.

Page_Copyright

Contenuto del meta tag HTML copyright.

PageDir

Percorso locale delle pagine convertite.

Date
Time

Data o ora dell’ultimo rendering effettuato da Studioline relativo alla pagina corrente.

Date(formato)
Time(formato)

Data o ora dell’ultimo rendering effettuato da Studioline relativo alla pagina corrente. Il formato della data o dell’ora può essere specificato fra parentesi.

Esempio: Date(dddd, d MMM yyyy) Time(hh:mm:ss tt)

D

Giorno del mese in cifre senza zero iniziale per i giorni di una sola cifra.

Dd

Giorno del mese in cifre con lo zero iniziale per i giorni di una sola cifra.

Ddd

Giorno della settimana in abbreviazione di tre lettere.

Dddd

Giorno della settimana scritto per esteso.

M

Mese in cifre senza zero iniziale per i mesi di una sola cifra.

MM

Mese in cifre con lo zero iniziale per i mesi di una sola cifra.

MMM

Mese espresso con abbreviazione di tre lettere.

MMMM

Mese scritto per esteso.

Yy

Anno espresso dalle ultime due cifre; gli anni minori di 10 devono essere preceduti da uno zero.

yyyy

Anno in forma estesa.

gg

Periodo/epoca o vuoto.

h

Ore senza zero iniziale per le ore di una sola cifra; formato orario: 12-ore.

hh

Ore con lo zero iniziale per le ore di una sola cifra; formato orario: 12-ore.

H

Ore senza zero iniziale per le ore di una sola cifra; formato orario: 24-ore.

HH

Ore con lo zero iniziale per le ore di una sola cifra; formato orario: 24-ore.

m

Minuti senza zero iniziale per minuti di una sola cifra.

mm

Minuti con lo zero iniziale per minuti di una sola cifra.

s

Secondi senza zero iniziale per secondi di una sola cifra.

ss

Secondi con lo zero iniziale per secondi di una sola cifra.

t

Stringa distintiva mattino-pomeriggio a singolo carattere, tipo A o P.

tt

Stringa distintiva mattina-pomeriggio a più caratteri, tipo AM o PM.

Descrizioni Immagine


Conversione Caratteri

Alcuni browser, su sistemi operativi diversi da Microsoft Windows, non visualizzano correttamente alcuni caratteri particolari o stranieri. In questi casi, StudioLine identifica il browser dell’utente e utilizza una rappresentazione alternativa (vedi tabella sotto riportata). Se un carattere non dispone di una valida rappresentazione alternativa, verrà visualizzato un carattere “?” o “*”.

La maggior parte di questi caratteri vengono utilizzati molto raramente e i browser interessati rappresentano meno del 15% sul totale dei visitatori. Nel caso l’esatta corrispondenza sia un fattore fondamentale, è consigliabile convertire il testo in grafica. Questo eviterà qualsiasi problema di incompatibilità di caratteri o di pagine di codice.

Hex | Convertito in | Windows | Mac IE 4.5 | Mac IE 5.0 | Mac NS 4.5 | Linux NS 4.5
7f |  |  | ? |  | " " | " "
80 | € | € |  |  |  | ?
83 | ƒ | ƒ |  |  |  | f
84 | „ | „ |  |  |  | ?
85 | … | … |  |  |  | ?
86 | † | † |  |  |  | ?
87 | ‡ | ‡ |  |  |  | ?
88 | ˆ | ˆ |  |  |  | ^
89 | ‰ | ‰ |  |  |  | ?
8a | Š | Š | S`´ | S`´ | S | S
8b | ‹ | ‹ |  |  |  | <
8c | Œ | Œ |  |  |  | ?
8e | Ž | Ž | Z`´ | Z`´ | * | ?
91 | ‘ | ‘ |  |  |  | ?
92 | ’ | ’ |  |  |  | ?
93 | “ | “ |  |  |  | ?
94 | ” | ” |  |  |  | ?
95 | . | . |  |  |  | *
96 | - | - |  |  |  | -
97 | - | - |  |  |  | -
98 | ˜ | ˜ |  |  |  | ~
99 | ™ | ™ |  |  |  | ?
9a | š | š | s`´ | s`´ | s | s
9b | › | › |  |  |  | >
9c | œ | œ |  |  |  | ?
9e | ž | ž | z`´ | z`´ | * | ?
9f | Ÿ | Ÿ |  |  |  | Y
a4 | &curren; | ¤ | ? | ? | € |
a6 | ¦ | ¦ | | | | | | |
b2 | ² | ² | 2 | 2 | 2 |
b3 | ³ | ³ | 3 | 3 | 3 |
b9 | ¹ | ¹ | 1 | 1 | 1 |
bc | &frac14; | ¼ | 1/4 | 1/4 | ? |
bd | &frac12; | ½ | 1/2 | 1/2 | ? |
be | &frac34; | ¾ | 3/4 | 3/4 | ? |
d0 | &ETH; | Ð | <ETH> | <ETH> | ? |
d7 | × | × |  |  | x |
dd | &YACUTE; | Ý | Y' | Y' | ? |
de | &THORN; | Þ | <THORN> | <THORN> | ? |
f0 | &eth; | ð | <eth> | <eth> | ? |
fd | &yacute; | ý | y' | y' | ? |
fe | &thorn; | þ | <thorn> | <thorn> | ? |


Domande Frequenti

Immagini

Come posso impedire che un’immagine venga modificata quando assegno un nuovo “Modello Layout” alla pagina?

Scegliendo “Snodare dal prototipo” dal menu a scelta rapida dell’immagine.

Come posso controllare il testo alternativo visualizzato dal browser quando il cursore del mouse si ferma sopra ad un’immagine?

Il testo alternativo è controllato dalla descrizione “Testo Alternativo” di ogni immagine.

Testo

Perché il browser impiega un po’ più di tempo a caricare la mia pagina, quando uso l’allineamento “Giustificato”?

Diverse versioni di browser fanno uso di una spaziatura fra parole e lettere abbastanza arbitraria, dipendente dalla lunghezza della riga e dal numero di parole e tag HTML contenuti nel testo. Per garantire al testo l’aspetto voluto, StudioLine non si affida al browser per la formattazione, ma posiziona invece le parole all’interno di tabelle HTML. Questo richiede l’utilizzo di ulteriore codice HTML, aumentando così le dimensioni del documento.

Quali sono le implicazioni di usare il testo convertito in grafica?

Le immagini richiedono più spazio su disco e maggiori tempi di trasmissione rispetto al testo semplice. Nel browser, una pagina che fa ampio uso di testi convertiti in grafica potrebbe richiedere tempi di caricamento leggermente maggiori. Questo sta diventando un problema minore grazie alla disponibilità di connessioni ad alta velocità, come l’ISDN, la DSL e le connessioni via cavo.

Browsers

Che diffusione hanno i browser non supportati da StudioLine?

StudioLine fa uso di tecnologie DHTML avanzate, come il JavaScript e i fogli di stile in serie. Nel 2001, circa il 95% di tutti gli utenti di Internet disponeva di un browser compatibile. Per i restanti utenti sono disponibili versioni gratuite di Netscape, Internet Explorer e Opera. I restanti software rappresentano meno del 3% sul totale utilizzato dagli utenti.

Privacy

Che identificativi unici di sistema utilizza StudioLine?

  1. Per identificare gli oggetti all’interno del suo database, StudioLine fa uso dei “GUID” di Windows. Questi sono assolutamente necessari nelle operazioni di importazione/esportazione. I “GUID” vengono generati a partire dai codici “MAC” delle schede di rete, alle quali i costruttori stessi assegnano un numero univoco.

  2. Durante l’installazione, StudioLine genera un identificativo basato appunto sull’hardware del computer, utilizzato per convalidare la vostra licenza.


Assistenza

Assistenza Online

Per usufruire dell’esperienza combinata degli altri utenti e del personale tecnico di assistenza, si prega di inviare domande e rapporti sui guasti al forum assistenza in linea del sito della H&M Software. E’ inoltre consigliabile visitare le pagine di assistenza sul sito StudioLine, per informazioni aggiornate sul prodotto ed eventuali aggiornamenti.

  • Sito Web Assistenza: http://www.StudioLine.net/Support/

  • Forum Assistenza: http://Conference.StudioLine.net/

  • Email: Support_US@HM-Software.com

Assistenza all’Installazione

In caso di difficoltà nell’installazione di questo software, è possibile contattare telefonicamente la H&M Software tramite la linea dedicata all’installazione.

  • USA: +1 (201) 845-3357, Ext. 3

9:00 A.M. to 5:00 P.M., Eastern Time

  • Europa: +49 (6074) 9130

9:00 A.M. to 5:00 P.M., Ora Europa Centrale

Si prega di contattare l’assistenza a computer acceso e con il CDROM di StudioLine già inserito nel drive.

Nota: L’assistenza online è disponibile per trenta giorni dal giorno della prima chiamata.

Segnalazione Problemi

Per eventuali segnalazioni di problemi alla H&M, utilizzare l’apposito modulo disponibile sul sito di assistenza di StudioLine. Compilandolo fornirete al personale di assistenza informazioni utili riguardanti la configurazione del sistema e le circostanze nelle quali si è verificato il problema.

File di “Log”

Per aiutare il personale dell’assistenza, StudioLine tiene traccia dei maggiori eventi relativi al programma. I file di log si trovano nella cartella “Logs” all’interno della directory di programma di StudioLine. Nel caso lo spazio su disco diventasse insufficiente, i file meno recenti possono essere cancellati.

File Log di StudioLine

Alcune azioni del programma vengono memorizzate in un file di log relativo a StudioLine. Per determinare il percorso e il nome dell’ultimo file log, scegliere “Versione” dal menu Guida.

Il personale di assistenza potrebbe richiedervi di aumentare il livello di dettaglio del file log di StudioLine. Per farlo, editare il file “Relax.ini” e aumentare il valore del parametro LogLevel.

File Log FTP

Gli eventi di pubblicazione vengono registrati in un file di log relativo all’FTP. Il nome del file di log per l’FTP comincia con “SLG_FTP” seguito dalla data corrente fra parentesi.


Diritti di Proprietà

Questa e tutte le copie del software sono prodotti di proprietà della H&M, protetti dalla legge sul copyright degli U.S. e internazionale. Per questo, il software e il materiale scritto accompagnato ad esso, deve essere trattato come qualsiasi altro materiale soggetto a copyright: è vietata la copia di una qualsiasi parte di esso, ma è permesso trasferire il software in un unico disco rigido, a condizione che venga conservato il disco originale solo a scopo di archivio o come copia di riserva.

StudioLine è un marchio della H&M Systems Software, Inc., negli Stati Uniti e negli altri Stati.

© 1994-2001, H&M System Software GmbH


File Multimediali

StudioLine riconosce moltissimi formati di file e può generare oggetti con le relative strutture di codice HTML adatte ad essi.

.exe | File eseguibile (per il download)
.ps | PostScript
.pdf | Adobe Acrobat
.dwf | Autodesk AutoCAD
.aif / .aiff | Audio Interchange Format
.au | Audio file
.wav | Wave (audio) file
.asf | Active Streaming Format
.avi | Audio-Visual Interface
.mov | Apple QuickTime
.mpg / .mpeg | Motion Picture Export Groups format
.mid / .midi | Musical Instrument Digital Interface
.mp3 | Moving Picture Experts Group Layer-3 Audio
.rm | Real Media
.wmv | Windows Media Video
.swf | Macromedia Shockwave Flash
.zip | File coompresso PKZIP
.tbk | Asymetrix Toolbook
.pan | Imoveinc x/pan


Finestra Editore Codice HTMLHTML Code Editor Panel

Finestra Editore Codice HTML

È possibile integrare gli strumenti messi a disposizione da StudioLine inserendo nella pagina codice HTML personalizzato, come “forms”, “Java applets” o file mutimediali.


Pages to Publish PanelFinestra Pagine nel Sito Attuale

Finestra “Pagine nel Sito Attuale”

Sito

Nome del sito attuale che verrà pubblicato.

Pagine

Elenca le pagine dell’attuale sito. Le pagine modificate vengono indicate con un’icona di colore rosso, le pagine escluse con un’icona grigia.

  • Posizionare il cursore del mouse su una pagina per vedere il suo stato di pubblicazione.

  • Premere il tasto destro del mouse sul nome di una pagina per accedere al suo menu di scelta rapida.

  • Cliccare due volte su una pagina per visualizzarne un’anteprima.

L’elenco contiene una selezione di pagine che necessitano di essere aggiornate sul server. Se necessario è possibile selezionare o deselezionare singole pagine dall’elenco:

  • Per aggiungere o rimuovere pagine dalla selezione (solo per questa pubblicazione), tenere premuto il tasto Ctrl e cliccare sulla pagina.

  • Per escludere una pagina da questa e dalle successive pubblicazioni, aprire il relativo menu di scelta rapida (tasto destro del mouse) e selezionare l’opzione “Escludere Pagina da…” o “Escludere pagina da tutti i profili di pubblicazione”.
    Per ulteriori informazioni fare riferimento alla sezione Menu di Pubblicazione: Escludere Pagina

Selezionare solo pagina corrente

Deseleziona tutte le pagine mantenendo soltanto la pagina attualmente aperta nell’Editore Pagina.

Selezionare le pagine modificate

Deseleziona tutte le pagine e seleziona solo quelle modificate in seguito a una precedente pubblicazione con lo stesso “Profilo di Pubblicazione”.

Selezionare tutte le pagine

Seleziona tutte le pagine del sito per la pubblicazione, eccetto quelle impostate su “Escludere Pagina”.


Inserire un Form

È possibile inserire form e altri oggetti HTML all’interno delle pagine di StudioLine.

Inserendo una Pagina

  • Utilizzare uno strumento alternativo a StudioLine per creare una pagina HTML vuota.

  • Aggiungere i vari campi del form e le impostazioni relative.

  • Una volta ottenuta la struttura desiderata, salvare la pagina HTML.

  • All’interno di StudioLine, aprire la pagina nella quale andrà inserito il form.

  • Dal Menu “Pagina”, scegliere “Includere File HTML”.

  • Selezionare il file contenente il form HTML.

StudioLine unirà il codice HTML esterno al proprio. Il codice inserito dovrà occuparsi di definire il posizionamento del form all’interno della pagina.

Inserendo un Oggetto HTML

  • Utilizzare uno strumento alternativo a StudioLine per creare il form, i suoi campi e le sue impostazioni.

  • Copiare il codice HTML dal programma esterno.

  • In StudioLine, aprire la pagina nella quale andrà inserito il form.

  • Dal Menu “File”, scegliere “Inserire Nuovo Oggetto HTML”.

  • Nella finestra delle Proprietà, scegliere “Div”. In questo modo è possibile controllare la posizione e le dimensioni del form da StudioLine.

  • Nell’”Editore Codice HTML”, incollare il codice generato con l’applicazione esterna.

L’utilizzo di un programma alternativo a StudioLine, pur non necessario, è solitamente più semplice che digitare a mano il codice HTML.


Organizzare gli Stili

Per ottenere omogeneità, è solitamente preferibile utilizzare in tutte le pagine gli stessi effetti con le medesime impostazioni, ad esempio un carattere con determinate dimensioni e colore.

  • Aprire una seconda sessione di StudioLine.

  • Creare un nuovo “Modello Layout”.

  • Definire dei modelli per gli oggetti di testo, i titoli, i sottotitoli, le legende o ogni altro stile da utilizzare.

  • Applicare ad ogni modello le relative impostazioni stilistiche con l’editore di testo.

  • Creare delle immagini d’esempio per gli elementi grafici comuni come pulsanti, righelli, punti – per citarne alcuni.

  • Applicare gli “Strumenti Immagine” appropriati ad ogni immagine creata.

  • Salvare il Modello Layout.

È ora possibile creare nuove pagine in una sessione, copiando le impostazioni standard dal modello di stile aperto in un’altra sessione.


Utilizzare le Grafiche dell’Archivio Immagini

Creare Pulsanti di Navigazione

  • Aprire una pagina, un “Layout” o un “Modello Layout”.

  • Aprire lo StudioLine Explorer ed accedere all’Archivio Immagini.

  • Cercare all’interno della cartella “Design\Buttons” un set di pulsanti di navigazione adatto.

  • Trascinare i pulsanti desiderati all’interno del Container per ottenere una corretta spaziatura. Disporre i pulsanti in ordine logico e selezionarli tutti.

  • Scegliere “Strumenti Immagine” dal menu “Strumenti”.

  • Utilizzare “Inversione Immagine” per scambiare le aree bianche e nere dei pulsanti.

  • Per ottenere effetti particolari, provare a utilizzare strumenti come “Rilievo” e “Sfondo Immagine”. Se necessario, scambiare l’ordine di applicazione degli strumenti nella lista degli “Strumenti Immagine Attivi” e valutare il risultato.

  • Aprire lo strumento “Colorare” e applicare un colore.

  • Utilizzare lo strumento “Luce e Ombra” per dare ai pulsanti un aspetto di rilievo.

  • Spostare infine i pulsanti nella posizione desiderata della pagina.

  • Scegliere “Ancora di posizione” dal menu “Strumenti” per far in modo che i pulsanti mantengano la loro posizione rispetto al Container.

Creare una Linea

  • Aprire l’Editore Pagina.

  • Selezionare un’immagine di forma rettangolare o quadrata. (Nella cartella “\Designs“ dell’Archivio Immagini sono disponibili le forme geometriche elementari.)

  • Scegliere “Strumenti Immagine” dal menu “Strumenti”.

  • Selezionare lo strumento “Scalare (assoluto)”.

  • Attivare l’opzione “Permesso Ingrandimento” e disattivare l’opzione “Mantenere Proporzioni”.

  • Per creare una linea orizzontale, inserire un’altezza di 1 pixel e la lunghezza necessaria.

  • Per creare una linea verticale, impostare la larghezza a 1 pixel e l’altezza necessaria.

Creare un’Ellisse

  • Aprire l’Editore Pagina.

  • Selezionare una forma circolare. (Nella cartella “\Designs“ dell’Archivio Immagini sono disponibili le forme geometriche elementari.)

  • Scegliere “Strumenti Immagine” dal menu “Strumenti”.

  • Selezionare lo strumento “Scalare (assoluto)”.

  • Attivare l’opzione “Permesso Ingrandimento” e disattivare l’opzione “Mantenere Proporzioni”.

  • Inserire l’altezza e la larghezza desiderate per l’ellisse.

Creare un Ottagono

  • Selezionare un’immagine rettangolare o quadrata.

  • Scegliere “Strumenti Immagine” dal menu Strumenti.

  • Utilizzare lo strumento di rotazione per ruotare l’immagine di 45 gradi.

  • Utilizzare lo strumento “Allineamento Immagine” per ruotarla indietro di 45 gradi. (Guardare l’immagine sulla pagina – dovrebbe apparire perfettamente orizzontale.)

  • Ritagliare tutti i quattro lati uniformemente.